------------------------------------------------------------------------
r1381 | gbazin | 2002-01-02 07:46:02 +0100 (Wed, 02 Jan 2002) | 6 lines
Changed paths:
   M /trunk/plugins/x11/xcommon.c


* Small optimizations
* Removed unused code
* Your old window position and size are now restored when you come out
    of fullscreen mode.

------------------------------------------------------------------------
r1382 | sam | 2002-01-02 15:37:42 +0100 (Wed, 02 Jan 2002) | 8 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   M /trunk/acconfig.h
   M /trunk/configure
   M /trunk/configure.in
   A /trunk/include/config.h
   D /trunk/include/config.h.in
   M /trunk/include/defs.h.in
   M /trunk/include/video.h
   M /trunk/include/video_output.h
   M /trunk/include/videolan/vlc.h
   M /trunk/plugins/chroma/yv12_rgb16.c
   M /trunk/plugins/chroma/yv12_rgb8.c
   M /trunk/plugins/dummy/vout_dummy.c
   M /trunk/plugins/dvdread/input_dvdread.c
   M /trunk/plugins/filter/deinterlace.c
   M /trunk/plugins/filter/distort.c
   M /trunk/plugins/filter/invert.c
   M /trunk/plugins/filter/transform.c
   M /trunk/plugins/filter/wall.c
   M /trunk/plugins/gtk/gnome.c
   M /trunk/plugins/gtk/gtk_open.c
   M /trunk/plugins/gtk/gtk_preferences.c
   M /trunk/plugins/kde/kde.cpp
   M /trunk/plugins/mpeg_vdec/video_parser.h
   M /trunk/plugins/mpeg_vdec/vpar_headers.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_pictures.c
   M /trunk/src/video_output/vout_subpictures.c


  * ./ChangeLog: imported the 0.2.92 changes, unrolled current CVS changes.
  * ./include/config.h et al.: this file is no longer generated.
  * ./include/video.h: we use the FOURCC definition of a chroma format to
    describe picture types (see http://www.webartz.com/fourcc/).
  * ./plugins/dvdread/input_dvdread.c: compilation fix by Eyal Lebedinsky.
  * ./plugins/x11/xcommon.c: fixed the XShm operations order.

------------------------------------------------------------------------
r1383 | sam | 2002-01-04 15:01:35 +0100 (Fri, 04 Jan 2002) | 38 lines
Changed paths:
   A /trunk/BUGS
   M /trunk/ChangeLog
   A /trunk/MODULES
   M /trunk/Makefile
   M /trunk/Makefile.modules
   M /trunk/configure
   M /trunk/configure.in
   A /trunk/doc/bugreport-howto.txt
   M /trunk/doc/vlc.1
   M /trunk/extras/libdvdcss/css.c
   A /trunk/include/common.h
   M /trunk/include/config.h
   M /trunk/include/modules.h
   M /trunk/include/threads.h
   M /trunk/include/vdec_ext-plugins.h
   M /trunk/include/video.h
   M /trunk/include/video_output.h
   M /trunk/include/videolan/vlc.h
   M /trunk/plugins/beos/MsgVals.h
   M /trunk/plugins/chroma/Makefile
   D /trunk/plugins/chroma/chroma_common.h
   D /trunk/plugins/chroma/common.c
   A /trunk/plugins/chroma/i420_rgb.c
   A /trunk/plugins/chroma/i420_rgb.h
   A /trunk/plugins/chroma/i420_rgb16.c
   A /trunk/plugins/chroma/i420_rgb8.c
   A /trunk/plugins/chroma/i420_rgb_c.h
   A /trunk/plugins/chroma/i420_rgb_mmx.h
   A /trunk/plugins/chroma/i420_yuy2.c
   A /trunk/plugins/chroma/i420_yuy2.h
   A /trunk/plugins/chroma/i422_yuy2.c
   A /trunk/plugins/chroma/i422_yuy2.h
   D /trunk/plugins/chroma/transforms.h
   D /trunk/plugins/chroma/yv12_rgb16.c
   D /trunk/plugins/chroma/yv12_rgb8.c
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/dummy/input_dummy.c
   M /trunk/plugins/dummy/vout_dummy.c
   M /trunk/plugins/dvdread/Makefile
   M /trunk/plugins/dvdread/dvdread.c
   M /trunk/plugins/dvdread/input_dvdread.c
   M /trunk/plugins/filter/deinterlace.c
   M /trunk/plugins/filter/distort.c
   M /trunk/plugins/filter/filter_common.h
   M /trunk/plugins/filter/invert.c
   M /trunk/plugins/filter/transform.c
   M /trunk/plugins/filter/wall.c
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/kde/kde_disc.cpp
   M /trunk/plugins/kde/kde_disc.h
   M /trunk/plugins/kde/kde_menu.h
   M /trunk/plugins/kde/kde_net.cpp
   M /trunk/plugins/kde/kde_net.h
   M /trunk/plugins/kde/kde_slider.h
   M /trunk/plugins/memcpy/Makefile
   M /trunk/plugins/memcpy/memcpy.c
   D /trunk/plugins/memcpy/memcpy3dn.c
   D /trunk/plugins/memcpy/memcpymmx.c
   D /trunk/plugins/memcpy/memcpymmxext.c
   M /trunk/plugins/mpeg_vdec/vpar_blocks.c
   M /trunk/plugins/mpeg_vdec/vpar_blocks.h
   M /trunk/plugins/sdl/aout_sdl.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/spudec/spu_decoder.c
   M /trunk/plugins/text/ncurses.c
   M /trunk/plugins/text/rc.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/beos_specific.cpp
   M /trunk/src/misc/modules_plugin.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_pictures.c
   M /trunk/src/video_output/vout_subpictures.c


  * ./BUGS: added a list of known bugs. Please add your findings!
  * ./MODULES: added a short description of each module. Maybe we should
    add more details to make this file really useful.
  * ./doc/bugreport-howto.txt: wishful thinking...
  * ./Makefile: added a workaround for the fact that .c files don't depend
    on <videolan/vlc.h>.
  * ./plugins/memcpy/memcpy.c: all memcpy modules are now built from the same
    single file.
  * ./src/interface/main.c: added the --nommx, --no3dnow, --nommxext, --nosse
    and --noaltivec options to vlc.
  * ./configure.in: removed the --disable-mmx option, now useless because
    of the vlc --no* options.
  * ./src/interface/main.c: fixed a crash caused by the memcpy module
    being released too early.
  * ./include/video.h: more vout4 changes, including margin support, more
    FOURCC formats recognized, transparent support of identical or almost
    identical FOURCC formats.
  * ./include/video_output.h: added a vout_Render function to video output
    modules which is to be executed before vout_Display.
  * ./include/common.h: this header is back.
  * ./plugins/chroma/i420_rgb.c: planar YUV 4:2:0 to packed RGB conversion
    functions, mostly taken from vout3's yuv functions, but heavily modified
    to use FAST_MEMCPY and to handle image dimensions which are not multiples
    of 16. Not all functions have been written yet, though.
  * ./plugins/chroma/i420_yuy2.c: planar YUV 4:2:0 to packed YUV conversion
    functions, various targets such as 4:2:2 YUYV, YVYU, UYVY, or 2:1:1 YUYV,
    with accelerated MMX versions.
  * ./plugins/chroma/i422_yuy2.c: same as i420_yuy2.c but takes planar YUV
    4:2:2 pictures in input. With accelerated MMX versions as well. This plugin
    makes it possible to display 4:2:2 files on most video cards without the
    quality loss of 4:2:0 downsampling.
  * ./plugins/filter/*: thanks to the vout_Render function, all filters now
    output their data perfectly in sync.
  * ./plugins/dvdread/Makefile: fix to prevent unnecessary target rebuilds.
  * ./plugins/sdl/vout_sdl.c: support for YV12, UYVY, YUY2 and YVYU overlays.
  * ./plugins/x11/xcommon.c: support for I420, YV12, YUY2 and Y211 overlays.

------------------------------------------------------------------------
r1384 | sam | 2002-01-05 03:22:03 +0100 (Sat, 05 Jan 2002) | 7 lines
Changed paths:
   M /trunk/BUGS
   M /trunk/include/common.h
   M /trunk/include/video.h
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_pictures.c


  * ./include/common.h: hton64 is now an inline function.
  * ./src/video_output/vout_pictures.c et al.: vout4 now automatically
    detects when two chroma formats are the same, such as UYVY/Y422, or
    roughly equivalent, such as I420/YV12. Plugins need not worry about
    conversion anymore.

------------------------------------------------------------------------
r1385 | sam | 2002-01-05 04:49:18 +0100 (Sat, 05 Jan 2002) | 6 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/modules.h
   M /trunk/include/video_output.h
   M /trunk/plugins/dummy/vout_dummy.c
   M /trunk/plugins/filter/deinterlace.c
   M /trunk/plugins/filter/distort.c
   M /trunk/plugins/filter/invert.c
   M /trunk/plugins/filter/transform.c
   M /trunk/plugins/filter/wall.c
   M /trunk/plugins/mga/Makefile
   M /trunk/plugins/mga/mga.c
   D /trunk/plugins/mga/vout_mga.c
   D /trunk/plugins/mga/vout_mga.h
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/video_output/video_output.c


  * ./configure.in: fix for obscure architectures like hppa where target_os
    isn't properly detected.
  * ./include/video_output.h: got rid of pf_setpalette; I'll find a nicer way.
  * ./plugins/mga.c: fixed MGA module compilation. Doesn't work yet, though.

------------------------------------------------------------------------
r1386 | jpsaman | 2002-01-05 14:57:42 +0100 (Sat, 05 Jan 2002) | 2 lines
Changed paths:
   M /trunk/plugins/mad/mad_libmad.h

Removed unused function prototype from headerfile.

------------------------------------------------------------------------
r1387 | jpsaman | 2002-01-05 15:28:55 +0100 (Sat, 05 Jan 2002) | 2 lines
Changed paths:
   M /trunk/plugins/mad/BUGS

Updated documentation

------------------------------------------------------------------------
r1388 | jpsaman | 2002-01-05 15:30:12 +0100 (Sat, 05 Jan 2002) | 2 lines
Changed paths:
   M /trunk/plugins/mad/TODO

Updated TODO list.

------------------------------------------------------------------------
r1389 | jpsaman | 2002-01-05 15:32:55 +0100 (Sat, 05 Jan 2002) | 2 lines
Changed paths:
   M /trunk/plugins/mad/DESIGN

Updated documentation.

------------------------------------------------------------------------
r1390 | sam | 2002-01-05 16:17:12 +0100 (Sat, 05 Jan 2002) | 7 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/plugins/mga/mga.c
   A /trunk/plugins/mga/vout_mga.c
   A /trunk/plugins/mga/vout_mga.h
   M /trunk/plugins/x11/xcommon.c


  * ./Makefile: fixed a bug when no builtins were selected.
  * ./plugins/mga/mga.c: ported the MGA video output to vout4. Only does YV12
    for the moment, and there is a strange bug with some streams which gives
    only a green image. Needs to be looked at.
  * ./plugins/x11/xcommon.c: fixed a few typos.

------------------------------------------------------------------------
r1391 | sam | 2002-01-05 17:09:49 +0100 (Sat, 05 Jan 2002) | 5 lines
Changed paths:
   M /trunk/BUGS
   M /trunk/plugins/mga/mga.c


  * ./plugins/mga/mga.c: we use the MGA_VID_FSEL ioctl to select the
    frame to be displayed. Unfortunately, increasing the number of
    frames doesn't seem to work and makes the picture stutter...

------------------------------------------------------------------------
r1392 | sam | 2002-01-05 19:25:48 +0100 (Sat, 05 Jan 2002) | 8 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/beos/beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/src/audio_output/aout_s16.c


  * ./src/audio_output/aout_s16.c: fixed a segfault. It may have unexpected
    side effects because I don't know this part of the code, but at least
    it doesn't crash anymore.
  * ./plugins/beos/beos.cpp: first attempt at porting the BeOS plugin to the
    new video output and module systems. Doesn't work nor even compile yet.
  * ./configure.in: we now check the gtk-config version.

------------------------------------------------------------------------
r1393 | sam | 2002-01-06 01:07:37 +0100 (Sun, 06 Jan 2002) | 3 lines
Changed paths:
   M /trunk/plugins/fb/Makefile
   M /trunk/plugins/fb/fb.c
   D /trunk/plugins/fb/vout_fb.c


  * ./plugins/fb/fb.c: ported the framebuffer video output to vout4.

------------------------------------------------------------------------
r1394 | jpsaman | 2002-01-06 15:46:40 +0100 (Sun, 06 Jan 2002) | 2 lines
Changed paths:
   M /trunk/plugins/mad/mad_adec.c
   M /trunk/plugins/mad/mad_libmad.c

Optimized libmad_output() for smoother sound. It is still not optimal.

------------------------------------------------------------------------
r1395 | sam | 2002-01-06 18:18:12 +0100 (Sun, 06 Jan 2002) | 4 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/mga/Makefile
   M /trunk/plugins/mga/mga.c
   M /trunk/plugins/mpeg_vdec/Makefile


  * ./plugins/mga/mga.c: MMX-accelerated version of the MGA plugin.
  * ./plugins/mpeg_vdec/Makefile: Little workaround for PA-Risc compilation.

------------------------------------------------------------------------
r1396 | sam | 2002-01-06 19:01:58 +0100 (Sun, 06 Jan 2002) | 3 lines
Changed paths:
   M /trunk/plugins/mga/mga.c


  * ./plugins/mga/mga.c: pipeline and cache optimizations.

------------------------------------------------------------------------
r1397 | sam | 2002-01-07 03:12:30 +0100 (Mon, 07 Jan 2002) | 17 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/debian/control
   M /trunk/debian/rules
   M /trunk/include/common.h
   M /trunk/include/input_ext-intf.h
   M /trunk/include/interface.h
   M /trunk/include/stream_control.h
   M /trunk/include/video.h
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/chroma/Makefile
   A /trunk/plugins/chroma/i420_ymga.c
   M /trunk/plugins/dvd/dummy_dvdcss.h
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/filter/wall.c
   M /trunk/plugins/ggi/Makefile
   M /trunk/plugins/ggi/ggi.c
   D /trunk/plugins/ggi/vout_ggi.c
   M /trunk/plugins/glide/Makefile
   M /trunk/plugins/glide/glide.c
   D /trunk/plugins/glide/vout_glide.c
   M /trunk/plugins/gtk/gnome.c
   M /trunk/plugins/gtk/gtk.c
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_control.c
   M /trunk/plugins/gtk/gtk_display.c
   M /trunk/plugins/gtk/gtk_menu.c
   M /trunk/plugins/gtk/gtk_open.c
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/kde/kde_interface.cpp
   M /trunk/plugins/kde/kde_menu.cpp
   M /trunk/plugins/mad/mad_adec.c
   M /trunk/plugins/mga/Makefile
   M /trunk/plugins/mga/mga.c
   M /trunk/plugins/qt/intf_qt.cpp
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/text/rc.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/input/input.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/modules_plugin.h
   M /trunk/src/video_output/video_output.c


  * ./plugins/mga/mga.c: removed the mgammx module and put the code in
    the chroma_i420_ymga module instead. This introduces a slight
    performance issue as we now need to memcpy() the Y plane, but I have
    some vout4 enhancements on their way which make this point moot.
  * ./debian/changelog: imported official Debian changelog.
  * ./debian/control: activated the vlc-mad and vlc-arts packages; package
    builds should now work again.
  * ./plugins/dvd/dvd.c: solved a symbol resolution issue when vlc was
    compiled without libdvdcss which overflowed the return stack.
  * ./plugins/ggi/ggi.c: ported the GGI plugin to vout4.
  * ./plugins/glide/glide.c: ported the Glide plugin to vout4 (untested).
  * ./src/input/input.c: prepared everything for multi-input mode; since
    no interface is yet prepared to handle this, I changed them so that
    they just use the first available input for now. This may break other
    things, but I promise I'll eventually repair everything :-)

------------------------------------------------------------------------
r1398 | sam | 2002-01-07 18:02:07 +0100 (Mon, 07 Jan 2002) | 4 lines
Changed paths:
   M /trunk/debian/control
   M /trunk/debian/rules
   M /trunk/plugins/filter/wall.c
   D /trunk/share/gnome-vlc.png
   D /trunk/share/gnome-vlc.xpm
   A /trunk/share/gnome-vlc16x16.png
   A /trunk/share/gnome-vlc32x32.png
   A /trunk/share/gnome-vlc32x32.xpm
   A /trunk/share/gnome-vlc48x48.png
   D /trunk/share/gvlc.png
   D /trunk/share/gvlc.xpm
   A /trunk/share/gvlc16x16.png
   A /trunk/share/gvlc32x32.png
   A /trunk/share/gvlc32x32.xpm
   A /trunk/share/gvlc48x48.png
   D /trunk/share/kvlc.png
   D /trunk/share/kvlc.xpm
   A /trunk/share/kvlc16x16.png
   A /trunk/share/kvlc32x32.png
   A /trunk/share/kvlc32x32.xpm
   A /trunk/share/kvlc48x48.png
   D /trunk/share/qvlc.png
   D /trunk/share/qvlc.xpm
   A /trunk/share/qvlc16x16.png
   A /trunk/share/qvlc32x32.png
   A /trunk/share/qvlc32x32.xpm
   A /trunk/share/qvlc48x48.png
   D /trunk/share/vlc.png
   D /trunk/share/vlc.xpm
   A /trunk/share/vlc16x16.png
   A /trunk/share/vlc32x32.png
   A /trunk/share/vlc32x32.xpm
   A /trunk/share/vlc48x48.png


  ./debian/control: updated list of supported architectures.
  ./share/*: added 16x16 and 32x32 versions of PNG icons.

------------------------------------------------------------------------
r1399 | massiot | 2002-01-09 00:06:12 +0100 (Wed, 09 Jan 2002) | 3 lines
Changed paths:
   M /trunk/plugins/mpeg_vdec/vpar_headers.c

Fixed a bug in QuantMatrixExtension, many thanks to "Thomas L. Wood"
<twood@lucent.com> !

------------------------------------------------------------------------
r1400 | stef | 2002-01-09 00:34:06 +0100 (Wed, 09 Jan 2002) | 3 lines
Changed paths:
   M /trunk/plugins/dvdread/dvdread.c
   M /trunk/plugins/dvdread/input_dvdread.c

DVDRead plugins works again more or less ; major bugs remain but it is usable.
It is selected by default if you have it compiled.

------------------------------------------------------------------------
r1401 | asmax | 2002-01-09 01:33:37 +0100 (Wed, 09 Jan 2002) | 5 lines
Changed paths:
   M /trunk/include/audio_output.h
   M /trunk/plugins/ac3_adec/ac3_adec.c
   M /trunk/plugins/dsp/aout_dsp.c
   M /trunk/plugins/mpeg_adec/mpeg_adec.c
   M /trunk/plugins/mpeg_adec/mpeg_adec_generic.c
   M /trunk/plugins/mpeg_adec/mpeg_adec_generic.h
   M /trunk/src/audio_output/aout_ext-dec.c
   M /trunk/src/audio_output/aout_s16.c
   M /trunk/src/audio_output/audio_output.c

- better communication between audio decoder and output: aout plugins
are now opened directly in the right mode (works with mpeg_adec and
ac3_adec, not tested with mad)
- first attempt to implement mono output (doesn't work yet)

------------------------------------------------------------------------
r1402 | sam | 2002-01-09 03:01:14 +0100 (Wed, 09 Jan 2002) | 11 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/BUGS
   M /trunk/Makefile
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/common.h
   M /trunk/include/input_ext-intf.h
   A /trunk/include/intf_eject.h
   M /trunk/include/modules_inner.h
   M /trunk/plugins/dummy/dummy.c
   M /trunk/plugins/dummy/input_dummy.c
   M /trunk/plugins/filter/wall.c
   M /trunk/plugins/glide/glide.c
   M /trunk/plugins/gtk/gnome.c
   M /trunk/plugins/gtk/gnome.glade
   M /trunk/plugins/gtk/gnome_callbacks.c
   M /trunk/plugins/gtk/gnome_callbacks.h
   M /trunk/plugins/gtk/gnome_interface.c
   M /trunk/plugins/gtk/gtk.c
   M /trunk/plugins/gtk/gtk.glade
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_callbacks.h
   M /trunk/plugins/gtk/gtk_display.c
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/mga/Makefile
   A /trunk/plugins/mga/xmga.c
   M /trunk/src/input/input.c
   M /trunk/src/interface/interface.c
   A /trunk/src/interface/intf_eject.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/modules_plugin.h


  * ./include/modules_inner.h: replaced _X with __VLC_SYMBOL because _X was
    already a system macro under MacOS X.
  * ./plugins/dummy/dummy.c: fixed vlc:loop, vlc:quit, etc. entries.
  * ./plugins/glide/glide.c: activated double buffering.
  * ./plugins/mga/xmga.c: started writing an xmga plugin; doesn't work yet.
  * ./src/input/input.c: fixed the input memory leak, and the insane thread
    spawning we got with vlc:loop.
  * ./src/misc/intf_eject.c: disc ejection routine courtesy of Julien Blache,
    currently Linux-only.

------------------------------------------------------------------------
r1403 | sam | 2002-01-09 11:22:37 +0100 (Wed, 09 Jan 2002) | 3 lines
Changed paths:
   M /trunk/src/interface/intf_eject.c
   M /trunk/src/interface/main.c


  * ./src/interface/intf_eject.c: BSD/OS port by Steven M. Schultz.

------------------------------------------------------------------------
r1404 | stef | 2002-01-10 00:32:40 +0100 (Thu, 10 Jan 2002) | 5 lines
Changed paths:
   M /trunk/plugins/mpeg_system/input_ts.c

Hopefully fixed a bug in TS input, that caused a segfault when there was
no network stream.

Please, have a look at the fix to check it doesn't break anything else.

------------------------------------------------------------------------
r1405 | sam | 2002-01-10 05:11:25 +0100 (Thu, 10 Jan 2002) | 7 lines
Changed paths:
   M /trunk/plugins/dummy/input_dummy.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvdread/input_dvdread.c
   M /trunk/plugins/gtk/gtk_display.c
   M /trunk/plugins/mga/xmga.c
   M /trunk/plugins/mpeg_adec/mpeg_adec.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/interface/intf_playlist.c


  * ./src/input/input.c: fixed a few segfaults caused by the dummy plugin.
  * ./plugins/mpeg_adec/mpeg_adec.c: fixed a segfault due to misuse of
    DecoderError.
  * ./plugins/x11/xcommon.c: replaced XFlush with XSync. This must be the
    fourth time someone has to commit this, so I added a reminder :-)

------------------------------------------------------------------------
r1406 | asmax | 2002-01-11 00:41:08 +0100 (Fri, 11 Jan 2002) | 5 lines
Changed paths:
   M /trunk/plugins/mpeg_adec/mpeg_adec.c
   M /trunk/src/audio_output/aout_s16.c


- beginning of code factorization in aout_s16 (more cleaning will come)
- As for libmad, I have tried to create the aout fifo in libmad_output,
  to open it with the right sample rate, but strangely it didn't work.

------------------------------------------------------------------------
r1407 | sam | 2002-01-11 04:07:36 +0100 (Fri, 11 Jan 2002) | 3 lines
Changed paths:
   M /trunk/src/interface/intf_eject.c


  * BSD compilation fix suggested by Steven M. Schultz.

------------------------------------------------------------------------
r1408 | jpsaman | 2002-01-11 23:05:34 +0100 (Fri, 11 Jan 2002) | 2 lines
Changed paths:
   M /trunk/plugins/mad/mad_adec.c
   M /trunk/plugins/mad/mad_libmad.c

Removed aout_CreateFifo from mad_adec.c InitThread() and added it to mad_libmad.c in mad_libmad.c

------------------------------------------------------------------------
r1409 | sam | 2002-01-12 02:25:57 +0100 (Sat, 12 Jan 2002) | 6 lines
Changed paths:
   M /trunk/debian/control
   M /trunk/plugins/chroma/i420_rgb.c
   M /trunk/plugins/chroma/i420_rgb.h
   M /trunk/plugins/chroma/i420_rgb16.c
   M /trunk/plugins/chroma/i420_rgb8.c
   M /trunk/plugins/dummy/vout_dummy.c
   M /trunk/plugins/fb/fb.c
   M /trunk/plugins/ggi/ggi.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_pictures.c


  * ./plugins/chroma/i420_rgb16.c: 24/32 bpp software YUV.
  * ./plugins/ggi/ggi.c: activated double buffering.
  * ./src/video_output/vout_pictures.c: we create more Xv pictures to
    get smoother rendering.

------------------------------------------------------------------------
r1410 | jlj | 2002-01-12 03:02:44 +0100 (Sat, 12 Jan 2002) | 2 lines
Changed paths:
   M /trunk/src/interface/intf_eject.c

  * ./src/interface/intf_eject.c: MacOS X port.

------------------------------------------------------------------------
r1411 | jlj | 2002-01-12 22:58:56 +0100 (Sat, 12 Jan 2002) | 3 lines
Changed paths:
   M /trunk/src/misc/modules.c

  * ./src/misc/modules.c: Fixed a compile issue under platforms without
    HAVE_DYNAMIC_PLUGINS.

------------------------------------------------------------------------
r1412 | gbazin | 2002-01-13 16:07:55 +0100 (Sun, 13 Jan 2002) | 3 lines
Changed paths:
   M /trunk/plugins/mga/xmga.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/video_output/video_output.c


* Fixed all the problems related to ToggleFullScreen().

------------------------------------------------------------------------
r1413 | gbazin | 2002-01-13 19:13:07 +0100 (Sun, 13 Jan 2002) | 3 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/extras/libdvdcss/ioctl.c
   M /trunk/include/common.h
   M /trunk/src/misc/netutils.c


* A few fixes for the Win32 build.

------------------------------------------------------------------------
r1414 | asmax | 2002-01-14 13:15:10 +0100 (Mon, 14 Jan 2002) | 9 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/audio_output.h
   A /trunk/src/audio_output/aout_common.c
   M /trunk/src/audio_output/aout_common.h
   M /trunk/src/audio_output/aout_ext-dec.c
   M /trunk/src/audio_output/aout_s16.c
   M /trunk/src/audio_output/aout_s8.c
   M /trunk/src/audio_output/aout_u16.c
   M /trunk/src/audio_output/aout_u8.c
   M /trunk/src/audio_output/audio_output.c


HUGE cleanings in audio output:
- removed AOUT_INTF_*_FIFO, which where not used
- factorized S16StereoPlay, U8MonoPlay, and so on.., in a single
  function aout_FillBuffer (in aout_common.c)
  (unsigned 8bit may be broken, but I have no stream to test with :(

- last step to be done: factorize aout_s8, aout_s16, ... thanks to a macro

------------------------------------------------------------------------
r1415 | asmax | 2002-01-14 20:54:36 +0100 (Mon, 14 Jan 2002) | 10 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/src/audio_output/aout_common.c
   M /trunk/src/audio_output/aout_common.h
   D /trunk/src/audio_output/aout_s16.c
   D /trunk/src/audio_output/aout_s8.c
   D /trunk/src/audio_output/aout_u16.c
   D /trunk/src/audio_output/aout_u8.c
   M /trunk/src/audio_output/audio_output.c


- le coup de gr?\239?\191?\189ce: all the code in audio output is now factorized (except
for ac3 spdif) in aout_common.c/.h
- aout thread functions are declared with a macro

TODO:
- test unsigned 8 bit output, and implement S8 and U16 outputs
- multi-channel support
- check if resampling takes the PTS into account (and fix it)

------------------------------------------------------------------------
r1416 | jpsaman | 2002-01-14 21:53:42 +0100 (Mon, 14 Jan 2002) | 2 lines
Changed paths:
   M /trunk/plugins/mad/mad_adec.c
   M /trunk/plugins/mad/mad_adec.h
   M /trunk/plugins/mad/mad_libmad.c

Smooth sound (not tested on iPaq)

------------------------------------------------------------------------
r1417 | jpsaman | 2002-01-14 21:57:13 +0100 (Mon, 14 Jan 2002) | 2 lines
Changed paths:
   M /trunk/plugins/mad/BUGS

Updated BUGS list

------------------------------------------------------------------------
r1418 | jpsaman | 2002-01-14 22:00:45 +0100 (Mon, 14 Jan 2002) | 2 lines
Changed paths:
   A /trunk/INSTALL.libmad

Configure, build and install instructions for libmad library and mad plugin.

------------------------------------------------------------------------
r1419 | stef | 2002-01-14 23:06:57 +0100 (Mon, 14 Jan 2002) | 5 lines
Changed paths:
   M /trunk/extras/libdvdcss/css.c
   M /trunk/extras/libdvdcss/css.h
   M /trunk/extras/libdvdcss/libdvdcss.c


*With DVDCSS_METHOD=disc or key, the keys are no longer buffered on start.
The title key is still read at each block but it is checked for change
before decryption.

------------------------------------------------------------------------
r1420 | massiot | 2002-01-14 23:26:05 +0100 (Mon, 14 Jan 2002) | 2 lines
Changed paths:
   M /trunk/plugins/mpeg_vdec/vpar_headers.c

Attempt to fix the INPUT_MAX_ALLOCATION error.

------------------------------------------------------------------------
r1421 | massiot | 2002-01-15 00:46:35 +0100 (Tue, 15 Jan 2002) | 3 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/input_ext-dec.h
   M /trunk/plugins/ac3_adec/ac3_adec.c
   M /trunk/plugins/lpcm_adec/lpcm_adec.c
   M /trunk/plugins/mad/mad_adec.c
   M /trunk/plugins/mad/mad_adec.h
   M /trunk/plugins/mad/mad_libmad.c
   M /trunk/plugins/mpeg_adec/mpeg_adec.c
   M /trunk/plugins/mpeg_vdec/video_parser.c
   M /trunk/plugins/mpeg_vdec/vpar_headers.c
   M /trunk/src/input/input_ext-dec.c
   M /trunk/src/misc/modules_plugin.h

* More precise way to retrieve a PTS from the bit stream.
* Fixed issues in the PTS handling of the mad plug-in (incomplete).

------------------------------------------------------------------------
r1422 | sam | 2002-01-15 02:01:00 +0100 (Tue, 15 Jan 2002) | 5 lines
Changed paths:
   M /trunk/Makefile.opts.in
   M /trunk/debian/control
   M /trunk/include/config.h


  * ./debian/control: fixed Debian build-depends.
  * ./include/config.h: changed RELEASE to HAVE_RELEASE because RELEASE
    is already defined in <scsi/scsi.h> under Linux.

------------------------------------------------------------------------
r1423 | stef | 2002-01-15 06:22:21 +0100 (Tue, 15 Jan 2002) | 7 lines
Changed paths:
   M /trunk/extras/libdvdcss/libdvdcss.c
   M /trunk/extras/libdvdread/dvdread.c
   M /trunk/extras/libdvdread/videolan/dvdread.c


-Patch of libdvdread to do readv on regular files (dvd copied on hard drive).
Not completed, and little tested yet ; when it is completed, this patch should
be submitted to libdvdread developers.

-Patch of libdvdcss to decrypt vobs when they are not on a block device.

------------------------------------------------------------------------
r1424 | asmax | 2002-01-15 12:51:11 +0100 (Tue, 15 Jan 2002) | 5 lines
Changed paths:
   M /trunk/src/audio_output/aout_common.h
   M /trunk/src/audio_output/audio_output.c


- added support for S8 and U16 aout (not tested)
- The sound is very dirty in U8 mode. I don't know if it comes from the
8 bit mode itself or from the S16->U8 conversion.

------------------------------------------------------------------------
r1425 | stef | 2002-01-15 18:55:12 +0100 (Tue, 15 Jan 2002) | 3 lines
Changed paths:
   M /trunk/src/input/input.c

*stream lock is initialized in input_CreateThread instead of initThread,
to have it initialized when we call it in the interface.

------------------------------------------------------------------------
r1426 | stef | 2002-01-15 20:01:28 +0100 (Tue, 15 Jan 2002) | 4 lines
Changed paths:
   M /trunk/plugins/dvdread/input_dvdread.c
   M /trunk/plugins/gtk/gnome.c
   M /trunk/plugins/gtk/gtk.c
   M /trunk/src/input/input.c


The gnome/gtk interface should no longer user p_input->stream before it
has been initialized.

------------------------------------------------------------------------
r1427 | sam | 2002-01-16 05:47:56 +0100 (Wed, 16 Jan 2002) | 3 lines
Changed paths:
   M /trunk/debian/rules
   A /trunk/debian/vlc-arts.dirs
   A /trunk/debian/vlc-mad.dirs


  * ./debian/rules: fixed the vlc-arts and vlc-mad package builds.

------------------------------------------------------------------------
r1428 | sam | 2002-01-17 17:17:46 +0100 (Thu, 17 Jan 2002) | 4 lines
Changed paths:
   M /trunk/debian/control
   M /trunk/vlc.spec


  * ./vlc.spec: imported MandrakeSoft's new spec file.
  * ./debian/control: fixed build-dependencies for vlc-mad.

------------------------------------------------------------------------
r1429 | gbazin | 2002-01-18 00:02:45 +0100 (Fri, 18 Jan 2002) | 11 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/plugins/directx/aout_directx.c
   M /trunk/plugins/directx/directx.c
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/directx/vout_directx.h
   M /trunk/plugins/directx/vout_events.c
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/qnx/vout_qnx.c
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/vout_pictures.c


* major rewrite of the directx video plugin to adapt it to the new vout4
    architecture. This plugin has also been through a major clean-up
    and it is now much more robust and optimized.

* Fixed a few problems with the win32 build.

* Replaced the "overlay" command line option with "nooverlay". The
    former was confusing and useless because overlays were used by
    default anyway.

------------------------------------------------------------------------
r1430 | gbazin | 2002-01-19 20:54:01 +0100 (Sat, 19 Jan 2002) | 5 lines
Changed paths:
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/plugins/macosx/aout_macosx.c
   M /trunk/plugins/macosx/intf_main.c
   M /trunk/plugins/macosx/macosx.c
   M /trunk/plugins/macosx/vout_macosx.c
   M /trunk/plugins/mga/vout_mga.c
   M /trunk/plugins/qnx/aout_qnx.c
   M /trunk/plugins/qnx/qnx.c
   M /trunk/plugins/qnx/vout_qnx.c


* Converted the plugin initialization code of the macosx, beos and qnx
    code. (please note that they should still not compile as they need
    to be adapted to the new Vout4 architecture)

------------------------------------------------------------------------
r1431 | sam | 2002-01-21 01:52:07 +0100 (Mon, 21 Jan 2002) | 10 lines
Changed paths:
   M /trunk/BUGS
   M /trunk/MODULES
   M /trunk/Makefile
   M /trunk/Makefile.modules
   M /trunk/Makefile.opts.in
   M /trunk/config.guess
   M /trunk/config.sub
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/control
   M /trunk/include/config.h
   M /trunk/plugins/macosx/macosx.c
   M /trunk/plugins/qnx/vout_qnx.c
   A /trunk/plugins/win32
   A /trunk/plugins/win32/.cvsignore
   A /trunk/plugins/win32/Makefile
   A /trunk/plugins/win32/win32.cpp
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/modules.c
   A /trunk/src/misc/symbols.c
   M /trunk/src/video_output/vout_subpictures.c
   M /trunk/vlc.spec


  * ./plugins/win32: skeleton for the win32 interface Ipkiss is developing.
  * ./config.guess ./config.sub: latest GNU versions.
  * ./configure.in: when possible, xvideo is compiled as a plugin.
  * ./vlc.spec: fixed a few minor inaccuracies.
  * ./debian/control: vlc-gui is no longer depended on, but rather recommended.
  * ./src/interface/main.c: --spumargin flag; use this to force displaying
    subtitles at the bottom of the screen instead of putting them in the
    middle, for instance: `--spumargin 5'.

------------------------------------------------------------------------
r1432 | sam | 2002-01-21 06:14:10 +0100 (Mon, 21 Jan 2002) | 5 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in


  * ./configure.in: added extra checks for strange compilers such as
    Borland C++ which do not support all gcc options. Note that vlc does
    not compile with bcc32 yet, but is getting closer and closer to.

------------------------------------------------------------------------
r1433 | gbazin | 2002-01-21 08:00:21 +0100 (Mon, 21 Jan 2002) | 9 lines
Changed paths:
   M /trunk/extras/libdvdcss/css.c
   M /trunk/extras/libdvdcss/libdvdcss.c
   M /trunk/plugins/directx/vout_events.c
   M /trunk/src/video_output/vout_pictures.c


* Fixed crashes on exit in the directx plugin
* vout_PlacePicture is now accepting picture width=height=0

* Win32 (NT/2000/XP) fix for libdvdcss: first attempt to open the DVD
  device in read/write mode so we can use ioctls. If this fails
  (insufficent privileges) we at least open in read-only mode so the
  libdvdcss title decryption method can be used.

------------------------------------------------------------------------
r1434 | jpsaman | 2002-01-21 23:28:10 +0100 (Mon, 21 Jan 2002) | 10 lines
Changed paths:
   M /trunk/plugins/mad/DESIGN
   M /trunk/plugins/mad/TODO
   M /trunk/plugins/mad/mad_adec.c
   M /trunk/plugins/mad/mad_adec.h
   M /trunk/plugins/mad/mad_libmad.c

Changes made to mad plugin:
+ libmad_input now takes one frame at a time (see mad_adec.h for defines)
+ audio_linear_dither() gives better sound quality then s24_to_s16_pcm(),
  but also makes audio artefacts louder so disabled it for now (see file
  mad_libmad.c)
+ cleaned up libmad_output (see file mad_libmad.c)
+ cleaned up InitThread (see file mad_adec.c)
+ Made buffer size match libmad's expectations (see file mad_adec.h)
+ updated documentation

------------------------------------------------------------------------
r1435 | jpsaman | 2002-01-21 23:34:26 +0100 (Mon, 21 Jan 2002) | 2 lines
Changed paths:
   M /trunk/plugins/mad/mad_libmad.c

Oops, lucky to catch this one (deleted function name s24_to_s16_pcm accidently)

------------------------------------------------------------------------
r1436 | massiot | 2002-01-22 00:57:46 +0100 (Tue, 22 Jan 2002) | 4 lines
Changed paths:
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/common.h
   M /trunk/include/defs.h.in
   M /trunk/include/input_ext-dec.h
   M /trunk/include/input_ext-intf.h
   M /trunk/include/input_ext-plugins.h
   M /trunk/plugins/ac3_adec/ac3_adec.c
   M /trunk/plugins/ac3_spdif/ac3_spdif.c
   M /trunk/plugins/lpcm_adec/lpcm_adec.c
   M /trunk/plugins/mad/mad_adec.c
   M /trunk/plugins/mad/mad_adec.h
   M /trunk/plugins/mad/mad_libmad.c
   M /trunk/plugins/mpeg_adec/mpeg_adec.c
   M /trunk/plugins/mpeg_system/input_es.c
   M /trunk/plugins/mpeg_vdec/video_parser.c
   M /trunk/plugins/spudec/spu_decoder.c
   M /trunk/src/audio_output/aout_ext-dec.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/input_ext-dec.c
   M /trunk/src/misc/modules_plugin.h

* Decoders do not necessarily use bit stream (see mad plug-in)
* mad PTS should finally be accurate
* Some configure changes.

------------------------------------------------------------------------
r1437 | massiot | 2002-01-23 00:14:26 +0100 (Wed, 23 Jan 2002) | 2 lines
Changed paths:
   M /trunk/plugins/ac3_adec/ac3_adec.c
   M /trunk/plugins/ac3_adec/ac3_adec.h
   M /trunk/plugins/mpeg_adec/mpeg_adec.c

* Fixed an alignment issue in the ac3 decoder.

------------------------------------------------------------------------
r1439 | stef | 2002-01-23 04:15:31 +0100 (Wed, 23 Jan 2002) | 5 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/extras/libdvdcss/css.c
   M /trunk/extras/libdvdcss/css.h
   M /trunk/extras/libdvdcss/libdvdcss.c
   M /trunk/extras/libdvdread/Makefile
   M /trunk/extras/libdvdread/bswap.h
   M /trunk/extras/libdvdread/dvd_reader.c
   M /trunk/extras/libdvdread/dvd_reader.h
   A /trunk/extras/libdvdread/dvd_setup.c
   A /trunk/extras/libdvdread/dvd_setup.h
   D /trunk/extras/libdvdread/dvdcss.h
   D /trunk/extras/libdvdread/dvdread.c
   M /trunk/extras/libdvdread/ifo_print.h
   M /trunk/extras/libdvdread/ifo_read.h
   M /trunk/extras/libdvdread/ifo_types.h
   M /trunk/extras/libdvdread/nav_print.h
   M /trunk/extras/libdvdread/nav_read.h
   M /trunk/extras/libdvdread/nav_types.h
   D /trunk/extras/libdvdread/videolan
   M /trunk/include/defs.h.in
   M /trunk/plugins/dvd/dummy_dvdcss.h
   M /trunk/plugins/dvdread/dvdread.c
   M /trunk/plugins/dvdread/input_dvdread.h

*Merged hh patch in libdvdcss from main tree.

*Updated local libdvdread, so that it does not depend on libdvdcss
(ala dummy_dvdcss) and modified configure to reflect changes.

------------------------------------------------------------------------
r1440 | stef | 2002-01-23 04:56:51 +0100 (Wed, 23 Jan 2002) | 4 lines
Changed paths:
   M /trunk/extras/libdvdread/dvd_reader.c
   M /trunk/extras/libdvdread/dvd_setup.c
   M /trunk/extras/libdvdread/dvd_setup.h

-removed some useless printf

-replaced dvdcss_title(,) with dvdcss_seek( ,,DVDCSS_SEEK_KEY )

------------------------------------------------------------------------
r1441 | asmax | 2002-01-23 13:02:12 +0100 (Wed, 23 Jan 2002) | 3 lines
Changed paths:
   M /trunk/plugins/mpeg_adec/mpeg_adec.c

* enabled --stereo option for streams that pretend to be mono while they
 are not!

------------------------------------------------------------------------
r1442 | stef | 2002-01-23 21:19:54 +0100 (Wed, 23 Jan 2002) | 2 lines
Changed paths:
   M /trunk/extras/libdvdread/ifo_print.h
   M /trunk/extras/libdvdread/ifo_read.h
   M /trunk/extras/libdvdread/ifo_types.h
   M /trunk/extras/libdvdread/nav_print.h
   M /trunk/extras/libdvdread/nav_read.h
   M /trunk/extras/libdvdread/nav_types.h

I checked in bad header files yesterday.

------------------------------------------------------------------------
r1443 | massiot | 2002-01-24 00:14:59 +0100 (Thu, 24 Jan 2002) | 2 lines
Changed paths:
   M /trunk/plugins/ac3_adec/ac3_adec.c

Fixed a bug introduced yesterday.

------------------------------------------------------------------------
r1444 | sam | 2002-01-24 14:32:53 +0100 (Thu, 24 Jan 2002) | 5 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/defs.h.in
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/modules_plugin.h


  * ./src/misc/modules_plugin.h: fixed a missing function initialization
    which made decoder plugins segfault in GetChunk calls.
  * ./configure.in: proper soundcard.h check from Yves Duret.

------------------------------------------------------------------------
r1445 | stef | 2002-01-24 19:50:32 +0100 (Thu, 24 Jan 2002) | 6 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/extras/libdvdread/Makefile

Configure and Makefile tweaking for dvdread module.
It is now activated with option --with-dvdread, that takes the same options
as --with-dvdcss.
If you link with libdvdread statically dvdread is compiled builtin ; if you
link dynamically, it is compiled as a plugin.

------------------------------------------------------------------------
r1447 | gbazin | 2002-01-25 07:43:34 +0100 (Fri, 25 Jan 2002) | 11 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/win32/Makefile
   A /trunk/plugins/win32/aout_waveout.c
   A /trunk/plugins/win32/waveout.c
   M /trunk/src/audio_output/audio_output.c


* Added a new very simple audio plugin for Win32. This plugin uses the
    waveOut API which is a lot easier to use for streaming stuff than
    directsound. (you don't have to take care of underflows anymore
    because it doesn't use circular buffers).
    If you are having a lot of underflows, this plugin is currently
    better adapted than the directx plugin.

* Moved some initialization stuff in audio_out.c so we can now the
    caracteristics of the audio stream before calling aout_Open().

------------------------------------------------------------------------
r1448 | sam | 2002-01-25 18:18:37 +0100 (Fri, 25 Jan 2002) | 4 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/x11/xcommon.c


  * ./plugins/x11/xcommon.c: we don't use DPMS functions if they are
    not available.

------------------------------------------------------------------------
r1449 | tcastley | 2002-01-26 02:18:27 +0100 (Sat, 26 Jan 2002) | 2 lines
Changed paths:
   M /trunk/src/misc/beos_specific.cpp

Fixed compliation error due to inclusion of threads.h

------------------------------------------------------------------------
r1450 | gbazin | 2002-01-27 23:14:52 +0100 (Sun, 27 Jan 2002) | 12 lines
Changed paths:
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/directx/vout_directx.h
   M /trunk/plugins/directx/vout_events.c


* Added double-buffering for the directx plugin in overlay mode.
* Several directx bug-fixes:
    - implemented the right behaviour on exit.
    - fixed bug preventing the creation of several windows.
        (the wall filter is working now :-))
    - fixed unnecessary background redraws (it made the video flicker).
    - fixed bug where we were losing the video display because of lost
        surfaces in video memory.
    - when using hardware overlay, the output window will now specify:
        "(using hardware overlay)".

------------------------------------------------------------------------
r1451 | sam | 2002-01-28 17:51:22 +0100 (Mon, 28 Jan 2002) | 2 lines
Changed paths:
   M /trunk/BUGS
   M /trunk/plugins/chroma/i420_rgb.c
   M /trunk/plugins/chroma/i420_rgb.h
   M /trunk/plugins/chroma/i420_rgb16.c
   M /trunk/plugins/chroma/i420_rgb_mmx.h
   M /trunk/plugins/x11/xcommon.c

  * ./plugins/chroma/i420_rgb16.c: MMX YUV to RGB transformation for 15bpp.

------------------------------------------------------------------------
r1452 | stef | 2002-01-28 22:31:58 +0100 (Mon, 28 Jan 2002) | 2 lines
Changed paths:
   M /trunk/extras/libdvdread/dvd_reader.c

.Fixed a segfault a dvdread exit (my fault).

------------------------------------------------------------------------
r1453 | stef | 2002-01-29 00:08:31 +0100 (Tue, 29 Jan 2002) | 10 lines
Changed paths:
   M /trunk/plugins/ac3_adec/ac3_adec.c
   M /trunk/plugins/ac3_spdif/ac3_spdif.c
   M /trunk/plugins/alsa/aout_alsa.c
   M /trunk/plugins/beos/aout_beos.cpp
   M /trunk/plugins/directx/aout_directx.c
   M /trunk/plugins/dsp/aout_dsp.c
   M /trunk/plugins/dummy/aout_dummy.c
   M /trunk/plugins/esd/aout_esd.c
   M /trunk/plugins/macosx/aout_macosx.c
   M /trunk/plugins/qnx/aout_qnx.c
   M /trunk/plugins/sdl/aout_sdl.c
   M /trunk/plugins/win32/aout_waveout.c
   M /trunk/src/audio_output/audio_output.c

-Fixed ac3_spdif which has been broken recently,

-Check frequency in ac3_adec and change fifo if needed,

-Moved initialisation of p_aout from plugins to audio_output.c
If audio output rate is psecified at launch time, we try to use it by default.

Note that audio output currently suffers from frequent underruns.
This has not been fixed here.

------------------------------------------------------------------------
r1454 | gbazin | 2002-01-29 21:11:18 +0100 (Tue, 29 Jan 2002) | 4 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/mtime.h
   M /trunk/plugins/dummy/intf_dummy.c
   M /trunk/src/misc/modules_plugin.h


* Added mstrtime() to module_symbols_t so we can compile the mpeg_vdec
    plugin with TRACE mode enabled.

------------------------------------------------------------------------
r1455 | sam | 2002-01-30 01:09:49 +0100 (Wed, 30 Jan 2002) | 11 lines
Changed paths:
   M /trunk/MODULES
   M /trunk/plugins/filter/wall.c


  * Fixed stuff in the wall filter. Extended syntax:
     --filter wall         % open a wall (3x3 is the default value)
     --filter wall:2       % open a 2x2 wall
     --filter wall:3x2     % open a 3x2 wall
     --filter wall:2x1:0   % open a 2x1 wall, only display block 0
     --filter wall:2:0,3   % open a 2x2 wall, only display blocks 0 and 3
    For instance, if you have 2 computers listening to a network stream, on
    the left computer you use --filter wall:2x1:0 and on the right computer
    you use --filter wall:2x1:1

------------------------------------------------------------------------
r1457 | massiot | 2002-02-01 00:18:27 +0100 (Fri, 01 Feb 2002) | 2 lines
Changed paths:
   M /trunk/plugins/gtk/gtk_open.c

Fixed a bug in the network dialog.

------------------------------------------------------------------------
r1458 | sam | 2002-02-04 10:58:59 +0100 (Mon, 04 Feb 2002) | 4 lines
Changed paths:
   M /trunk/src/misc/modules.c


  * ./src/misc/modules.c: changed module_Need to make it possible to
    have several modules with the same shortcut name.

------------------------------------------------------------------------
r1459 | gbazin | 2002-02-05 22:46:41 +0100 (Tue, 05 Feb 2002) | 6 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/config.h
   M /trunk/src/input/input_dec.c
   M /trunk/src/interface/main.c


* New AC3 decoder plugin using liba52 from Aaron Holtzman and
    Michel Lespinasse.
    This plugin isn't used by default, you have to specify:
    --ac3_adec liba52

------------------------------------------------------------------------
r1460 | sam | 2002-02-06 03:37:18 +0100 (Wed, 06 Feb 2002) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/debian/control
   M /trunk/debian/rules
   A /trunk/debian/vlc-lirc.dirs
   A /trunk/doc/lirc
   A /trunk/doc/lirc/example.lircrc
   M /trunk/include/defs.h.in
   A /trunk/plugins/lirc
   A /trunk/plugins/lirc/.cvsignore
   A /trunk/plugins/lirc/Makefile
   A /trunk/plugins/lirc/lirc.c

  * ./plugins/lirc/lirc.c: IR remote control plugin by Sigmund Augdal
    <sigmunau@stud.ntnu.no>, activate with --enable-lirc.
  * ./configure.in: put liba52_adec in a builtin for PIC/non-PIC reasons.

------------------------------------------------------------------------
r1461 | gbazin | 2002-02-06 21:44:23 +0100 (Wed, 06 Feb 2002) | 4 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/rules
   A /trunk/plugins/a52
   A /trunk/plugins/a52/.cvsignore
   A /trunk/plugins/a52/Makefile
   A /trunk/plugins/a52/a52.c
   A /trunk/plugins/a52/a52.h
   M /trunk/src/interface/main.c


* Just renamed the liba52_adec plugin into a52 to comply with the naming
convention used by the other plugins.

------------------------------------------------------------------------
r1462 | sam | 2002-02-08 16:57:29 +0100 (Fri, 08 Feb 2002) | 4 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/video.h
   M /trunk/plugins/beos/InterfaceWindow.cpp
   M /trunk/plugins/beos/Makefile
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/plugins/chroma/i420_rgb.c
   M /trunk/src/misc/beos_specific.cpp
   M /trunk/src/video_output/vout_pictures.c


  * ./plugins/beos/vout_beos.cpp: ported the BeOS RGB video output to
    vout4. The overlay video output still needs to be written though.

------------------------------------------------------------------------
r1463 | gbazin | 2002-02-13 22:54:44 +0100 (Wed, 13 Feb 2002) | 4 lines
Changed paths:
   M /trunk/plugins/a52/a52.c


* compilation fix (include stdint.h)
* fixed a SEGV

------------------------------------------------------------------------
r1464 | sam | 2002-02-13 23:10:40 +0100 (Wed, 13 Feb 2002) | 7 lines
Changed paths:
   M /trunk/include/main.h
   M /trunk/plugins/beos/aout_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/plugins/mpeg_vdec/vpar_headers.c
   M /trunk/plugins/vcd/input_vcd.c
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/vout_pictures.c
   M /trunk/src/video_output/vout_subpictures.c


  * ./plugins/beos/*: BeOS fixes from Rudolf Cornelissen.
  * ./src/interface/main.c: --desync now really accepts a value in ms.
  * ./plugins/vcd/input_vcd.c: fixed a crash when not opening a VCD.
  * ./src/video_output/vout_subpictures.c: fixed subtitles under BeOS and
    other architectures which don't support overlay.

------------------------------------------------------------------------
r1465 | sam | 2002-02-15 00:29:17 +0100 (Fri, 15 Feb 2002) | 5 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/plugins/gtk/fixfiles.sh
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/gtk/gtk_support.h
   M /trunk/src/interface/main.c


  * Grmbl. Forgot to commit those Win32 fixes last time, and they were
    stuck on VTHR. Sorry xav, this probably explains why I couldn't
    find the commit log :-)

------------------------------------------------------------------------
r1466 | sam | 2002-02-15 14:32:54 +0100 (Fri, 15 Feb 2002) | 18 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/config.h
   M /trunk/include/input_ext-intf.h
   M /trunk/include/input_ext-plugins.h
   M /trunk/include/main.h
   M /trunk/include/modules.h
   M /trunk/plugins/a52/a52.c
   M /trunk/plugins/ac3_adec/ac3_adec.c
   M /trunk/plugins/ac3_spdif/ac3_spdif.c
   M /trunk/plugins/alsa/aout_alsa.c
   M /trunk/plugins/arts/aout_arts.c
   M /trunk/plugins/beos/aout_beos.cpp
   M /trunk/plugins/beos/intf_beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/plugins/chroma/i420_rgb.c
   M /trunk/plugins/chroma/i420_ymga.c
   M /trunk/plugins/chroma/i420_yuy2.c
   M /trunk/plugins/chroma/i422_yuy2.c
   M /trunk/plugins/directx/aout_directx.c
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/downmix/downmix.c
   M /trunk/plugins/downmix/downmix3dn.c
   M /trunk/plugins/downmix/downmixsse.c
   M /trunk/plugins/dsp/aout_dsp.c
   M /trunk/plugins/dummy/aout_dummy.c
   M /trunk/plugins/dummy/input_dummy.c
   M /trunk/plugins/dummy/intf_dummy.c
   M /trunk/plugins/dummy/vout_dummy.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvdread/input_dvdread.c
   M /trunk/plugins/esd/aout_esd.c
   M /trunk/plugins/fb/fb.c
   M /trunk/plugins/filter/deinterlace.c
   M /trunk/plugins/filter/distort.c
   M /trunk/plugins/filter/invert.c
   M /trunk/plugins/filter/transform.c
   M /trunk/plugins/filter/wall.c
   M /trunk/plugins/ggi/ggi.c
   M /trunk/plugins/glide/glide.c
   M /trunk/plugins/gtk/gnome.c
   M /trunk/plugins/gtk/gtk.c
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/idct/idct.c
   M /trunk/plugins/idct/idct_decl.h
   M /trunk/plugins/idct/idctaltivec.c
   M /trunk/plugins/idct/idctclassic.c
   M /trunk/plugins/idct/idctmmx.c
   M /trunk/plugins/idct/idctmmxext.c
   M /trunk/plugins/imdct/imdct.c
   M /trunk/plugins/imdct/imdct3dn.c
   M /trunk/plugins/imdct/imdctsse.c
   M /trunk/plugins/lirc/lirc.c
   M /trunk/plugins/lpcm_adec/lpcm_adec.c
   M /trunk/plugins/macosx/aout_macosx.c
   M /trunk/plugins/macosx/intf_main.c
   A /trunk/plugins/macosx/intf_main.h
   M /trunk/plugins/macosx/intf_vlc_wrapper.c
   M /trunk/plugins/macosx/macosx.h
   M /trunk/plugins/macosx/vout_macosx.c
   M /trunk/plugins/mad/mad_adec.c
   M /trunk/plugins/memcpy/memcpy.c
   M /trunk/plugins/mga/mga.c
   M /trunk/plugins/mga/xmga.c
   M /trunk/plugins/motion/motion.c
   M /trunk/plugins/motion/motion3dnow.c
   M /trunk/plugins/motion/motionaltivec.c
   M /trunk/plugins/motion/motionmmx.c
   M /trunk/plugins/motion/motionmmxext.c
   M /trunk/plugins/mpeg_adec/mpeg_adec.c
   M /trunk/plugins/mpeg_system/input_es.c
   M /trunk/plugins/mpeg_system/input_ps.c
   M /trunk/plugins/mpeg_system/input_ts.c
   M /trunk/plugins/mpeg_system/mpeg_es.c
   M /trunk/plugins/mpeg_system/mpeg_ps.c
   M /trunk/plugins/mpeg_vdec/video_parser.c
   M /trunk/plugins/qnx/aout_qnx.c
   M /trunk/plugins/qnx/vout_qnx.c
   M /trunk/plugins/qt/intf_qt.cpp
   M /trunk/plugins/sdl/aout_sdl.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/spudec/spu_decoder.c
   M /trunk/plugins/text/ncurses.c
   M /trunk/plugins/text/rc.c
   M /trunk/plugins/vcd/input_vcd.c
   M /trunk/plugins/vcd/vcd.c
   M /trunk/plugins/win32/aout_waveout.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/audio_output/aout_ext-dec.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_dec.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/modules.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_pictures.c


  * ALL: got rid of *_Probe functions because most of them were duplicates
    of the real _Init or _Create functions. That's 1000 lines of code gained.
  * ./src/misc/modules.c: we try not to keep the global lock in module_Need,
    which should speed up output spawning.
  * ./plugins/dummy/input_dummy.c: fixed vlc:quit command.
  * ./plugins/gtk/gtk_playlist.c: compilation fix.
  * ./plugins/macosx/*: preliminary fixes for the vout4 port.

   Notes on the *_Probe eradication:
  o I probably broke the DirectX video output, because of the "must init and
    run in the same thread" issue. I'll fix this ASAP.
  o Subtitles are broken (or at least, pretty ugly) in RGB mode.
  o The input plugins still have *_Probe functions. This will disappear when
    meuuh is finished with the access plugins.
  o The decoder plugins still have *_Probe functions. This is probably not
    going to change, it looks OK to me.

------------------------------------------------------------------------
r1467 | gbazin | 2002-02-15 21:02:21 +0100 (Fri, 15 Feb 2002) | 10 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/directx/aout_directx.c
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/win32/Makefile
   D /trunk/plugins/win32/aout_waveout.c
   M /trunk/plugins/win32/waveout.c


* Win32 compilation fixes (mingw includes dirent)
* configure now checks for ddraw.h and not directx.h
* vout_directx doesn't include directx.h anymore (this file isn't part of
    the directx sdk)
* moved all the stuff from aout_waveout.c directly into waveout.c (I don't
    know what I was thinking about when I created these two files ;-)
* until we fix the audio buffer underrun problem, waveout will be the
    default audio output on win32 (instead of directx).

------------------------------------------------------------------------
r1468 | jlj | 2002-02-18 02:34:44 +0100 (Mon, 18 Feb 2002) | 4 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   A /trunk/macosx-dmg
   M /trunk/plugins/macosx/Makefile
   M /trunk/plugins/macosx/intf_controller.c
   M /trunk/plugins/macosx/intf_controller.h
   A /trunk/plugins/macosx/intf_macosx.c
   D /trunk/plugins/macosx/intf_main.c
   D /trunk/plugins/macosx/intf_main.h
   D /trunk/plugins/macosx/intf_qdview.c
   D /trunk/plugins/macosx/intf_qdview.h
   M /trunk/plugins/macosx/intf_vlc_wrapper.c
   M /trunk/plugins/macosx/intf_vlc_wrapper.h
   M /trunk/plugins/macosx/macosx.c
   M /trunk/plugins/macosx/macosx.h
   M /trunk/plugins/macosx/vout_macosx.c
   A /trunk/plugins/macosx/vout_qdview.c
   A /trunk/plugins/macosx/vout_qdview.h
   A /trunk/plugins/macosx/vout_window.c
   A /trunk/plugins/macosx/vout_window.h

  * MacOS X vout improvements
  * MacOS X intf now returns, allowing vlc to terminate properly
  * Added a new make target: package-macosx

------------------------------------------------------------------------
r1469 | stef | 2002-02-18 20:02:41 +0100 (Mon, 18 Feb 2002) | 2 lines
Changed paths:
   M /trunk/src/video_output/video_output.c

Fixed a typo in aspect ratio calculation

------------------------------------------------------------------------
r1470 | sam | 2002-02-19 01:50:20 +0100 (Tue, 19 Feb 2002) | 8 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/common.h
   M /trunk/include/config.h
   M /trunk/include/defs.h.in
   M /trunk/include/interface.h
   M /trunk/include/intf_msg.h
   M /trunk/include/video.h
   M /trunk/ipkg/patch
   M /trunk/plugins/ac3_adec/ac3_adec.c
   M /trunk/plugins/ac3_adec/ac3_parse.c
   M /trunk/plugins/ac3_spdif/ac3_spdif.c
   M /trunk/plugins/alsa/aout_alsa.c
   M /trunk/plugins/directx/vout_events.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/ggi/ggi.c
   M /trunk/plugins/gtk/gnome.c
   M /trunk/plugins/lirc/lirc.c
   M /trunk/plugins/lpcm_adec/lpcm_adec.c
   M /trunk/plugins/macosx/aout_macosx.c
   M /trunk/plugins/mad/mad_libmad.c
   M /trunk/plugins/mga/xmga.c
   M /trunk/plugins/mpeg_adec/mpeg_adec.c
   M /trunk/plugins/mpeg_vdec/video_decoder.c
   M /trunk/plugins/mpeg_vdec/video_parser.c
   M /trunk/plugins/mpeg_vdec/vpar_headers.c
   M /trunk/plugins/mpeg_vdec/vpar_synchro.c
   M /trunk/plugins/qnx/vout_qnx.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/spudec/spu_decoder.c
   M /trunk/plugins/text/Makefile
   A /trunk/plugins/text/logger.c
   M /trunk/plugins/vcd/input_vcd.c
   M /trunk/plugins/vcd/linux_cdrom_tools.c
   M /trunk/plugins/x11/x11.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/audio_output/aout_common.c
   M /trunk/src/audio_output/aout_spdif.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/modules_plugin.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/video_text.c
   M /trunk/src/video_output/vout_pictures.c
   M /trunk/src/video_output/vout_subpictures.c


   * Got rid of TRACE and intf_DbgMsg which were seldom used anyway.
   * All intf_*Msg functions now write to stderr.
   * Implemented a message queue interface plugins can subscribe to.
   * Wrote the logger interface plugin. Usage:
      vlc -I logger:filename.log
   * Lots of fixes in the SPU renderer.

------------------------------------------------------------------------
r1471 | sam | 2002-02-19 04:54:56 +0100 (Tue, 19 Feb 2002) | 6 lines
Changed paths:
   M /trunk/plugins/gtk/gtk.c
   M /trunk/plugins/gtk/gtk.glade
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_callbacks.h
   M /trunk/plugins/gtk/gtk_common.h
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_interface.h
   M /trunk/plugins/gtk/gtk_support.c
   M /trunk/plugins/gtk/gtk_support.h
   M /trunk/plugins/lirc/lirc.c
   M /trunk/plugins/text/logger.c
   M /trunk/src/interface/intf_msg.c


  * ./plugins/lirc/lirc.: various fixes, thanks to Sigmund Augdal.
  * ./plugins/text/logger.c: rewrote an ugly loop.
  * ./plugins/gtk/gtk.c: added a Gtk+ window containing all the log
    messages; updated in real time. To open it, go to "view"->"messages".

------------------------------------------------------------------------
r1472 | sam | 2002-02-20 02:47:01 +0100 (Wed, 20 Feb 2002) | 3 lines
Changed paths:
   M /trunk/plugins/lirc/lirc.c


  * ./plugins/lirc/lirc.c: fixed my mistakes from yesterday.

------------------------------------------------------------------------
r1473 | jlj | 2002-02-20 06:50:00 +0100 (Wed, 20 Feb 2002) | 2 lines
Changed paths:
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/vcd/Makefile
   A /trunk/plugins/vcd/cdrom_tools.c
   A /trunk/plugins/vcd/cdrom_tools.h
   M /trunk/plugins/vcd/input_vcd.c
   D /trunk/plugins/vcd/linux_cdrom_tools.c
   D /trunk/plugins/vcd/linux_cdrom_tools.h

  * MacOS X VCD support.

------------------------------------------------------------------------
r1474 | sam | 2002-02-20 06:56:18 +0100 (Wed, 20 Feb 2002) | 6 lines
Changed paths:
   M /trunk/plugins/gtk/gnome.c
   M /trunk/plugins/gtk/gnome.glade
   M /trunk/plugins/gtk/gnome_callbacks.c
   M /trunk/plugins/gtk/gnome_callbacks.h
   M /trunk/plugins/gtk/gnome_interface.c
   M /trunk/plugins/gtk/gnome_interface.h
   M /trunk/plugins/gtk/gtk.c
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_support.h
   M /trunk/plugins/lirc/lirc.c
   M /trunk/plugins/text/logger.c
   M /trunk/src/interface/intf_msg.c


  * ./plugins/gtk/gtk.c: the log window is now black with colourful text.
  * ./plugins/gtk/gnome.c: ported the log window to the GNOME interface.
  * ./src/interface/intf_msg.c: messages are sent to the queue even if
    -vvvv* wasn't specified.

------------------------------------------------------------------------
r1475 | sam | 2002-02-20 20:01:13 +0100 (Wed, 20 Feb 2002) | 3 lines
Changed paths:
   M /trunk/Makefile


  * ./Makefile: the win32 port now uses a more recent version of gtk+.

------------------------------------------------------------------------
r1476 | sam | 2002-02-21 00:23:53 +0100 (Thu, 21 Feb 2002) | 5 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/Makefile.modules
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/common.h
   M /trunk/include/defs.h.in
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/misc/netutils.c


  * ./configure.in: removed a bashism.
  * ./plugins/x11/xcommon.c: support for systems without shm.h.
  * QNX compilation fixes here and there; the qnx plugin still doesn't work.

------------------------------------------------------------------------
r1477 | sam | 2002-02-21 01:54:00 +0100 (Thu, 21 Feb 2002) | 3 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in


  * ./configure.in: gtk*-config detection fix for FreeBSD.

------------------------------------------------------------------------
r1478 | sam | 2002-02-21 22:55:40 +0100 (Thu, 21 Feb 2002) | 5 lines
Changed paths:
   M /trunk/plugins/lirc/lirc.c


  * ./plugins/lirc/lirc.c: non-blocking patch from Sigmund Augdal
    <sigmunau@stud.ntnu.no>; hope this time my enhancements don't break
    everything :-)

------------------------------------------------------------------------
r1479 | sam | 2002-02-22 00:56:08 +0100 (Fri, 22 Feb 2002) | 4 lines
Changed paths:
   M /trunk/src/misc/modules_plugin.h


  * ./src/misc/modules_plugin.h: if symbol foo isn't found in the
    plugin, we always try to open _foo, whatever the architecture.

------------------------------------------------------------------------
r1480 | gbazin | 2002-02-22 21:46:58 +0100 (Fri, 22 Feb 2002) | 6 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in


* Don't try to grok altivec with mingw32.
* --with-directx-path should now indicate the path where the actual
headers are (before the headers had to be in an include subdir). By the
way you can download these header files from the videolan web site.

------------------------------------------------------------------------
r1481 | gbazin | 2002-02-23 22:31:44 +0100 (Sat, 23 Feb 2002) | 3 lines
Changed paths:
   M /trunk/src/interface/intf_msg.c


* fixed array over-run bug in intf_MsgUnsub

------------------------------------------------------------------------
r1482 | gbazin | 2002-02-24 21:51:10 +0100 (Sun, 24 Feb 2002) | 23 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/audio_output.h
   M /trunk/include/common.h
   M /trunk/include/config.h
   A /trunk/include/configuration.h
   M /trunk/include/main.h
   M /trunk/include/modules.h
   M /trunk/include/modules_inner.h
   M /trunk/include/videolan/vlc.h
   M /trunk/plugins/a52/a52.c
   M /trunk/plugins/ac3_adec/ac3_adec.c
   M /trunk/plugins/ac3_adec/ac3_decoder.h
   M /trunk/plugins/ac3_spdif/ac3_spdif.c
   M /trunk/plugins/alsa/alsa.c
   M /trunk/plugins/arts/aout_arts.c
   M /trunk/plugins/arts/arts.c
   M /trunk/plugins/beos/aout_beos.cpp
   M /trunk/plugins/beos/beos.cpp
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/plugins/directx/aout_directx.c
   M /trunk/plugins/directx/directx.c
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/dsp/aout_dsp.c
   M /trunk/plugins/dsp/dsp.c
   M /trunk/plugins/dummy/dummy.c
   M /trunk/plugins/dummy/null.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvdread/input_dvdread.c
   M /trunk/plugins/esd/aout_esd.c
   M /trunk/plugins/esd/esd.c
   M /trunk/plugins/fb/fb.c
   M /trunk/plugins/filter/deinterlace.c
   M /trunk/plugins/filter/distort.c
   M /trunk/plugins/filter/invert.c
   M /trunk/plugins/filter/transform.c
   M /trunk/plugins/filter/wall.c
   M /trunk/plugins/ggi/ggi.c
   M /trunk/plugins/gtk/gtk_display.c
   M /trunk/plugins/gtk/gtk_open.c
   M /trunk/plugins/gtk/gtk_preferences.c
   M /trunk/plugins/idct/idctclassic.c
   M /trunk/plugins/kde/kde.cpp
   M /trunk/plugins/kde/kde_interface.cpp
   M /trunk/plugins/lirc/lirc.c
   M /trunk/plugins/mga/xmga.c
   M /trunk/plugins/mpeg_adec/mpeg_adec.c
   M /trunk/plugins/mpeg_system/input_ps.c
   M /trunk/plugins/mpeg_vdec/video_parser.c
   M /trunk/plugins/mpeg_vdec/vpar_synchro.c
   M /trunk/plugins/qnx/qnx.c
   M /trunk/plugins/qnx/vout_qnx.c
   M /trunk/plugins/qt/qt.cpp
   M /trunk/plugins/sdl/aout_sdl.c
   M /trunk/plugins/text/logger.c
   M /trunk/plugins/text/ncurses.c
   M /trunk/plugins/vcd/input_vcd.c
   M /trunk/plugins/win32/waveout.c
   M /trunk/plugins/x11/x11.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/plugins/x11/xcommon.h
   M /trunk/plugins/x11/xvideo.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c
   A /trunk/src/misc/configuration.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/modules_builtin.h.in
   M /trunk/src/misc/modules_plugin.h
   M /trunk/src/misc/netutils.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_subpictures.c


This is the first part of the new configuration architecture for vlc.
Two other parts will follow soon:
- config file implementation
- gtk configuration interface.

This part won't change much for end-users as these changes are mostly
internal, you will however notice that the command line interface has
changed. It will maybe be less user-friendly as I almost removed the
short options but it shouldn't a big problem when the config file is
implemented.

What as changed is that it is really easy now to add configuration
options to vlc. Plugins can also implement configuration options. All
you have to do is to declare a MODULE_CONFIG section in your plugin.
If you want to know more about this look at configuration.h and for some
example: main.c, dsp.c or xvideo.c

It would be nice if every developper could now start using configuration
options in there plugins and also enhance old plugins.

That's it, now let's hope I didn't break too many things ;-)

------------------------------------------------------------------------
r1483 | jobi | 2002-02-24 22:36:20 +0100 (Sun, 24 Feb 2002) | 3 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/input_ext-intf.h
   M /trunk/plugins/gtk/gnome.glade
   M /trunk/plugins/gtk/gnome_interface.c
   M /trunk/plugins/gtk/gtk.glade
   M /trunk/plugins/gtk/gtk_common.h
   M /trunk/plugins/gtk/gtk_display.c
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_menu.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/misc/modules_plugin.h

Added a menu in the GTK and gnome interfaces to change the current program
in multi-program streams (such as ones provided by a DVB-S card).

------------------------------------------------------------------------
r1484 | sam | 2002-02-24 23:06:50 +0100 (Sun, 24 Feb 2002) | 5 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/audio_output.h
   M /trunk/include/common.h
   M /trunk/include/defs.h.in
   M /trunk/include/modules.h
   M /trunk/plugins/a52/a52.c
   M /trunk/plugins/ac3_adec/ac3_adec.c
   M /trunk/plugins/ac3_spdif/ac3_spdif.c
   M /trunk/plugins/alsa/aout_alsa.c
   M /trunk/plugins/arts/aout_arts.c
   M /trunk/plugins/beos/aout_beos.cpp
   M /trunk/plugins/directx/aout_directx.c
   M /trunk/plugins/dsp/aout_dsp.c
   M /trunk/plugins/dummy/aout_dummy.c
   M /trunk/plugins/esd/aout_esd.c
   M /trunk/plugins/lpcm_adec/lpcm_adec.c
   M /trunk/plugins/macosx/aout_macosx.c
   M /trunk/plugins/mad/mad_libmad.c
   M /trunk/plugins/mpeg_adec/adec_layer1.c
   M /trunk/plugins/mpeg_adec/adec_layer2.c
   M /trunk/plugins/mpeg_adec/adec_math.c
   M /trunk/plugins/mpeg_adec/adec_math.h
   M /trunk/plugins/mpeg_adec/mpeg_adec.c
   M /trunk/plugins/qnx/aout_qnx.c
   M /trunk/plugins/sdl/aout_sdl.c
   M /trunk/plugins/win32/waveout.c
   D /trunk/src/audio_output/aout_common.c
   D /trunk/src/audio_output/aout_common.h
   M /trunk/src/audio_output/aout_ext-dec.c
   A /trunk/src/audio_output/aout_pcm.c
   A /trunk/src/audio_output/aout_pcm.h
   M /trunk/src/audio_output/aout_spdif.c
   M /trunk/src/audio_output/audio_output.c


  * Fixed a quite old bug in the audio output which made the sound stutter
    when wrapping around the audio output fifo.
  * Lots of simplifications in the audio output, got rid of b_stereo.

------------------------------------------------------------------------
r1485 | sam | 2002-02-24 23:12:10 +0100 (Sun, 24 Feb 2002) | 3 lines
Changed paths:
   M /trunk/plugins/dsp/aout_dsp.c


  * Forgot one fix in my previous commit. As usual.

------------------------------------------------------------------------
r1486 | sam | 2002-02-24 23:12:45 +0100 (Sun, 24 Feb 2002) | 3 lines
Changed paths:
   A /trunk/src/audio_output/aout_spdif.h


  * Replacement header for aout_common.h.

------------------------------------------------------------------------
r1487 | sam | 2002-02-25 05:30:03 +0100 (Mon, 25 Feb 2002) | 11 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/configure
   M /trunk/configure.in
   A /trunk/plugins/fx
   A /trunk/plugins/fx/.cvsignore
   A /trunk/plugins/fx/Makefile
   A /trunk/plugins/fx/scope.c
   M /trunk/plugins/gtk/gtk_menu.c


  * ./plugins/gtk/gtk_menu.c: fixed a compile issue on IA64.
  * ./plugins/fx/scope.c: new toy plugin, an audio scope module.

    Each time I fix a bug in vlc I feel urge to code something useless. This
    one is very, very rough for the moment, probably buggy, slow, will crash
    your blender and reboot your fridge. Screenshot can be found here:
      http://www.zoy.org/~sam/vlc/vlc-scope.jpeg
    Activate with `--aout scope' (yes, it currently disables the real
    audio output... I'll fix this as well).

------------------------------------------------------------------------
r1488 | sam | 2002-02-25 12:25:22 +0100 (Mon, 25 Feb 2002) | 3 lines
Changed paths:
   M /trunk/plugins/lirc/lirc.c


  * ./plugins/lirc/lirc.c: removed CVS garbage.

------------------------------------------------------------------------
r1489 | stef | 2002-02-25 19:42:09 +0100 (Mon, 25 Feb 2002) | 3 lines
Changed paths:
   M /trunk/plugins/ac3_spdif/ac3_spdif.c
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/dvdread/dvdread.c
   M /trunk/src/interface/main.c


*Adaptation to new configuration scheme for dvd, dvdread and spdif

------------------------------------------------------------------------
r1490 | sam | 2002-02-26 00:59:07 +0100 (Tue, 26 Feb 2002) | 5 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/defs.h.in
   M /trunk/include/threads.h
   M /trunk/src/input/input.c
   M /trunk/src/misc/mtime.c


  * ./include/threads.h: support for the State Threads Library, a userland
    threads library (http://state-threads.sourceforge.net/). Useless to most
    people, but can be handy to debug stuff. Activate with `--enable-st'.

------------------------------------------------------------------------
r1491 | stef | 2002-02-26 02:17:13 +0100 (Tue, 26 Feb 2002) | 6 lines
Changed paths:
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/dvdread/dvdread.c
   M /trunk/src/interface/main.c

*Reversed my previous configuration change.

I'd better used dvd_title or so but INPUT_TITLE_VAR is also used in
gtk_open.c and I can't find a neat way to prevent this, so I leave this
option in main.c.

------------------------------------------------------------------------
r1492 | xav | 2002-02-26 18:22:12 +0100 (Tue, 26 Feb 2002) | 6 lines
Changed paths:
   M /trunk/src/input/input.c


Multicast now works under Win32, but this is a _bad_ kludge.

It still segfaults 4 secondes after the first frame, but, at least, I
can see two or three frames from MI2 :-)

------------------------------------------------------------------------
r1493 | gbazin | 2002-02-26 19:25:40 +0100 (Tue, 26 Feb 2002) | 4 lines
Changed paths:
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/interface/main.c


* forgot to add the declaration of server_port in main.c
* char pointers obtained by config_GetPszVariable need to be freed

------------------------------------------------------------------------
r1494 | gbazin | 2002-02-26 23:08:57 +0100 (Tue, 26 Feb 2002) | 4 lines
Changed paths:
   M /trunk/plugins/gtk/gtk.glade
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/src/misc/configuration.c


* Fixed uninitialized variable in config_Duplicate()
* Fixed problem introduced in latest gtk commit

------------------------------------------------------------------------
r1495 | sam | 2002-02-27 04:47:56 +0100 (Wed, 27 Feb 2002) | 4 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/threads.h
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/plugins/dummy/dummy.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/filter/wall.c
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/vout_pictures.c


  * ./include/common.h: BeOS compile fixes.
  * ./plugins/beos/vout_beos.cpp: fixed BeOS video output.

------------------------------------------------------------------------
r1496 | sam | 2002-02-27 05:49:55 +0100 (Wed, 27 Feb 2002) | 4 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/src/input/input.c
   M /trunk/src/misc/netutils.c


  * ./src/input/input.c: BeOS network support (no idea if it works when you
    don't have BONE, though).

------------------------------------------------------------------------
r1497 | sam | 2002-02-27 19:19:21 +0100 (Wed, 27 Feb 2002) | 4 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/defs.h.in
   M /trunk/plugins/dsp/aout_dsp.c
   M /trunk/plugins/dsp/dsp.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_pictures.c


  * ./plugins/dsp/aout_dsp.c: OpenBSD compilation fix.
  * ./src/video_output/video_output.c: fixed a segfault on exit.

------------------------------------------------------------------------
r1498 | sam | 2002-02-27 20:05:19 +0100 (Wed, 27 Feb 2002) | 3 lines
Changed paths:
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in


  * ./configure.in: fixed a plugins/dsp.so compilation issue under OpenBSD.

------------------------------------------------------------------------
r1499 | sam | 2002-02-27 23:57:10 +0100 (Wed, 27 Feb 2002) | 5 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/plugins/fx/scope.c
   M /trunk/plugins/mpeg_vdec/vpar_headers.c
   M /trunk/src/audio_output/aout_pcm.c
   M /trunk/src/audio_output/aout_spdif.c
   M /trunk/src/audio_output/audio_output.c


  * ./plugins/mpeg_vdec/vpar_headers.c: we no longer crash when the next
    stream doesn't have the same image size as the previous one.
  * ./src/audio_output/aout_pcm.c: another overrun fix; please test.

------------------------------------------------------------------------
r1500 | massiot | 2002-03-01 01:33:18 +0100 (Fri, 01 Mar 2002) | 10 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/common.h
   M /trunk/include/input_ext-dec.h
   M /trunk/include/input_ext-intf.h
   M /trunk/include/input_ext-plugins.h
   M /trunk/include/modules.h
   A /trunk/include/network.h
   M /trunk/include/threads.h
   M /trunk/include/video.h
   A /trunk/plugins/access
   A /trunk/plugins/access/.cvsignore
   A /trunk/plugins/access/Makefile
   A /trunk/plugins/access/file.c
   A /trunk/plugins/access/http.c
   A /trunk/plugins/access/udp.c
   M /trunk/plugins/dummy/dummy.c
   M /trunk/plugins/dummy/input_dummy.c
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/gtk/gtk_display.c
   M /trunk/plugins/mpeg_system/Makefile
   D /trunk/plugins/mpeg_system/input_es.c
   D /trunk/plugins/mpeg_system/input_es.h
   D /trunk/plugins/mpeg_system/input_ps.c
   D /trunk/plugins/mpeg_system/input_ps.h
   D /trunk/plugins/mpeg_system/input_ts.c
   D /trunk/plugins/mpeg_system/input_ts.h
   M /trunk/plugins/mpeg_system/mpeg_es.c
   M /trunk/plugins/mpeg_system/mpeg_ps.c
   M /trunk/plugins/mpeg_system/mpeg_ts.c
   A /trunk/plugins/network
   A /trunk/plugins/network/.cvsignore
   A /trunk/plugins/network/Makefile
   A /trunk/plugins/network/ipv4.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/input_ext-dec.c
   A /trunk/src/input/input_ext-plugins.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/modules_plugin.h
   M /trunk/src/video_output/video_output.c

Input III (Episode 1).
- Major rewrite of the buffer core functions
- Modularity of access plugins (file, udp, http)
- Modularity of network stack (ipv4, soon ipv6)
- Autodetection of the type of stream

And a new killing feature : HTTP streams are now seekable.

Please note that dvd, dvdread and vcd plug-ins are broken and thus disabled.

------------------------------------------------------------------------
r1501 | stef | 2002-03-01 02:12:28 +0100 (Fri, 01 Mar 2002) | 5 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvd/input_dvd.h
   M /trunk/plugins/dvdread/dvdread.c
   M /trunk/plugins/dvdread/input_dvdread.c
   M /trunk/plugins/dvdread/input_dvdread.h
   M /trunk/src/input/input.c


*dvd and dvdread support for input III.

Dvdread is known to segfault at title change. I'm working on this.

------------------------------------------------------------------------
r1502 | xav | 2002-03-01 02:59:18 +0100 (Fri, 01 Mar 2002) | 2 lines
Changed paths:
   M /trunk/plugins/network/ipv4.c

Multicast under Win32 now works with the new input.

------------------------------------------------------------------------
r1503 | stef | 2002-03-01 15:17:22 +0100 (Fri, 01 Mar 2002) | 3 lines
Changed paths:
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvdread/input_dvdread.c


*Removed numerous deadlocks.

------------------------------------------------------------------------
r1504 | sam | 2002-03-01 17:07:00 +0100 (Fri, 01 Mar 2002) | 6 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/fx/scope.c
   M /trunk/plugins/kde/kde.cpp
   M /trunk/plugins/qt/qt.cpp
   A /trunk/po/no.po
   M /trunk/src/misc/modules.c


  * ./po/no.po: Norwegian translation by Sigmund Augdal. Berd?\239?\191?\189 ka p?\239?\191?\189 t?\239?\191?\189t.
  * ./src/misc/modules.c: shortcuts for --intf work again, gvlc launches the
    Gtk interface, qvlc launches the Qt interface, etc.
  * ./plugins/fx/scope.c: we now have sound together with --aout scope.

------------------------------------------------------------------------
r1505 | stef | 2002-03-02 04:15:22 +0100 (Sat, 02 Mar 2002) | 4 lines
Changed paths:
   M /trunk/src/input/input.c


*Initiliaze p_access_module & p_demux_modules to NULL when input thread
in created.

------------------------------------------------------------------------
r1506 | stef | 2002-03-02 04:29:13 +0100 (Sat, 02 Mar 2002) | 3 lines
Changed paths:
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvdread/input_dvdread.c


*Forgot a header.

------------------------------------------------------------------------
r1507 | sam | 2002-03-02 04:51:23 +0100 (Sat, 02 Mar 2002) | 4 lines
Changed paths:
   M /trunk/include/input_ext-plugins.h
   M /trunk/plugins/dummy/input_dummy.c
   M /trunk/plugins/fx/scope.c
   M /trunk/src/input/input.c


   * ./plugins/dummy/input_dummy.c: fixed `vlc vlc:quit'.
   * ./src/input/input.c: initialized uninitialized variables.

------------------------------------------------------------------------
r1508 | xav | 2002-03-02 04:53:55 +0100 (Sat, 02 Mar 2002) | 5 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/input_ext-plugins.h
   M /trunk/plugins/network/ipv4.c
   M /trunk/src/input/input_ext-plugins.c


 * Various Win32 compilation fixes.
 * DVD compiles, but doesn't work yet.
 * Fixed some typos in my previous Win32 multicast commit

------------------------------------------------------------------------
r1509 | gbazin | 2002-03-02 10:34:23 +0100 (Sat, 02 Mar 2002) | 5 lines
Changed paths:
   M /trunk/include/common.h




* fixed compilation problem related to ssize_t

------------------------------------------------------------------------
r1510 | sam | 2002-03-03 05:37:29 +0100 (Sun, 03 Mar 2002) | 4 lines
Changed paths:
   M /trunk/include/common.h
   D /trunk/include/int_types.h
   M /trunk/include/videolan/vlc.h
   M /trunk/plugins/mpeg_adec/adec_math.c


  * Got rid of int_types.h and did a few changes Ipkiss will need. Hope I
    did not break other platforms.

------------------------------------------------------------------------
r1511 | xav | 2002-03-03 18:34:27 +0100 (Sun, 03 Mar 2002) | 7 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/src/input/input.c


 * Fixed DVD input under Win32.
 * Fixed input parser under win32, chich couldn't understand that
c:\windows\bureau is a valid file and doesn't need to be accessed with
the plugin 'C' :-)
 * BTW, I added myself in the AUTHORS file :)

------------------------------------------------------------------------
r1512 | gbazin | 2002-03-03 21:42:21 +0100 (Sun, 03 Mar 2002) | 6 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/video_output/video_output.c




* added network to the list of the plugins directories in Makefile
* small bugfixes

------------------------------------------------------------------------
r1513 | stef | 2002-03-04 02:53:56 +0100 (Mon, 04 Mar 2002) | 2 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/plugins/ac3_spdif/ac3_spdif.c
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvdread/dvdread.c
   M /trunk/plugins/dvdread/input_dvdread.c
   M /trunk/plugins/dvdread/input_dvdread.h
   M /trunk/plugins/gtk/gtk_open.c
   M /trunk/src/interface/main.c

*** empty log message ***

------------------------------------------------------------------------
r1514 | stef | 2002-03-04 03:26:23 +0100 (Mon, 04 Mar 2002) | 5 lines
Changed paths:
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/gtk/gtk_open.c


-replaced setenv with putenv

-fixed a bug in gtk.

------------------------------------------------------------------------
r1515 | stef | 2002-03-04 03:50:18 +0100 (Mon, 04 Mar 2002) | 2 lines
Changed paths:
   M /trunk/plugins/dvd/input_dvd.c

*** empty log message ***

------------------------------------------------------------------------
r1516 | stef | 2002-03-04 04:44:17 +0100 (Mon, 04 Mar 2002) | 2 lines
Changed paths:
   M /trunk/plugins/dvd/dvd.c

-DVD access plugin is only called if specified under windows (no automatic detection)

------------------------------------------------------------------------
r1517 | gbazin | 2002-03-04 23:18:25 +0100 (Mon, 04 Mar 2002) | 13 lines
Changed paths:
   M /trunk/include/audio_output.h
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvdread/input_dvdread.c
   M /trunk/src/audio_output/aout_pcm.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/interface/main.c




* We now make sure the aout plugin buffers always contain between
AOUT_BUFFER_DURATION/2 and AOUT_BUFFER_DURATION*3/2 worth of audio.
This should solve the audio buffer underruns.

* fix for the bug in input when filename contains a '@' character.

* simplified the win32 specific changes to the input parser. ( I think
we can safely assume that no access plugin name will have a length of
one character)

------------------------------------------------------------------------
r1518 | gbazin | 2002-03-04 23:20:09 +0100 (Mon, 04 Mar 2002) | 5 lines
Changed paths:
   M /trunk/src/input/input.c




* this time I actually commited the win32 modif to the input parser ;-)

------------------------------------------------------------------------
r1519 | stef | 2002-03-05 00:34:16 +0100 (Tue, 05 Mar 2002) | 2 lines
Changed paths:
   M /trunk/plugins/dvdread/input_dvdread.c

-fixed a typo.

------------------------------------------------------------------------
r1520 | massiot | 2002-03-05 00:56:38 +0100 (Tue, 05 Mar 2002) | 11 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Makefile
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/common.h
   M /trunk/include/config.h
   M /trunk/include/input_ext-plugins.h
   M /trunk/plugins/access/http.c
   M /trunk/plugins/access/udp.c
   M /trunk/plugins/mpeg_system/mpeg_ps.c
   M /trunk/plugins/mpeg_system/mpeg_ts.c
   M /trunk/plugins/network/Makefile
   M /trunk/plugins/network/ipv4.c
   A /trunk/plugins/network/ipv6.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/modules_plugin.h
   M /trunk/src/misc/netutils.c

* IPv6 network module, courtesy of Alexis Guillard <alexis.guillard@bt.com>,
for BT ;
* --6 and --4 options to force IPv6 or IPv4 (FIXME: it should be -6 and
-4 but I don't know how to do it with the new configuration module) ;
* Channel manager now uses a socket from the network plug-in and is more
portable (and probably broken, too :) ;
* input_ReadPS and input_ReadTS are now in mpeg_system.c to be more
easily reused by plug-ins other than mpeg_ps and mpeg_ts.

That's all for tonight.

------------------------------------------------------------------------
r1521 | stef | 2002-03-05 01:50:37 +0100 (Tue, 05 Mar 2002) | 2 lines
Changed paths:
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvdread/input_dvdread.c

*More complete command line parsing for DVD, hopefully working this time.

------------------------------------------------------------------------
r1522 | gbazin | 2002-03-05 07:48:33 +0100 (Tue, 05 Mar 2002) | 5 lines
Changed paths:
   M /trunk/src/input/input.c




* fixed typo in the win32 change to the input parser.

------------------------------------------------------------------------
r1523 | stef | 2002-03-05 18:46:33 +0100 (Tue, 05 Mar 2002) | 12 lines
Changed paths:
   M /trunk/include/input_ext-intf.h
   M /trunk/plugins/dvd/dvd_summary.c
   M /trunk/plugins/dvd/input_dvd.c
   M /trunk/plugins/dvdread/input_dvdread.c
   M /trunk/plugins/gtk/gnome.glade
   M /trunk/plugins/gtk/gnome_interface.c
   M /trunk/plugins/gtk/gtk.glade
   M /trunk/plugins/gtk/gtk_common.h
   M /trunk/plugins/gtk/gtk_display.c
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_menu.c
   M /trunk/src/input/input_clock.c
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c


* Dvd angle is now handled through a program structure, so that the interface
needs nothing specific to change angle.

* Fixed a bug in clock management where ES without a program couldn't get
timestamped.

*Fixed program management in gnome/gtk. Program now also appears in popup.

*In interface, only display ES associated with the selected program, or with
no program at all.

------------------------------------------------------------------------
r1524 | stef | 2002-03-05 19:17:52 +0100 (Tue, 05 Mar 2002) | 3 lines
Changed paths:
   M /trunk/plugins/dvd/dvd.c


Dvd demux was no longer selected under win32

------------------------------------------------------------------------
r1525 | jobi | 2002-03-06 00:29:36 +0100 (Wed, 06 Mar 2002) | 9 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/vcd/input_vcd.c
   M /trunk/plugins/vcd/vcd.c


* Modified vcd input for the new input III.
* Still have problems with end of tracks.
* Modified the command line, as stef did for the DVD :

 [vcd:][device][@[title][,chapter]

 Note that chapter support is not yet implemented.

------------------------------------------------------------------------
r1526 | stef | 2002-03-06 02:20:56 +0100 (Wed, 06 Mar 2002) | 23 lines
Changed paths:
   M /trunk/doc/vlc.1
   M /trunk/plugins/dvd/Makefile
   A /trunk/plugins/dvd/dvd.h
   A /trunk/plugins/dvd/dvd_access.c
   A /trunk/plugins/dvd/dvd_demux.c
   A /trunk/plugins/dvd/dvd_es.c
   A /trunk/plugins/dvd/dvd_es.h
   M /trunk/plugins/dvd/dvd_ifo.c
   A /trunk/plugins/dvd/dvd_seek.c
   A /trunk/plugins/dvd/dvd_seek.h
   M /trunk/plugins/dvd/dvd_summary.c
   M /trunk/plugins/dvd/dvd_udf.c
   D /trunk/plugins/dvd/input_dvd.c
   D /trunk/plugins/dvd/input_dvd.h
   M /trunk/plugins/dvdread/input_dvdread.c
   M /trunk/plugins/gtk/gtk_display.c
   M /trunk/plugins/gtk/gtk_menu.c
   M /trunk/plugins/vcd/vcd.c
   M /trunk/src/input/input.c


*Removed an occurance of former angle item in gtk.

*Fixed a bug in ES management introduced lately in DVD/DvdRead.

*Beginning of reorganisation in DVD plugin source files, in order to try to
make it easier to understand. There is some work left though :p.

*Decreased the score for VCD plugin, as the VCD demuxer was used even
for DVD :p. It should make autodetection work.
Some comment:
-I think that VCDInit should make a test on the access plugin and be launched
only if the access plugin is VCD,
-VCDOpen shouldn't set p_input->b_error: if it fails we just try another
module,
-PSRead doesn't need to be duplicated anymore: input_ReadPS is now available
for plugins (cf Christophe's commit).

Please comment around that: I'd like to know if the behaviour I've described
is the one everyone expects.

Enjoy my new bugs :p

------------------------------------------------------------------------
r1527 | sam | 2002-03-06 04:27:17 +0100 (Wed, 06 Mar 2002) | 5 lines
Changed paths:
   M /trunk/plugins/ac3_adec/ac3_parse.c
   M /trunk/src/interface/interface.c


  * ./plugins/ac3_adec/ac3_parse.c: ac3dec is now less verbose.
  * ./src/interface/interface.c: fixed a deadlock when seeking the
    stream using the keyboard arrows.

------------------------------------------------------------------------
r1528 | stef | 2002-03-06 13:26:35 +0100 (Wed, 06 Mar 2002) | 5 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_access.c
   M /trunk/plugins/dvd/dvd_demux.c
   M /trunk/plugins/vcd/input_vcd.c

*Fixed demux plugin selection.

*Take the lock on stream in VCDInit. PLease test, as I don't have any VCD
to do it.

------------------------------------------------------------------------
r1529 | stef | 2002-03-06 17:39:37 +0100 (Wed, 06 Mar 2002) | 2 lines
Changed paths:
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/dvdread/dvdread.c
   M /trunk/plugins/dvdread/input_dvdread.c
   M /trunk/plugins/vcd/vcd.c

I hope you liked this bug: DVD demux was always used.

------------------------------------------------------------------------
r1530 | sam | 2002-03-07 00:54:28 +0100 (Thu, 07 Mar 2002) | 5 lines
Changed paths:
   M /trunk/src/interface/main.c


  * ./src/interface/main.c: disabled the GNOME segfault dialog in debug
    mode. We want nice, clean segfaults, with huge core files and a lot
    of rattle noise.

------------------------------------------------------------------------
r1531 | jobi | 2002-03-07 15:01:36 +0100 (Thu, 07 Mar 2002) | 2 lines
Changed paths:
   M /trunk/plugins/vcd/input_vcd.c

* When reaching the end of a track, moves to the following one.

------------------------------------------------------------------------
r1532 | bozo | 2002-03-08 01:26:07 +0100 (Fri, 08 Mar 2002) | 2 lines
Changed paths:
   M /trunk/plugins/alsa/aout_alsa.c
   M /trunk/src/audio_output/aout_spdif.c

Audio output ALSA: spdif support.

------------------------------------------------------------------------
r1533 | jobi | 2002-03-08 19:05:17 +0100 (Fri, 08 Mar 2002) | 2 lines
Changed paths:
   M /trunk/plugins/vcd/input_vcd.c

* added some tests in open

------------------------------------------------------------------------
r1534 | stef | 2002-03-08 23:58:12 +0100 (Fri, 08 Mar 2002) | 5 lines
Changed paths:
   M /trunk/plugins/dvd/dvd.h
   M /trunk/plugins/dvd/dvd_access.c
   M /trunk/plugins/dvd/dvd_es.c
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ifo.h
   M /trunk/plugins/dvd/dvd_seek.c
   M /trunk/plugins/dvd/dvd_seek.h
   M /trunk/plugins/dvd/dvd_summary.c


Rewrite most functions in DVD plugin. Some old bugs might have been
solved in the operation. The plugin some be more readable now, and
should produce fewaer segfaults (I hope so :p)

------------------------------------------------------------------------
r1535 | sam | 2002-03-09 14:42:46 +0100 (Sat, 09 Mar 2002) | 4 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_access.c
   M /trunk/plugins/vcd/input_vcd.c


  * ./plugins/dvd/dvd_access.c ./plugins/vcd/input_vcd.c: we now exit more
    cleanly on initialization error.

------------------------------------------------------------------------
r1536 | stef | 2002-03-09 17:48:33 +0100 (Sat, 09 Mar 2002) | 5 lines
Changed paths:
   M /trunk/plugins/dvd/dvd.h
   M /trunk/plugins/dvd/dvd_access.c
   M /trunk/plugins/dvd/dvd_demux.c
   M /trunk/plugins/dvd/dvd_seek.c
   M /trunk/plugins/dvd/dvd_seek.h
   M /trunk/src/input/input.c


*Fixed EOF segfault at end of DVD

*Buffer manager is renintialised at area change.

------------------------------------------------------------------------
r1537 | massiot | 2002-03-11 00:36:22 +0100 (Mon, 11 Mar 2002) | 2 lines
Changed paths:
   M /trunk/plugins/vcd/input_vcd.c

Missing include (MacOS X port).

------------------------------------------------------------------------
r1538 | gbazin | 2002-03-11 08:23:10 +0100 (Mon, 11 Mar 2002) | 23 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/config.h
   M /trunk/include/configuration.h
   M /trunk/include/modules.h
   M /trunk/include/modules_inner.h
   M /trunk/plugins/ac3_spdif/ac3_spdif.c
   M /trunk/plugins/access/http.c
   M /trunk/plugins/access/udp.c
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/dsp/aout_dsp.c
   M /trunk/plugins/dvd/dvd_access.c
   M /trunk/plugins/dvd/dvd_es.c
   M /trunk/plugins/dvdread/input_dvdread.c
   M /trunk/plugins/filter/deinterlace.c
   M /trunk/plugins/filter/distort.c
   M /trunk/plugins/filter/invert.c
   M /trunk/plugins/filter/transform.c
   M /trunk/plugins/filter/wall.c
   M /trunk/plugins/ggi/ggi.c
   M /trunk/plugins/gtk/gnome.glade
   M /trunk/plugins/gtk/gnome_callbacks.c
   M /trunk/plugins/gtk/gnome_interface.c
   M /trunk/plugins/gtk/gnome_interface.h
   M /trunk/plugins/gtk/gtk.glade
   M /trunk/plugins/gtk/gtk_display.c
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_interface.h
   M /trunk/plugins/gtk/gtk_open.c
   M /trunk/plugins/gtk/gtk_preferences.c
   M /trunk/plugins/gtk/gtk_preferences.h
   M /trunk/plugins/mga/xmga.c
   M /trunk/plugins/mpeg_system/mpeg_ps.c
   M /trunk/plugins/mpeg_vdec/vpar_synchro.c
   M /trunk/plugins/network/ipv4.c
   M /trunk/plugins/network/ipv6.c
   M /trunk/plugins/qnx/vout_qnx.c
   M /trunk/plugins/text/logger.c
   M /trunk/plugins/vcd/input_vcd.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/configuration.c
   M /trunk/src/misc/modules_plugin.h
   M /trunk/src/misc/netutils.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_subpictures.c




* New GTK configuration interface. This interface is generated dynamically
  at run-time from the configuration data contained in each plugin.
* config_PutPszVariable and config_GetPszVariable are now thread safe.
* Few modifications/optimizations to the config module.
* Got rid of all the _VAR macros in config.h

This is the first version of the GTK configuration interface. There are still
a few raw corners and a fews things left to do, but it basically does what
I wanted.
Constructive comments like it sucks or it smells rotten fish are of course
very welcome. And if there are GTK gurus out there, please don't hesitate to
add your touch.

I also started to add usefull comments to the configuration options but I'm not
really good at this kind of thing so if people want to help, they can finish
the job. For this look at all the *_LONGTEXT macros at the top of main.c

(PS: Translations will also be appreciated but not right now as the interface
will likely change again in the few coming days)

------------------------------------------------------------------------
r1539 | gbazin | 2002-03-11 19:10:37 +0100 (Mon, 11 Mar 2002) | 5 lines
Changed paths:
   M /trunk/plugins/gtk/gnome_callbacks.c




* oops, forgot to check the gnome interface before my last commit.

------------------------------------------------------------------------
r1540 | gbazin | 2002-03-11 21:14:16 +0100 (Mon, 11 Mar 2002) | 6 lines
Changed paths:
   M /trunk/plugins/gtk/gnome.c
   M /trunk/plugins/gtk/gtk.c
   M /trunk/plugins/gtk/gtk_common.h
   M /trunk/plugins/gtk/gtk_preferences.c




* gtk config interface modified so you can only have one instance of a plugin
    config dialog box displayed at one time.

------------------------------------------------------------------------
r1541 | stef | 2002-03-12 19:37:46 +0100 (Tue, 12 Mar 2002) | 12 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/include/main.h
   M /trunk/plugins/ac3_adec/ac3_adec.c
   M /trunk/plugins/ac3_spdif/ac3_spdif.c
   M /trunk/plugins/ac3_spdif/ac3_spdif.h
   M /trunk/plugins/dvd/dvd_es.c
   M /trunk/plugins/dvdread/input_dvdread.c
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/interface/main.c


*New configuration option to choose audio output format at runtime.
It allows to select spdif pass-through decoder with --ac3_adec and to
remove the ugly b_ac3 in main.h

As a consequence --spdif doesn't work anymore: you should use --ac3_adec pass

*Fixed a typo in main.c

*Return the option name in error message for unknown option intead of the
argument.

------------------------------------------------------------------------
r1542 | gbazin | 2002-03-12 21:39:50 +0100 (Tue, 12 Mar 2002) | 5 lines
Changed paths:
   M /trunk/plugins/a52/a52.c
   M /trunk/plugins/a52/a52.h




* a52 plugin updated to use liba52-0.7.3 ( which is now available on debian :)

------------------------------------------------------------------------
r1543 | tcastley | 2002-03-13 09:39:39 +0100 (Wed, 13 Mar 2002) | 2 lines
Changed paths:
   M /trunk/plugins/beos/VideoWindow.h
   M /trunk/plugins/beos/vout_beos.cpp

New resizing and scaling code.  More in line with BeOS standards.

------------------------------------------------------------------------
r1544 | tcastley | 2002-03-13 09:41:59 +0100 (Wed, 13 Mar 2002) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Updated Tony Castley's e-mail.

------------------------------------------------------------------------
r1545 | jobi | 2002-03-13 13:46:49 +0100 (Wed, 13 Mar 2002) | 5 lines
Changed paths:
   M /trunk/plugins/vcd/input_vcd.c



* Fixed EOF and Stop segfault in VCD input : input_BuffersEnd was being
  called two times

------------------------------------------------------------------------
r1546 | stef | 2002-03-14 02:35:28 +0100 (Thu, 14 Mar 2002) | 12 lines
Changed paths:
   M /trunk/include/input_ext-dec.h
   M /trunk/plugins/dvd/dvd_es.c
   M /trunk/plugins/gtk/gtk_menu.c
   M /trunk/plugins/mpeg_vdec/vpar_headers.c
   M /trunk/plugins/spudec/spu_decoder.c
   M /trunk/src/input/input_dec.c


*p_es->p_demux_data is available in p_config->p_demux_data so that the input
can pass information directly to the decoder.

*First application: aspect ratio for DVD is read from the ifo (should fix
the buf with aspect ratio in anamorphic DVDs).

*The DVD plugin also copy the spu yuv palette in p_demux_data so that the
spudec can display subtitle with the right color (sam !).

*Removed duplicate code and useless lock in gtk.

------------------------------------------------------------------------
r1547 | stef | 2002-03-15 01:57:16 +0100 (Fri, 15 Mar 2002) | 3 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_access.c


-Fixed chapter selection at startup.

------------------------------------------------------------------------
r1548 | stef | 2002-03-15 02:47:16 +0100 (Fri, 15 Mar 2002) | 6 lines
Changed paths:
   M /trunk/plugins/ac3_spdif/Makefile
   D /trunk/plugins/ac3_spdif/ac3_iec958.c
   D /trunk/plugins/ac3_spdif/ac3_iec958.h
   M /trunk/plugins/ac3_spdif/ac3_spdif.c
   M /trunk/plugins/ac3_spdif/ac3_spdif.h
   M /trunk/src/audio_output/aout_spdif.c


*Move iec958/spdif encapsulation from ac3_spdif to aout_spdif.
It will eventually allows to use ac3_adec or a52 for spdif output.

*Remove an ugly loop in aout_spdif.

------------------------------------------------------------------------
r1549 | sam | 2002-03-15 05:41:54 +0100 (Fri, 15 Mar 2002) | 11 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/video.h
   M /trunk/plugins/access/file.c
   M /trunk/plugins/access/http.c
   M /trunk/plugins/access/udp.c
   M /trunk/plugins/dvd/dvd_access.c
   M /trunk/plugins/network/ipv4.c
   M /trunk/plugins/network/ipv6.c
   M /trunk/plugins/spudec/spu_decoder.c
   M /trunk/plugins/spudec/spu_decoder.h
   M /trunk/src/input/input.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_subpictures.c


  * ./Makefile: fixed OS X vlc.app compilation dependencies.
  * ./configure.in: fixed the endianness check under Solaris.

  * ./src/input/input.c: strings are now initialized to "" instead of NULL.

  * ./plugins/spudec/spu_decoder.c: we now properly support the subtitle
    palette information we get from the DVD. Subtitles rox !
  * ./src/video_output/vout_subpictures.c: removed all DVD-specific routines
    and put them into spu_decoder.c.

------------------------------------------------------------------------
r1550 | sam | 2002-03-15 18:17:35 +0100 (Fri, 15 Mar 2002) | 3 lines
Changed paths:
   M /trunk/plugins/mpeg_system/mpeg_es.c
   M /trunk/plugins/mpeg_system/mpeg_ps.c
   M /trunk/plugins/mpeg_system/mpeg_ts.c


  * ./plugins/mpeg_system: fixed a parsing bug I introduced yesterday.

------------------------------------------------------------------------
r1551 | sam | 2002-03-15 19:20:27 +0100 (Fri, 15 Mar 2002) | 5 lines
Changed paths:
   M /trunk/plugins/spudec/spu_decoder.c
   M /trunk/plugins/spudec/spu_decoder.h


  * ./plugins/spudec/spu_decoder.c: we now analyze the subtitle image
    data to find the border color and the inner colors when there was
    no way to find the palette data (network stream).

------------------------------------------------------------------------
r1552 | gbazin | 2002-03-16 02:40:58 +0100 (Sat, 16 Mar 2002) | 10 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/common.h
   M /trunk/include/configuration.h
   M /trunk/include/defs.h.in
   M /trunk/include/main.h
   M /trunk/plugins/gtk/gtk_preferences.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/configuration.c
   M /trunk/src/misc/modules_plugin.h



* This the last piece of the new configuration module. You can now save your
configuration options (only from the gtk/gnome interface for now). The config
file will be saved as ~/.VideoLan/vlc

It's not quite yet finished (well there are a few small details to sort out),
but I'm going away for the week-end and I wanted to commit this before so you
can all have a play with it :)

------------------------------------------------------------------------
r1553 | sam | 2002-03-17 00:03:19 +0100 (Sun, 17 Mar 2002) | 6 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/config.h
   M /trunk/include/defs.h.in
   M /trunk/include/video.h
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/plugins/chroma/i420_rgb.c
   M /trunk/plugins/chroma/i420_rgb.h
   M /trunk/plugins/chroma/i420_rgb16.c
   M /trunk/plugins/chroma/i420_ymga.c
   M /trunk/plugins/chroma/i420_yuy2.c
   M /trunk/plugins/chroma/i422_yuy2.c
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/dummy/vout_dummy.c
   M /trunk/plugins/fb/fb.c
   M /trunk/plugins/ggi/ggi.c
   M /trunk/plugins/glide/glide.c
   M /trunk/plugins/qnx/vout_qnx.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/misc/configuration.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_pictures.c


  * ./configure.in: more modules are plugins.
  * ./src/misc/configuration.c: changed ~/.VideoLan/vlc to ~/.videolan/vlcrc,
    and a few cosmetic changes (sorry Gildas for the butchery).
  * ./plugins/chroma/i420_rgb16.c: C version of the I420 to RV15/16 chroma.

------------------------------------------------------------------------
r1554 | tcastley | 2002-03-17 06:48:18 +0100 (Sun, 17 Mar 2002) | 4 lines
Changed paths:
   M /trunk/plugins/beos/VideoWindow.h
   M /trunk/plugins/beos/vout_beos.cpp

Tidied code and prevented curruption on window not containing the video.
Video window now returns to correct size and position after toggling
full screen.

------------------------------------------------------------------------
r1555 | gbazin | 2002-03-17 12:12:08 +0100 (Sun, 17 Mar 2002) | 13 lines
Changed paths:
   M /trunk/src/misc/configuration.c



* small fix for the config file. The parser assumes that the config file is
divided into sections (a section is the config data for a plugin and begins
with something like [foo]), so the comment for the beginning of the section
must be after the section marker and not before.

If you want to illustrate the problem (without this fix):
- save vlc's config
- exit from vlc and remove for example the dsp plugin (rm plugins/dsp.so)
- resave vlc's config
and now look at the end of the config file, it's all screwed up.

------------------------------------------------------------------------
r1556 | gbazin | 2002-03-17 14:53:21 +0100 (Sun, 17 Mar 2002) | 10 lines
Changed paths:
   M /trunk/plugins/mga/xmga.c
   M /trunk/plugins/x11/x11.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/plugins/x11/xcommon.h
   M /trunk/plugins/x11/xvideo.c



* added an alternate fullscreen method. With this method, _nothing_ is allowed
to be displayed on top of the video (especially not taskbars, etc...).
Of course this can also be annoying sometimes, this is why it's an option.

PS: does anybody know how not to propagate the Ctrl-Alt-Tab key event to the
window manager. I tryed XChangeWindowAttributes with do_not_propagate_mask but
it doesn't seem to work.

------------------------------------------------------------------------
r1557 | sam | 2002-03-17 18:00:38 +0100 (Sun, 17 Mar 2002) | 8 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/defs.h.in
   M /trunk/include/video.h
   M /trunk/plugins/chroma/i420_rgb.c
   M /trunk/plugins/chroma/i420_rgb.h
   M /trunk/plugins/chroma/i420_rgb16.c
   M /trunk/plugins/chroma/i420_rgb8.c
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/fb/fb.c
   M /trunk/plugins/ggi/ggi.c
   M /trunk/plugins/kde/kde.cpp
   M /trunk/plugins/mga/xmga.c
   M /trunk/plugins/mpeg_vdec/vpar_blocks.c
   M /trunk/plugins/mpeg_vdec/vpar_headers.c
   M /trunk/plugins/qt/qt.cpp
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/video_output/video_output.c


  * ./plugins/chroma/i420_rgb8.c: plain C 8 bpp transformation.
  * ./plugins/chroma/i420_rgb16.c: plain C 24/32 bpp transformations.
  * ./plugins/ggi/ggi.c: support for 8 bpp displays.
  * ./plugins/sdl/vout_sdl.c: support for 8 bpp displays.
  * ./plugins/x11/xcommon.c: support for 8 bpp displays.
  * ./src/video_output/video_output.c: fixed a segfault.

------------------------------------------------------------------------
r1558 | sam | 2002-03-17 22:59:52 +0100 (Sun, 17 Mar 2002) | 4 lines
Changed paths:
   M /trunk/BUGS
   M /trunk/INSTALL.libmad
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/rules
   M /trunk/include/defs.h.in
   M /trunk/vlc.spec


  * ./BUGS: updated bug list.
  * ./configure.in: ./configure --help should be a lot clearer now.

------------------------------------------------------------------------
r1559 | xav | 2002-03-18 17:38:33 +0100 (Mon, 18 Mar 2002) | 3 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in


 * DirectX plugin is now correctly detected and configured.

------------------------------------------------------------------------
r1560 | sam | 2002-03-18 18:09:54 +0100 (Mon, 18 Mar 2002) | 3 lines
Changed paths:
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in


  * ./configure.in: fixed linking of the ipv4 plugin.

------------------------------------------------------------------------
r1561 | sam | 2002-03-18 20:14:52 +0100 (Mon, 18 Mar 2002) | 7 lines
Changed paths:
   M /trunk/INSTALL
   D /trunk/extras/MacOSX_dvdioctl/COPYING
   D /trunk/extras/MacOSX_dvdioctl/DVDioctl.cpp
   D /trunk/extras/MacOSX_dvdioctl/DVDioctl.h
   D /trunk/extras/MacOSX_dvdioctl/DVDioctl.pbproj
   D /trunk/extras/MacOSX_dvdioctl/English.lproj
   D /trunk/extras/MacOSX_dvdioctl/README
   M /trunk/plugins/dvd/dvd_access.c
   M /trunk/plugins/dvd/dvd_demux.c
   M /trunk/plugins/dvdread/input_dvdread.c
   M /trunk/plugins/fx/scope.c
   M /trunk/plugins/mpeg_system/mpeg_es.c
   M /trunk/plugins/mpeg_system/mpeg_ps.c
   M /trunk/plugins/mpeg_system/mpeg_ts.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/vcd/input_vcd.c


  * ./extras/MacOSX_dvdioctl: removed outdated files.
  * ./plugins/fx/scope.c: fixed an infinite loop error.
  * ./plugins: fixed segfaults in various demux plugins.
  * ./plugins/sdl/vout_sdl.c: SDL_VIDEODRIVER can be specified from the
    command line; try "--vout sdl:aalib"

------------------------------------------------------------------------
r1562 | xav | 2002-03-18 22:04:01 +0100 (Mon, 18 Mar 2002) | 3 lines
Changed paths:
   M /trunk/src/input/input.c


  * skip "//" if we find "://" in a resource we have to play : this allows us to use the syntax udpstream://host.

------------------------------------------------------------------------
r1563 | massiot | 2002-03-19 01:12:26 +0100 (Tue, 19 Mar 2002) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

MacOS X compile fixes.

------------------------------------------------------------------------
r1564 | sam | 2002-03-19 01:30:44 +0100 (Tue, 19 Mar 2002) | 11 lines
Changed paths:
   M /trunk/plugins/chroma/i420_rgb8.c
   M /trunk/plugins/filter/deinterlace.c
   M /trunk/plugins/kde/kde.cpp
   M /trunk/plugins/kde/kde_interface.cpp
   M /trunk/plugins/mpeg_system/mpeg_es.c
   M /trunk/plugins/network/ipv4.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/netutils.c


  * ./plugins/chroma/i420_rgb8.c: fixed a warning.
  * ./plugins/filter/deinterlace.c: fixed chroma deinterlacing.
  * ./plugins/kde/kde.cpp: the KDE interface compiles again.
  * ./plugins/mpeg_system/mpeg_es.c: fixed a segfault I introduced today.
  * ./plugins/network/ipv4.c: cosmetic fix.
  * ./src/interface/main.c: fixed a typo in the --help output.
  * ./src/misc/netutils.c: fixed a segfault in the vlcs communication; still
    unstable but solving other bugs won't do any good without rewriting the
    whole playlist code. Which I'm doing right now.

------------------------------------------------------------------------
r1565 | jlj | 2002-03-19 04:33:52 +0100 (Tue, 19 Mar 2002) | 3 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/plugins/macosx/Makefile
   M /trunk/plugins/macosx/aout_macosx.c
   M /trunk/plugins/macosx/intf_controller.c
   M /trunk/plugins/macosx/intf_controller.h
   M /trunk/plugins/macosx/intf_vlc_wrapper.c
   M /trunk/plugins/macosx/intf_vlc_wrapper.h
   M /trunk/plugins/macosx/vout_qdview.c
   M /trunk/plugins/macosx/vout_qdview.h
   A /trunk/plugins/macosx/vout_vlc_wrapper.c
   A /trunk/plugins/macosx/vout_vlc_wrapper.h
   M /trunk/plugins/macosx/vout_window.c
   M /trunk/plugins/macosx/vout_window.h

  * MacOS X aout now uses AudioConverter for int->float
  * Various MacOS X intf improvements and bug fixes

------------------------------------------------------------------------
r1566 | sam | 2002-03-19 04:42:31 +0100 (Tue, 19 Mar 2002) | 3 lines
Changed paths:
   M /trunk/include/common.h


  * ./include/common.h: compilation fix for Borland C++.

------------------------------------------------------------------------
r1567 | ipkiss | 2002-03-19 05:22:02 +0100 (Tue, 19 Mar 2002) | 3 lines
Changed paths:
   M /trunk/include/common.h


  * ./include/common.h: fixed the compilation fix for Borland C++ :)

------------------------------------------------------------------------
r1568 | sam | 2002-03-19 06:49:31 +0100 (Tue, 19 Mar 2002) | 6 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/control
   M /trunk/debian/rules
   A /trunk/debian/vlc-kde.dirs
   A /trunk/debian/vlc-kde.menu
   D /trunk/extras/MacOSX_dvdioctl
   M /trunk/plugins/access/http.c
   M /trunk/plugins/alsa/aout_alsa.c
   M /trunk/plugins/network/ipv4.c


  * ./configure.in: BeOS compilation fixes.
  * ./debian/rules: activated (broken) KDE interface.
  * ./plugins/access/http.c: fixed a segfault.
  * ./plugins/alsa/aout_alsa.c: fixed a segfault.

------------------------------------------------------------------------
r1569 | gbazin | 2002-03-19 13:48:01 +0100 (Tue, 19 Mar 2002) | 5 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_access.c
   M /trunk/plugins/mpeg_vdec/vpar_pool.c
   M /trunk/plugins/win32/waveout.c



* fixed two memory leaks
* fixed typo in waveout.c

------------------------------------------------------------------------
r1570 | sam | 2002-03-19 15:00:50 +0100 (Tue, 19 Mar 2002) | 6 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Makefile
   M /trunk/Makefile.modules
   M /trunk/Makefile.opts.in
   M /trunk/TODO
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/control
   M /trunk/debian/rules
   A /trunk/debian/vlc-aa.dirs
   A /trunk/plugins/aa
   A /trunk/plugins/aa/.cvsignore
   A /trunk/plugins/aa/Makefile
   A /trunk/plugins/aa/aa.c
   M /trunk/src/misc/configuration.c


  * ./plugins/aa: aalib output plugin courtesy of Sigmund Augdal.
  * ./configure.in: fixed a few bashisms.
  * ./src/misc/configuration.c: fixed build under Solaris.
  * ./TODO: updated todo list.

------------------------------------------------------------------------
r1571 | jobi | 2002-03-20 00:02:29 +0100 (Wed, 20 Mar 2002) | 4 lines
Changed paths:
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c


* fixed some bugs in program management : selected ESs must be attached
to the selected program.

------------------------------------------------------------------------
r1572 | massiot | 2002-03-20 00:44:44 +0100 (Wed, 20 Mar 2002) | 3 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

Better IPv6 detection. IPv6 is disabled under MacOS X (no inet_pton
call).

------------------------------------------------------------------------
r1573 | massiot | 2002-03-20 00:47:48 +0100 (Wed, 20 Mar 2002) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

Fixed a typo. Grmbl.

------------------------------------------------------------------------
r1574 | jobi | 2002-03-20 02:32:19 +0100 (Wed, 20 Mar 2002) | 3 lines
Changed paths:
   M /trunk/plugins/vcd/input_vcd.c


* Raw device fix, courtesy of Steven Schultz

------------------------------------------------------------------------
r1575 | ipkiss | 2002-03-20 04:12:20 +0100 (Wed, 20 Mar 2002) | 3 lines
Changed paths:
   M /trunk/BUGS


 * Added 3 bugs of the win32 port to the BUGS file

------------------------------------------------------------------------
r1576 | sam | 2002-03-20 04:43:51 +0100 (Wed, 20 Mar 2002) | 5 lines
Changed paths:
   M /trunk/include/modules.h
   M /trunk/plugins/alsa/Makefile
   M /trunk/plugins/alsa/alsa.c
   D /trunk/plugins/alsa/aout_alsa.c
   M /trunk/src/misc/modules_plugin.h


  * ./src/misc/modules_plugin.h: kludge to allow the ALSA module to be
    compiled as a plugin. Please test.
  * ./include/modules.h: fixed a C++ warning.

------------------------------------------------------------------------
r1577 | tcastley | 2002-03-20 11:33:42 +0100 (Wed, 20 Mar 2002) | 3 lines
Changed paths:
   M /trunk/plugins/beos/VideoWindow.h
   M /trunk/plugins/beos/vout_beos.cpp

Improved scaling, correct aspect ratio even in full screen mode.
Duplicate code reduces and framework for Overlay and OpenGL modes in place.

------------------------------------------------------------------------
r1578 | sam | 2002-03-20 15:08:55 +0100 (Wed, 20 Mar 2002) | 3 lines
Changed paths:
   M /trunk/plugins/sdl/vout_sdl.c


  * Win32 and Solaris compilation fix.

------------------------------------------------------------------------
r1579 | sam | 2002-03-20 18:44:15 +0100 (Wed, 20 Mar 2002) | 3 lines
Changed paths:
   M /trunk/src/input/mpeg_system.c


  * ./src/input/mpeg_system.c: fixed a bus error on UltraSparc.

------------------------------------------------------------------------
r1580 | gbazin | 2002-03-21 00:00:16 +0100 (Thu, 21 Mar 2002) | 6 lines
Changed paths:
   M /trunk/BUGS
   M /trunk/plugins/win32/waveout.c
   M /trunk/src/interface/intf_msg.c



* fixed stupid bug in stupid ConvertPrintfFormatString() function
* fixed the "waveout not closing" bug. We need to reset the waveout device
    before closing it.

------------------------------------------------------------------------
r1581 | jobi | 2002-03-21 03:27:04 +0100 (Thu, 21 Mar 2002) | 2 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/defs.h.in
   M /trunk/include/input_ext-intf.h
   M /trunk/src/input/input_programs.c

*** empty log message ***

------------------------------------------------------------------------
r1582 | jobi | 2002-03-21 03:28:58 +0100 (Thu, 21 Mar 2002) | 4 lines
Changed paths:
   A /trunk/plugins/satellite
   A /trunk/plugins/satellite/Makefile
   A /trunk/plugins/satellite/input_satellite.c
   A /trunk/plugins/satellite/satellite.c
   A /trunk/plugins/satellite/satellite_tools.c
   A /trunk/plugins/satellite/satellite_tools.h



Forgot to add the input files.

------------------------------------------------------------------------
r1583 | gbazin | 2002-03-21 08:11:57 +0100 (Thu, 21 Mar 2002) | 8 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/configuration.h
   M /trunk/include/defs.h.in
   M /trunk/include/main.h
   M /trunk/src/interface/main.c
   M /trunk/src/misc/configuration.c



* moved GetConfigurationFromCmdLine() into configuration.c and renamed it
   into config_LoadCmdLine()
* config_GetHomeDir doesn't use getpwuid_r anymore as this was creating
   some problems on solaris. This function now uses getpwuid and is called
   only once to store the home directory into the p_main structure.

------------------------------------------------------------------------
r1584 | gbazin | 2002-03-21 23:10:33 +0100 (Thu, 21 Mar 2002) | 14 lines
Changed paths:
   M /trunk/include/video_output.h
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/mga/xmga.c
   M /trunk/plugins/qnx/vout_qnx.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/interface/main.c
   M /trunk/src/video_output/video_output.c



* the calculation for the initial video window dimensions is now done in
    video_output.c and made available into p_vout->i_window_height/width.
    This allows to get rid of duplicated code and unify the behaviour of
    the video output plugins. (not all the plugins have been modified
    because I didn't want to break anything).

    As a side effect, the --width and --height options are now working, you
    can even use only --width or only --height the other dimension will adapt
    automatically to the video characteristics.
    Note that you need to remove the width/height options from the config file
    or set them to -1 if you want to use the actual video size.

------------------------------------------------------------------------
r1585 | massiot | 2002-03-22 00:49:20 +0100 (Fri, 22 Mar 2002) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

Miscellaneous fixes for the OS X port.

------------------------------------------------------------------------
r1586 | xav | 2002-03-22 01:24:17 +0100 (Fri, 22 Mar 2002) | 3 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in


 * Win32 fix.

------------------------------------------------------------------------
r1587 | jlj | 2002-03-22 01:47:47 +0100 (Fri, 22 Mar 2002) | 5 lines
Changed paths:
   M /trunk/plugins/macosx/aout_macosx.c
   M /trunk/plugins/macosx/vout_macosx.c

  * Fixed a problem in the MacOS X aout which caused the previously
    played audio frames to be played when there were no new frames
    available.
  * MacOS X vout now uses the height/width calculated in video_output.c

------------------------------------------------------------------------
r1588 | xav | 2002-03-22 01:55:16 +0100 (Fri, 22 Mar 2002) | 2 lines
Changed paths:
   M /trunk/INSTALL-win32.txt

 - Updated INSTALL-win32.txt

------------------------------------------------------------------------
r1589 | tcastley | 2002-03-22 14:16:35 +0100 (Fri, 22 Mar 2002) | 3 lines
Changed paths:
   M /trunk/plugins/beos/InterfaceWindow.cpp
   M /trunk/plugins/beos/InterfaceWindow.h
   M /trunk/plugins/beos/MsgVals.h
   M /trunk/plugins/beos/VideoWindow.h
   M /trunk/plugins/beos/vout_beos.cpp

Implemented correct scaling and used new window size variables.
Beta always on top for the interface window.  New cursor handling.

------------------------------------------------------------------------
r1590 | jobi | 2002-03-25 03:06:24 +0100 (Mon, 25 Mar 2002) | 6 lines
Changed paths:
   M /trunk/plugins/gtk/gnome.c
   M /trunk/plugins/gtk/gnome.glade
   M /trunk/plugins/gtk/gnome_callbacks.c
   M /trunk/plugins/gtk/gnome_callbacks.h
   M /trunk/plugins/gtk/gnome_interface.c
   M /trunk/plugins/gtk/gnome_interface.h
   M /trunk/plugins/gtk/gtk.c
   M /trunk/plugins/gtk/gtk.glade
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_callbacks.h
   M /trunk/plugins/gtk/gtk_common.h
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_interface.h
   M /trunk/plugins/gtk/gtk_open.c
   M /trunk/plugins/satellite/input_satellite.c
   M /trunk/src/interface/main.c


* Fixed a bug that made vlc segfault when choosing a program, change to
  another and come back to the first one.
* Added gtk and gnome interfaces for satellite input. We should find a
  way to hide the button if satellite support is not compiled.

------------------------------------------------------------------------
r1591 | sam | 2002-03-25 05:18:07 +0100 (Mon, 25 Mar 2002) | 3 lines
Changed paths:
   M /trunk/INSTALL
   M /trunk/INSTALL-win32.txt


  * Fixed a little omission in INSTALL-win32.txt.

------------------------------------------------------------------------
r1592 | gbazin | 2002-03-25 20:16:20 +0100 (Mon, 25 Mar 2002) | 5 lines
Changed paths:
   M /trunk/plugins/ggi/ggi.c
   M /trunk/plugins/mga/xmga.c
   M /trunk/plugins/x11/x11.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/plugins/x11/xvideo.c
   M /trunk/src/interface/main.c



* moved the "display" option from main to the relevant plugins. ( We now have
   the x11_display, xvideo_display, xmga_display and ggi_display options ).

------------------------------------------------------------------------
r1593 | lool | 2002-03-25 21:37:00 +0100 (Mon, 25 Mar 2002) | 9 lines
Changed paths:
   M /trunk/plugins/gtk/gnome.c
   M /trunk/plugins/gtk/gtk.c
   M /trunk/plugins/gtk/gtk_common.h
   M /trunk/plugins/gtk/gtk_preferences.c
   M /trunk/src/interface/main.c

The "we love gibalou" commit :
  * plugins/gtk/gnome.c, plugins/gtk/gtk.c, plugins/gtk/gtk_common.h :
      . new Tooltips structure
  * plugins/gtk/gtk_preferences.c:
      . modifications of some widgets, the structure, cosmetic changes
  * src/interface/main.c:
      . typos
      . a couple new descriptions

------------------------------------------------------------------------
r1594 | lool | 2002-03-25 23:38:28 +0100 (Mon, 25 Mar 2002) | 5 lines
Changed paths:
   M /trunk/plugins/gtk/gtk_preferences.c

plugins/gtk/gtk_preferences.c:
  . fixed an ugly structure
  . the tabs are not verticaly expanded as they were
  . small enhancements

------------------------------------------------------------------------
r1595 | ipkiss | 2002-03-26 00:36:57 +0100 (Tue, 26 Mar 2002) | 21 lines
Changed paths:
   M /trunk/INSTALL-win32.txt
   M /trunk/include/common.h
   A /trunk/plugins/win32/about.cpp
   A /trunk/plugins/win32/about.dfm
   A /trunk/plugins/win32/about.h
   A /trunk/plugins/win32/control.cpp
   A /trunk/plugins/win32/control.h
   A /trunk/plugins/win32/disc.cpp
   A /trunk/plugins/win32/disc.dfm
   A /trunk/plugins/win32/disc.h
   A /trunk/plugins/win32/intf_win32.cpp
   A /trunk/plugins/win32/intfwin.bpf
   A /trunk/plugins/win32/intfwin.bpr
   A /trunk/plugins/win32/mainframe.cpp
   A /trunk/plugins/win32/mainframe.dfm
   A /trunk/plugins/win32/mainframe.h
   A /trunk/plugins/win32/menu.cpp
   A /trunk/plugins/win32/menu.h
   A /trunk/plugins/win32/messages.cpp
   A /trunk/plugins/win32/messages.dfm
   A /trunk/plugins/win32/messages.h
   A /trunk/plugins/win32/network.cpp
   A /trunk/plugins/win32/network.dfm
   A /trunk/plugins/win32/network.h
   A /trunk/plugins/win32/playlist.cpp
   A /trunk/plugins/win32/playlist.dfm
   A /trunk/plugins/win32/playlist.h
   A /trunk/plugins/win32/preferences.cpp
   A /trunk/plugins/win32/preferences.dfm
   A /trunk/plugins/win32/preferences.h
   M /trunk/plugins/win32/win32.cpp
   A /trunk/plugins/win32/win32.h
   A /trunk/plugins/win32/win32_common.h
   A /trunk/share/vlc48x48.ico


 * Added a win32 interface plugin, developed with Borland C++ Builder.
   To build the plugin, follow the instructions in INSTALL-win32.txt

 * Known bugs:
        - subtitles don't work
        - a crash occurs when the user exits by pressing 'q' in the vout
        - when moving the slider, position in the stream updates even if
          the slider isn't released yet

 * TODO list:
        - clean code in menu.cpp
        - adapt lool's enhancements of the Gtk+ preferences box
        - write drag-and-drop stuff
        - and of course, fix known bugs :)

 * For those of you who can't wait till the next release to test the win32
   interface, binary files are available here:
   http://www.via.ecp.fr/~ipkiss/intfwin/vlc.zip
   Enjoy!

------------------------------------------------------------------------
r1596 | tcastley | 2002-03-26 11:29:19 +0100 (Tue, 26 Mar 2002) | 2 lines
Changed paths:
   M /trunk/plugins/beos/InterfaceWindow.cpp

Disabled controls if the playlist was empty.

------------------------------------------------------------------------
r1597 | ipkiss | 2002-03-26 17:06:01 +0100 (Tue, 26 Mar 2002) | 6 lines
Changed paths:
   M /trunk/plugins/win32/mainframe.cpp
   M /trunk/plugins/win32/mainframe.dfm
   M /trunk/plugins/win32/mainframe.h
   M /trunk/plugins/win32/playlist.cpp
   M /trunk/plugins/win32/preferences.cpp


 * plugins/win32:
        - added toolbar icons (thanks xav)
        - we can no longer edit plugin names in the preferences :)
        - the tool button for playlist is now a toggle button

------------------------------------------------------------------------
r1598 | lool | 2002-03-26 18:33:37 +0100 (Tue, 26 Mar 2002) | 3 lines
Changed paths:
   M /trunk/plugins/gtk/gtk_preferences.c

plugins/gtk/gtk_preferences.c:
  . save button (inadvertently suppressed)

------------------------------------------------------------------------
r1599 | gbazin | 2002-03-26 23:02:32 +0100 (Tue, 26 Mar 2002) | 9 lines
Changed paths:
   M /trunk/src/misc/configuration.c



* changed the behaviour of the config file:
  - now all the config options are saved. <string> config options which have
  no default value are also saved in the config file but as an empty string.
  - config_LoadConfigFile will ignore empty config options, which also means
  we cannot pass an empty string as a <string> config option. (this shouldn't
  matter anyway)

------------------------------------------------------------------------
r1600 | gbazin | 2002-03-26 23:30:09 +0100 (Tue, 26 Mar 2002) | 6 lines
Changed paths:
   M /trunk/plugins/gtk/gtk_preferences.c
   M /trunk/src/misc/configuration.c



* modified the gtk interface to save an empty <string> option as a NULL pointer
* modified config_LoadConfigFile to consider an empty <string> option as a
   NULL pointer.

------------------------------------------------------------------------
r1601 | gbazin | 2002-03-27 00:08:40 +0100 (Wed, 27 Mar 2002) | 4 lines
Changed paths:
   M /trunk/include/audio_output.h
   M /trunk/plugins/dummy/vout_dummy.c
   M /trunk/plugins/gtk/gtk_menu.h
   M /trunk/plugins/spudec/spu_decoder.c
   M /trunk/plugins/text/rc.c
   M /trunk/src/audio_output/aout_ext-dec.c
   M /trunk/src/input/input_ext-plugins.c
   M /trunk/src/interface/intf_eject.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/configuration.c



* various little portability fixes

------------------------------------------------------------------------
r1602 | massiot | 2002-03-27 00:39:43 +0100 (Wed, 27 Mar 2002) | 4 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/plugins/access/http.c
   M /trunk/plugins/access/udp.c

* GNU make detection
* Deleted non-working fullscreen menu item [OS X]
* udp and http no longer modify p_input->psz_name

------------------------------------------------------------------------
r1603 | lool | 2002-03-27 19:43:30 +0100 (Wed, 27 Mar 2002) | 6 lines
Changed paths:
   M /trunk/plugins/gtk/gnome.c
   M /trunk/plugins/gtk/gtk.c

plugins/gtk/gnome.c, plugins/gtk/gtk.c:
    new options "gtk_hide_toltips" or "gnome_hide_tooltips"

 Tooltips are enabled by default. This option is only considered on
module initialization.

------------------------------------------------------------------------
r1604 | jpsaman | 2002-03-27 20:53:38 +0100 (Wed, 27 Mar 2002) | 2 lines
Changed paths:
   M /trunk/configure.in

Added Netherlands translation (nl) to configure.in

------------------------------------------------------------------------
r1605 | jpsaman | 2002-03-27 20:54:11 +0100 (Wed, 27 Mar 2002) | 2 lines
Changed paths:
   A /trunk/po/nl.po

Translation of user interface messages to Netherlands.

------------------------------------------------------------------------
r1606 | lool | 2002-03-27 22:01:29 +0100 (Wed, 27 Mar 2002) | 3 lines
Changed paths:
   M /trunk/plugins/gtk/gtk_preferences.c

Some dirty ifdefs for a nicer gnome interface (gnome buttons, gnome
dialogs).

------------------------------------------------------------------------
r1607 | massiot | 2002-03-27 23:15:40 +0100 (Wed, 27 Mar 2002) | 4 lines
Changed paths:
   M /trunk/configure
   M /trunk/plugins/access/udp.c
   M /trunk/plugins/macosx/aout_macosx.c
   M /trunk/plugins/macosx/vout_macosx.c

* UDP access plug-in can now receive MPTS (Multiple Program TS) and switch
programs
* Audio and video output go to time-constrained scheduling [OS X port]

------------------------------------------------------------------------
r1608 | jobi | 2002-03-28 04:53:15 +0100 (Thu, 28 Mar 2002) | 6 lines
Changed paths:
   M /trunk/plugins/satellite/input_satellite.c
   M /trunk/src/input/input_programs.c


* When unselecting an ES, we must ged rid of p_es->p_pes so that it is
  regererated when we select this ES again. It made vlc segfault when
  switching from some stream to another, or when switching program
  in satellite input.

------------------------------------------------------------------------
r1609 | gbazin | 2002-03-28 11:17:06 +0100 (Thu, 28 Mar 2002) | 10 lines
Changed paths:
   M /trunk/include/threads.h
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/dvd/dvd_access.c



* don't try to stat() the dvd drive letter on win32
* disabled YUV overlay double buffering for now, as it seems to actually be
    slower.
* temporary fix in vlc_cond_signal() for win32 (I really should use
    SignalObjectAndWait() on WinNT so we can avoid race conditions in the
    pthread code). This fixes a problem noticed on WinXP where vlc would
    freeze regularly and eat-up all the CPU (fun no?)

------------------------------------------------------------------------
r1610 | massiot | 2002-03-28 22:21:51 +0100 (Thu, 28 Mar 2002) | 2 lines
Changed paths:
   M /trunk/src/interface/main.c

Fix for sparc.

------------------------------------------------------------------------
r1611 | massiot | 2002-03-29 01:14:19 +0100 (Fri, 29 Mar 2002) | 3 lines
Changed paths:
   M /trunk/plugins/access/udp.c
   M /trunk/src/interface/main.c

Disabled the server argument in udpstream: because it confuses users and is
not of any practical use.

------------------------------------------------------------------------
r1612 | ipkiss | 2002-03-31 07:10:07 +0200 (Sun, 31 Mar 2002) | 3 lines
Changed paths:
   M /trunk/plugins/win32/menu.cpp


 * plugins/win32: subtitles should work, now

------------------------------------------------------------------------
r1613 | tcastley | 2002-03-31 10:13:38 +0200 (Sun, 31 Mar 2002) | 4 lines
Changed paths:
   M /trunk/plugins/beos/InterfaceWindow.cpp
   M /trunk/plugins/beos/VideoWindow.h
   M /trunk/plugins/beos/vout_beos.cpp

Implemented an "always-on-top" feature for the interface window.
RGB16 Overlay supported again.
Resizing is now implemented consistantly.

------------------------------------------------------------------------
r1614 | ipkiss | 2002-03-31 19:59:29 +0200 (Sun, 31 Mar 2002) | 3 lines
Changed paths:
   M /trunk/plugins/win32/intf_win32.cpp


 * ./plugins/win32: fixed the bug on exiting the vout pressing 'q'

------------------------------------------------------------------------
r1615 | gbazin | 2002-04-01 00:35:44 +0200 (Mon, 01 Apr 2002) | 12 lines
Changed paths:
   M /trunk/plugins/gtk/gnome.c
   M /trunk/plugins/gtk/gtk.c
   M /trunk/plugins/gtk/gtk_preferences.c



* You can now set a maximum height for the configuration windows in the gtk
    and gnome plugins. This patch _doesn't change_ the look of the interface
    unless this interface tries to use more space than allowed, in which case
    scrollbars are added to make the navigation easy.
    Note that this setting only affects the default size the interface will
    use, the user is then free to change the size of the window as he wants.

* Tooltips are now triggered only in specific places. This is a lot less
   intrusive and annoying for the users.

------------------------------------------------------------------------
r1616 | gbazin | 2002-04-01 00:59:01 +0200 (Mon, 01 Apr 2002) | 5 lines
Changed paths:
   M /trunk/plugins/gtk/gtk_preferences.c



* allow the user to resize the configuration windows
* moved config_GetIntVariable out of the loop

------------------------------------------------------------------------
r1617 | tcastley | 2002-04-01 07:49:00 +0200 (Mon, 01 Apr 2002) | 3 lines
Changed paths:
   M /trunk/plugins/beos/VideoWindow.h
   M /trunk/plugins/beos/vout_beos.cpp

Improved overlay detection, default colour space selection.
Has bad output color need some work.

------------------------------------------------------------------------
r1618 | tcastley | 2002-04-01 09:37:53 +0200 (Mon, 01 Apr 2002) | 3 lines
Changed paths:
   M /trunk/plugins/beos/VideoWindow.h

Fixed the color_space problem.  Overlays now work.
Still problem with nVidia cards.

------------------------------------------------------------------------
r1619 | gbazin | 2002-04-01 11:59:41 +0200 (Mon, 01 Apr 2002) | 4 lines
Changed paths:
   D /trunk/INSTALL-win32.txt
   A /trunk/INSTALL.win32



* updated INSTALL.win32

------------------------------------------------------------------------
r1620 | gbazin | 2002-04-01 12:13:19 +0200 (Mon, 01 Apr 2002) | 4 lines
Changed paths:
   A /trunk/doc/win32
   A /trunk/doc/win32/Cross-Compile-Howto.txt



* VLC-Win32 Cross-Compile Howto, courtesy of Bill Eldridge.

------------------------------------------------------------------------
r1621 | gbazin | 2002-04-01 12:47:49 +0200 (Mon, 01 Apr 2002) | 5 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/install-win32



* updated the "package-win32" rule
* all txt files are now converted to dos format (CRLF)

------------------------------------------------------------------------
r1622 | gbazin | 2002-04-01 18:08:23 +0200 (Mon, 01 Apr 2002) | 6 lines
Changed paths:
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/directx/vout_events.c
   M /trunk/plugins/downmix/ac3_downmix_3dn.c
   M /trunk/plugins/downmix/ac3_downmix_sse.c



* Win32 compilation fixes when downmixsse and downmix3dn are declared as
    plugins.
* Fixed the waiting on the event thread creation in the directx plugin.

------------------------------------------------------------------------
r1623 | gbazin | 2002-04-01 23:39:17 +0200 (Mon, 01 Apr 2002) | 10 lines
Changed paths:
   A /trunk/extras/Win32_msvc
   A /trunk/extras/Win32_msvc/defs.h
   A /trunk/extras/Win32_msvc/modules_builtin_msvc.h
   A /trunk/extras/Win32_msvc/readme.txt
   A /trunk/extras/Win32_msvc/vlc.dsp
   A /trunk/extras/Win32_msvc/vlc.dsw



* Microsof Visual Studio C++ 6 project files.
  This is usefull mainly for debugging as the hardware accelerated plugins
    can't be compiled with msvc.

I won't be maintaining this msvc project as I don't have MSVC myself, but
maybe this will encourage people to try to develop for vlc (or maybe just
discourage them ;-)

------------------------------------------------------------------------
r1624 | gbazin | 2002-04-01 23:54:26 +0200 (Mon, 01 Apr 2002) | 4 lines
Changed paths:
   M /trunk/extras/libdvdcss/ioctl.c
   M /trunk/include/common.h
   M /trunk/src/misc/modules.c



* Fixes for the Win32_msvc build

------------------------------------------------------------------------
r1625 | gbazin | 2002-04-02 08:31:23 +0200 (Tue, 02 Apr 2002) | 5 lines
Changed paths:
   M /trunk/plugins/directx/vout_directx.h
   M /trunk/plugins/directx/vout_events.c



* Fixed yet another bug related to the event thread creation
* Removed a few debug messages

------------------------------------------------------------------------
r1626 | sam | 2002-04-02 12:17:08 +0200 (Tue, 02 Apr 2002) | 6 lines
Changed paths:
   M /trunk/FAQ
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/chroma/i420_rgb16.c
   M /trunk/plugins/chroma/i420_rgb8.c
   M /trunk/plugins/chroma/i420_ymga.c
   M /trunk/plugins/chroma/i420_yuy2.c
   M /trunk/plugins/chroma/i422_yuy2.c
   M /trunk/plugins/dvd/dvd_access.c
   M /trunk/src/misc/configuration.c


  * ./configure.in: BeOS, liba52 and chroma plugin compilation fixes.
  * ./plugins/dvd/dvd_access.c: removed a warning.
  * ./src/misc/configuration.c: Solaris fixes by Meuuh.
  * ./FAQ: removed outdated stuff.

------------------------------------------------------------------------
r1627 | tcastley | 2002-04-02 12:43:55 +0200 (Tue, 02 Apr 2002) | 3 lines
Changed paths:
   M /trunk/include/config.h

Changed directory of the config file for BeOS to be consistant with
OS standard.

------------------------------------------------------------------------
r1628 | tcastley | 2002-04-02 12:44:40 +0200 (Tue, 02 Apr 2002) | 2 lines
Changed paths:
   M /trunk/plugins/beos/vout_beos.cpp

Added a test for the nooverlay option.

------------------------------------------------------------------------
r1629 | ipkiss | 2002-04-02 13:31:36 +0200 (Tue, 02 Apr 2002) | 3 lines
Changed paths:
   M /trunk/src/misc/configuration.c


 * ./src/misc/configuration.c: small compilation fix

------------------------------------------------------------------------
r1630 | ipkiss | 2002-04-02 17:18:32 +0200 (Tue, 02 Apr 2002) | 6 lines
Changed paths:
   M /trunk/plugins/win32/disc.cpp
   M /trunk/plugins/win32/disc.dfm
   M /trunk/plugins/win32/disc.h
   M /trunk/plugins/win32/mainframe.cpp
   M /trunk/plugins/win32/mainframe.dfm
   M /trunk/plugins/win32/preferences.cpp
   M /trunk/plugins/win32/preferences.h


 * ./plugins/win32:
        - fixed a few bugs in the preferences
        - better auto-resizing of the main window
        - the disc dialog now respects the preferences settings

------------------------------------------------------------------------
r1631 | ipkiss | 2002-04-02 23:56:19 +0200 (Tue, 02 Apr 2002) | 4 lines
Changed paths:
   M /trunk/src/interface/main.c


* ./src/interface/main.c: check that channels have been created before
  the call to network_ChannelJoin

------------------------------------------------------------------------
r1632 | massiot | 2002-04-03 00:16:07 +0200 (Wed, 03 Apr 2002) | 4 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/plugins/macosx/vout_macosx.c
   M /trunk/plugins/memcpy/Makefile
   M /trunk/plugins/memcpy/fastmemcpy.h
   M /trunk/plugins/memcpy/memcpy.c
   M /trunk/src/input/input_ext-plugins.c

* Altivec-enabled version of fastmemcpy
* Use ImageBuffer instead of ScreenBuffer in OS X video output (should be
faster)

------------------------------------------------------------------------
r1633 | massiot | 2002-04-03 00:46:25 +0200 (Wed, 03 Apr 2002) | 2 lines
Changed paths:
   M /trunk/src/input/input_ext-plugins.c

Compilation fix. :-ppppp

------------------------------------------------------------------------
r1634 | massiot | 2002-04-03 01:00:27 +0200 (Wed, 03 Apr 2002) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

Added memcpyaltivec.

------------------------------------------------------------------------
r1635 | ipkiss | 2002-04-03 01:22:32 +0200 (Wed, 03 Apr 2002) | 4 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/plugins/win32/network.cpp
   M /trunk/plugins/win32/network.dfm


 * ./include/config.h: fixed config directory name for windows
 * ./plugins/win32: the network dialog now respects the preferences settings

------------------------------------------------------------------------
r1636 | gbazin | 2002-04-03 01:27:07 +0200 (Wed, 03 Apr 2002) | 12 lines
Changed paths:
   M /trunk/INSTALL.win32
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/extras/Win32_msvc/defs.h
   M /trunk/plugins/gtk/fixfiles.sh
   M /trunk/plugins/gtk/gnome_interface.c
   M /trunk/plugins/gtk/gtk_interface.c



* Got rid of the DVD_DEVICE macro. We now use the dvd_device config option.
  ( this creates a small memory leak as we don't free the string obtained
    from config_GetPszVariable, but I think we can live with it for now )

* the SSE plugins are disable on the mingw32 build as they don't work.
  ( because memalign is not implemented on win32, and malloc only aligns
    on an 8 bytes boundary )

* fixed small mistake in INSTALL.win32

------------------------------------------------------------------------
r1637 | gbazin | 2002-04-03 01:43:57 +0200 (Wed, 03 Apr 2002) | 14 lines
Changed paths:
   M /trunk/include/beos_specific.h
   M /trunk/include/common.h
   M /trunk/include/darwin_specific.h
   A /trunk/include/os_specific.h
   M /trunk/include/threads.h
   M /trunk/include/videolan/vlc.h
   M /trunk/include/win32_specific.h
   M /trunk/src/interface/main.c
   M /trunk/src/misc/modules_plugin.h
   M /trunk/src/misc/win32_specific.c



* New pthread implementation for WinNT/2K/XP. This implementation shouldn't
  be subject to race conditions as it is using SignalObjectAndWait() from the
  Win32 API.
  As this should be somehow slower than the old method (still used on Win9x),
  you can specify that you want to use the old method with the "fast_pthread"
  config option.

* Added a new p_main_sys global variable. This variable is a pointer to an
  OS specific structure which is defined in *_specific.h. This structure can
  be filled by the already existing System_Init() function and is a nice
  way to avoid too many #ifdefs.

------------------------------------------------------------------------
r1638 | sam | 2002-04-03 04:43:14 +0200 (Wed, 03 Apr 2002) | 7 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/ChangeLog
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/gtk/gtk_callbacks.c
   A /trunk/po/ja.po


  * ./po/ja.po: added Japanese translation from Fumio Nakayama
    <endymion@ca2.so-net.ne.jp>.
  * ./plugins/gtk/gtk_callbacks.c: fixed disc ejection code.
  * ./ChangeLog: how about a nice cup of 870 lines of ChangeLog for the 0.3.0
    release?

------------------------------------------------------------------------
r1639 | gbazin | 2002-04-03 08:19:43 +0200 (Wed, 03 Apr 2002) | 5 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/plugins/gtk/gtk_callbacks.c



* fixed ./plugins/gtk/gtk_callbacks.c to use the "dvd_device" config option
  instead of the now inexistant DVD_DEVICE macro.

------------------------------------------------------------------------
r1640 | sam | 2002-04-03 08:23:08 +0200 (Wed, 03 Apr 2002) | 7 lines
Changed paths:
   M /trunk/AUTHORS
   D /trunk/ChangeLog.libdvdcss
   D /trunk/INSTALL.libdvdcss
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   D /trunk/README.libdvdcss
   D /trunk/acconfig.h
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/.cvsignore
   M /trunk/debian/control
   D /trunk/debian/libdvdcss1-dev.dirs
   D /trunk/debian/libdvdcss1.copyright
   D /trunk/debian/libdvdcss1.dirs
   D /trunk/debian/libdvdcss1.docs
   M /trunk/debian/rules
   M /trunk/doc/release-howto.txt
   D /trunk/extras/BSDI_dvdioctl
   D /trunk/extras/libdvdcss
   D /trunk/extras/libdvdread
   M /trunk/include/defs.h.in
   M /trunk/ipkg/rules
   M /trunk/plugins/dvd/Makefile
   D /trunk/plugins/dvd/dummy_dvdcss.c
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/dvd/dvd_access.c
   M /trunk/plugins/dvd/dvd_es.c
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_seek.c
   M /trunk/plugins/dvd/dvd_summary.c
   M /trunk/plugins/dvd/dvd_udf.c
   M /trunk/plugins/dvdread/Makefile
   M /trunk/plugins/dvdread/input_dvdread.h
   M /trunk/vlc.spec


  * ALL: removed libdvdcss from the vlc tree.
  * ALL: removed libdvdread from the vlc tree.
  * ./acconfig.h: removed this file.
  * ./plugins/dvd/dummy_dvdcss.c: merged this file into dvd.c.
  * ./AUTHORS: moved a few gentlemen to the libdvdcss AUTHORS file.

------------------------------------------------------------------------
r1641 | sam | 2002-04-03 08:45:36 +0200 (Wed, 03 Apr 2002) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/defs.h.in
   A /trunk/plugins/ogg
   A /trunk/plugins/ogg/.cvsignore
   A /trunk/plugins/ogg/Makefile


  * ./plugins/ogg/*: added preliminary files for an Ogg/Vorbis decoder a
    contributor is currently working on.

------------------------------------------------------------------------
r1642 | ipkiss | 2002-04-03 15:18:36 +0200 (Wed, 03 Apr 2002) | 3 lines
Changed paths:
   M /trunk/plugins/win32/mainframe.cpp
   M /trunk/plugins/win32/mainframe.dfm
   M /trunk/plugins/win32/mainframe.h
   M /trunk/plugins/win32/preferences.cpp
   M /trunk/plugins/win32/preferences.dfm


 * ./plugins/win32/*: Added management for secondary config dialogs

------------------------------------------------------------------------
r1643 | sam | 2002-04-03 18:22:23 +0200 (Wed, 03 Apr 2002) | 6 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile.modules
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/dvdread/input_dvdread.c
   M /trunk/plugins/dvdread/input_dvdread.h


  * ./Makefile.modules: modules now depend on Makefile.opts.
  * ./configure.in: added (hopefully) explicit messages on how to get
    libdvdcss and link vlc with it.
  * ./plugins/dvdread/input_dvdread.c: removed inclusion of dvd_udf.h.

------------------------------------------------------------------------
r1644 | massiot | 2002-04-04 00:36:50 +0200 (Thu, 04 Apr 2002) | 2 lines
Changed paths:
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/memcpy/Makefile
   M /trunk/plugins/memcpy/fastmemcpy.h
   M /trunk/plugins/memcpy/memcpy.c
   A /trunk/plugins/memcpy/memcpyaltivec.c

Fixed altivec memcpy module [OS X port]

------------------------------------------------------------------------
r1645 | massiot | 2002-04-04 01:24:42 +0200 (Thu, 04 Apr 2002) | 3 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/defs.h.in
   M /trunk/plugins/access/http.c
   M /trunk/src/interface/intf_eject.c

* Fix for iPAQ familiar Linux (untested)
* HTTP files now find the EOF (though HTTP input is still broken)

------------------------------------------------------------------------
r1646 | jlj | 2002-04-04 02:23:36 +0200 (Thu, 04 Apr 2002) | 3 lines
Changed paths:
   M /trunk/src/interface/intf_eject.c


  * ./src/interface/intf_eject.c: Fixed a MacOS X bug.

------------------------------------------------------------------------
r1647 | sam | 2002-04-04 07:08:05 +0200 (Thu, 04 Apr 2002) | 7 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/rules
   M /trunk/include/defs.h.in
   M /trunk/include/video_output.h
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/network/ipv4.c
   M /trunk/plugins/vcd/cdrom_tools.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/interface/intf_eject.c
   M /trunk/src/video_output/video_output.c


  * ./src/video_output/video_output.c: fixed a vout4 image starvation bug.
  * ./plugins/dvd/dvd.c: we look for libdvdcss.so.2 as well as -.so.1.
  * ./configure.in: BSD/OS fixes thanks to Steven M. Schultz.
  * ./Makefile: renamed the `snapshot' rule to `dist'.
  * ./Makefile: removed the `snapshot-nocss' rule which isn't needed anymore.

------------------------------------------------------------------------
r1648 | sam | 2002-04-04 17:35:09 +0200 (Thu, 04 Apr 2002) | 10 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/debian/control
   M /trunk/debian/rules
   M /trunk/plugins/gtk/gnome.glade
   M /trunk/plugins/gtk/gnome_interface.c
   M /trunk/plugins/gtk/gtk.glade
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/kde/kde.cpp
   M /trunk/plugins/qt/intf_qt.cpp
   M /trunk/vlc.spec


  * ./plugins/gtk/gtk.glade, plugins/gtk/gnome.glade, ./plugins/kde/kde.cpp:
    replaced the outdated author list with a "VideoLAN Team" entry.
  * ./debian/rules, ./debian/control: deactivated the vlc-kde package because
    it does not work, and removed the vlc-a52 package because liba52 is
    statically linked into vlc.
  * ./debian/control: added more helpful package descriptions.
  * ALL: changed version to 0.3.0. Yeah, it's coming.
  * ./Makefile: fixed make dist.

------------------------------------------------------------------------
r1649 | ipkiss | 2002-04-04 18:22:39 +0200 (Thu, 04 Apr 2002) | 7 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/ChangeLog
   M /trunk/plugins/win32/about.cpp
   M /trunk/plugins/win32/about.dfm
   M /trunk/plugins/win32/about.h
   M /trunk/plugins/win32/mainframe.cpp
   M /trunk/plugins/win32/mainframe.dfm
   M /trunk/plugins/win32/mainframe.h


  * ./AUTHORS: added myself :)
  * ./plugins/win32/mainframe.cpp: disabled the "hide interface" menu
    item, not yet implemented.
  * ./plugins/win32/about.dfm: replaced the outdated author list with a
    "VideoLAN Team" entry.

------------------------------------------------------------------------
r1650 | massiot | 2002-04-05 00:08:05 +0200 (Fri, 05 Apr 2002) | 3 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/defs.h.in
   M /trunk/plugins/memcpy/memcpyaltivec.c
   M /trunk/src/interface/intf_eject.c

* Fixed intf_eject for iPAQ (untested)
* asm memcpyaltivec for Linux/PPC

------------------------------------------------------------------------
r1651 | massiot | 2002-04-05 00:51:01 +0200 (Fri, 05 Apr 2002) | 3 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/mpeg_system/mpeg_ps.c
   M /trunk/src/input/input.c
   M /trunk/src/input/mpeg_system.c

* FINALLY fixed HTTP input bug (I'm SO HAPPY with this !)
* Disabled memcpyaltivec since it's buggy

------------------------------------------------------------------------
r1652 | gbazin | 2002-04-05 03:05:22 +0200 (Fri, 05 Apr 2002) | 22 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/ac3_imdct.h
   M /trunk/include/common.h
   M /trunk/include/defs.h.in
   M /trunk/include/vdec_ext-plugins.h
   M /trunk/include/video.h
   M /trunk/plugins/ac3_adec/ac3_adec.c
   M /trunk/plugins/ac3_adec/ac3_adec.h
   M /trunk/plugins/ac3_adec/ac3_decoder.h
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/dummy/vout_dummy.c
   M /trunk/plugins/mpeg_vdec/vpar_pool.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_pictures.c
   M /trunk/src/video_output/vout_subpictures.c



* introduced a memalign wrapper that will align the memory manually if
  memalign doesn't exist.

  void *vlc_memalign( size_t align, size_t size, void **pp_orig )
  where the return value is the aligned pointer and *pp_orig is the pointer
  that has to be freed afterwards.

  the arithmetic I'm doing on the pointer to align it is not portable to
  64bits architectures. If someone knows how to something portable, please
  tell me ( and no I don't want to do if(sizeof(void *) == blabla) ).

  Other little problem, I was planning to use posix_memalign by default in
  the wrapper implementation but it doesn't work (someone can tell me what
  I'm doing wrong ?)

* re-enabled the sse plugins on win32 as we don't have anymore alignment
  issues.

* fixed typo in vout_directx.c

------------------------------------------------------------------------
r1653 | sam | 2002-04-05 05:27:27 +0200 (Fri, 05 Apr 2002) | 7 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/INSTALL.win32
   M /trunk/Makefile
   M /trunk/Makefile.modules
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/common.h
   M /trunk/include/threads.h
   M /trunk/plugins/win32/Makefile
   M /trunk/plugins/win32/intfwin.bpr


  * ./plugins/win32/intfwin.bpr: we now build intfwin.so at the right place.
  * ./plugins/win32/Makefile: intfwin.so can be built using commandline.
  * ./configure.in, ./include/threads.h, ./include/common.h: a custom defs.h
    file isn't needed for the intfwin plugin anymore.
  * ./INSTALL.win32: updated compilation instructions for the intfwin plugin.

------------------------------------------------------------------------
r1654 | sam | 2002-04-05 14:35:47 +0200 (Fri, 05 Apr 2002) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/defs.h.in
   M /trunk/plugins/win32/Makefile


  * ./configure.in: added --enable-intfwin to enable the win32 interface and
    --with-bcbuilder to tell make where to find Borland C++ Builder.

------------------------------------------------------------------------
r1655 | sam | 2002-04-05 22:44:23 +0200 (Fri, 05 Apr 2002) | 11 lines
Changed paths:
   M /trunk/.cvsignore
   M /trunk/ChangeLog
   M /trunk/INSTALL.win32
   M /trunk/Makefile
   M /trunk/Makefile.dep
   M /trunk/Makefile.modules
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/install-win32
   M /trunk/plugins/.cvsignore
   M /trunk/plugins/win32/.cvsignore
   M /trunk/plugins/win32/win32.cpp
   A /trunk/share/gvlc48x48.ico
   D /trunk/share/gvlc_win32.ico
   M /trunk/share/vlc_win32_rc.rc


  * ./plugins/win32/win32.cpp: fixed `--intf intfwin' which wasn't working.
  * ./Makefile: we don't include the Gtk+ and SDL DLLs in the win32 package
    anymore, the package is now 700k instead of 4MB.
  * ./configure.in, ./Makefile, ./Makefile.opts.in: replaced LIB_FOO with
    foo_LDFLAGS and CFLAGS_BAR with bar_CFLAGS for faster builds, and moved a
    lot of stuff from Makefile.opts.in back to configure.in.
  * ./install-win32: updated script for NSIS 1.96.

   I hope this doesn't break too many other architectures...

------------------------------------------------------------------------
r1656 | jlj | 2002-04-05 23:03:19 +0200 (Fri, 05 Apr 2002) | 3 lines
Changed paths:
   M /trunk/plugins/macosx/vout_macosx.c


  * ./plugins/macosx/vout_macosx.c: memalign -> vlc_memalign

------------------------------------------------------------------------
r1657 | sam | 2002-04-05 23:26:29 +0200 (Fri, 05 Apr 2002) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/beos/VideoWindow.h


  * ./Makefile, ./configure.in: misc BeOS build fixes.

------------------------------------------------------------------------
r1658 | sam | 2002-04-06 06:22:27 +0200 (Sat, 06 Apr 2002) | 8 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile
   M /trunk/debian/changelog
   M /trunk/debian/rules
   M /trunk/ipkg/control
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/text/ncurses.c
   M /trunk/plugins/win32/mainframe.dfm
   M /trunk/vlc.spec


  * ./plugins/win32/mainframe.dfm: swapped two mixed up tooltips.
  * ./Makefile: fixed make dist and make distclean.
  * ./plugins/dvd/dvd.c: compilation fix.
  * ./plugins/gtk/gtk_callbacks.c: fixed ejection code.
  * ./plugins/text/ncurses.c: fixed compilation of the ncurses plugin.
  * ./vlc.spec: updated specfile.

------------------------------------------------------------------------
r1659 | sam | 2002-04-06 07:54:10 +0200 (Sat, 06 Apr 2002) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/doc/release-howto.txt
   M /trunk/vlc.spec


  * ./doc/release-howto.txt: updated documentation.
  * ./vlc.spec: added missing plugin filenames to the build process.

------------------------------------------------------------------------
r1660 | sam | 2002-04-07 08:48:48 +0200 (Sun, 07 Apr 2002) | 7 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/gtk/gtk.glade
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/motion/motion.c


  * ./configure.in: wrote a better test for libdvdread detection.
  * ./plugins/gtk/gtk.glade: added lines this #@%$! Glade had munched, fixes
    a segfault in the Gtk+ popup menu when toggling the interface.
  * ./plugins/motion/motion.c: fixed a compilation issue on compilers which
    do not accept empty macro arguments.

------------------------------------------------------------------------
r1661 | massiot | 2002-04-08 01:08:44 +0200 (Mon, 08 Apr 2002) | 5 lines
Changed paths:
   M /trunk/Makefile
   A /trunk/README - Mac OS X.rtf
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/memcpy/memcpyaltivec.c
   M /trunk/src/interface/main.c

* Fixed Altivec-enabled version of fastmemcpy
* Fixed --memcpy switch
* Changed CFLAGS_VLC to vlc_CFLAGS (last-minute changes are great ideas :p)
* New README file for MacOS X.

------------------------------------------------------------------------
r1662 | jobi | 2002-04-08 16:53:05 +0200 (Mon, 08 Apr 2002) | 8 lines
Changed paths:
   M /trunk/plugins/access/file.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/interface/main.c



* made file access plugin use input_SetProgram so that we may change
  program when reading a file
* fixed a bug in input_SetProgram
* added --input_program <int> option, to choose the program from
  the command line

------------------------------------------------------------------------
r1663 | sam | 2002-04-10 02:04:04 +0200 (Wed, 10 Apr 2002) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/plugins/aa/aa.c


  * ./plugins/aa/aa.c: we now parse the AAOPTS environment variable.
  * ./plugins/aa/aa.c: a few simplifications in the code.

------------------------------------------------------------------------
r1664 | sam | 2002-04-10 02:05:04 +0200 (Wed, 10 Apr 2002) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/doc/developer/decoders.xml


  * ./doc/developer/decoders.xml: fixed a typo preventing compilation.

------------------------------------------------------------------------
r1665 | sam | 2002-04-10 02:05:36 +0200 (Wed, 10 Apr 2002) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/vlc.spec


  * ./vlc.spec: imported MandrakeSoft's enhancements.

------------------------------------------------------------------------
r1666 | sam | 2002-04-10 02:08:36 +0200 (Wed, 10 Apr 2002) | 4 lines
Changed paths:
   M /trunk/.cvsignore
   M /trunk/ChangeLog
   M /trunk/configure
   M /trunk/configure.in


  * ./configure.in: fixed a bug in the libdvdread detection.
  * ./configure.in: fixed plugin compilation under Win32.

------------------------------------------------------------------------
r1667 | lool | 2002-04-10 04:48:43 +0200 (Wed, 10 Apr 2002) | 2 lines
Changed paths:
   M /trunk/po/fr.po

  * ./po/fr.po: French translation update

------------------------------------------------------------------------
r1668 | tcastley | 2002-04-10 12:08:06 +0200 (Wed, 10 Apr 2002) | 2 lines
Changed paths:
   M /trunk/plugins/beos/vout_beos.cpp

Fixed code to close vout window, does not segfault anymore.

------------------------------------------------------------------------
r1669 | jobi | 2002-04-10 18:26:21 +0200 (Wed, 10 Apr 2002) | 4 lines
Changed paths:
   M /trunk/plugins/access/file.c
   M /trunk/src/input/input_programs.c


* fixed a bug in input_SetProgram, that made the ps file input
launch without video. Sorry about this.

------------------------------------------------------------------------
r1670 | jobi | 2002-04-10 19:47:58 +0200 (Wed, 10 Apr 2002) | 5 lines
Changed paths:
   M /trunk/plugins/mpeg_system/mpeg_ps.c


* fixed another bug in PS demux : the first program added was at the
same time declared as the current program and as a new program, which
made the ES be selected two times.

------------------------------------------------------------------------
r1671 | sam | 2002-04-11 10:55:49 +0200 (Thu, 11 Apr 2002) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile
   M /trunk/src/misc/modules.c
   M /trunk/src/misc/modules_plugin.h

  * ./Makefile: fixed the Win32 interface under Win2k/XP.
  * ./src/misc/modules_plugins.h: implemented a dlerror()-like wrapper
    for the Win32 API.

------------------------------------------------------------------------
r1672 | tcastley | 2002-04-11 11:25:45 +0200 (Thu, 11 Apr 2002) | 2 lines
Changed paths:
   M /trunk/plugins/beos/vout_beos.cpp

Implemented a fix for nVidia overlays thanks to Bertil.

------------------------------------------------------------------------
r1673 | jobi | 2002-04-15 06:28:26 +0200 (Mon, 15 Apr 2002) | 8 lines
Changed paths:
   M /trunk/plugins/gtk/gnome.glade
   M /trunk/plugins/gtk/gnome_interface.c
   M /trunk/plugins/gtk/gtk.glade
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_open.c
   M /trunk/plugins/satellite/input_satellite.c

* fixed a few bugs in satellite input (device was not closed in every
failure case, symbol rate limits in gnome interface were wrong)

* added FEC choice in command line, gtk and gnome interfaces. Command
line is now
satellite:<frequency(Hz)>,<polarization(0=V,1=H)>,<fec(1=1/2,2=2/3...)>,
<symbol rate(kbyte/s)>

------------------------------------------------------------------------
r1674 | jobi | 2002-04-15 06:36:45 +0200 (Mon, 15 Apr 2002) | 4 lines
Changed paths:
   M /trunk/plugins/gtk/gtk_open.c

* removed a totally useless switch in my last commit
  (switch i {case 1: i=1;break; case 2: i=2: ...
  I'd better got to bed ;)

------------------------------------------------------------------------
r1675 | jobi | 2002-04-15 16:06:19 +0200 (Mon, 15 Apr 2002) | 5 lines
Changed paths:
   M /trunk/plugins/satellite/input_satellite.c
   M /trunk/src/interface/main.c

* fixed a typo in satellite input
* added options to configure antenna (sat_lnb_lof1, sat_lnb_lof2,
  sat_lnb_slof and sat_diseqc). They only appear if satellite input
  is compiled.

------------------------------------------------------------------------
r1676 | massiot | 2002-04-16 01:04:08 +0200 (Tue, 16 Apr 2002) | 3 lines
Changed paths:
   M /trunk/include/vdec_ext-plugins.h
   M /trunk/include/video.h
   M /trunk/plugins/mpeg_system/mpeg_ps.c
   M /trunk/plugins/mpeg_vdec/video_decoder.c
   M /trunk/plugins/mpeg_vdec/video_parser.h
   M /trunk/plugins/mpeg_vdec/vpar_blocks.c
   M /trunk/plugins/mpeg_vdec/vpar_headers.c
   M /trunk/src/video_output/vout_pictures.c

* Support for pictures with a pitch different from the picture width,
inspired by Gildas Bazin.

------------------------------------------------------------------------
r1677 | jobi | 2002-04-17 00:13:28 +0200 (Wed, 17 Apr 2002) | 2 lines
Changed paths:
   M /trunk/doc/vlc-howto.sgml

* big update of Henri's howto

------------------------------------------------------------------------
r1678 | massiot | 2002-04-17 01:00:54 +0200 (Wed, 17 Apr 2002) | 5 lines
Changed paths:
   M /trunk/plugins/dvdread/dvdread.c
   M /trunk/plugins/macosx/intf_controller.c
   M /trunk/plugins/macosx/intf_macosx.c
   M /trunk/plugins/memcpy/memcpyaltivec.c
   M /trunk/plugins/motion/motionaltivec.c

* Have dvdread plug-in respond to dvd: URLs ;
* MacOS X interface shouldn't take as much CPU as it used to ;
* Fixed a bug in Altivec-enabled MC (thanks walken) ;
* Fixed a case of segfault in Altivec-enabled memcpy.

------------------------------------------------------------------------
r1679 | sam | 2002-04-17 13:43:31 +0200 (Wed, 17 Apr 2002) | 6 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/common.h
   M /trunk/include/defs.h.in
   M /trunk/src/interface/main.c
   M /trunk/src/misc/configuration.c


  * ./AUTHORS: added people locations, just for fun.
  * ./configure.in: disabled SSE plugins when using mingw32.
  * ./src/misc/configuration.c: disabled the AltiVec warning message on the
    PowerPC platform because it was misleading.

------------------------------------------------------------------------
r1680 | jobi | 2002-04-17 19:00:58 +0200 (Wed, 17 Apr 2002) | 5 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/plugins/access/udp.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c

* in TS demux, a program is selected only if a PMT for it was found.
  This should fix the problem that occured when reading a file directly
  extracted from a satellite card.
* UDP access plugin uses input_SetProgram.

------------------------------------------------------------------------
r1681 | massiot | 2002-04-18 01:03:35 +0200 (Thu, 18 Apr 2002) | 4 lines
Changed paths:
   M /trunk/README - Mac OS X.rtf
   M /trunk/plugins/macosx/macosx.h
   M /trunk/plugins/macosx/vout_macosx.c

* Finally fixed MacOS X aspect ratio. If you know how to center the
picture in the screen, and make the remaining space black instead of
white, PLEASE drop me a mail !

------------------------------------------------------------------------
r1682 | sam | 2002-04-18 06:34:37 +0200 (Thu, 18 Apr 2002) | 4 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/defs.h.in
   M /trunk/plugins/network/ipv6.c


  * ./configure.in, ./plugins/network/ipv6.c: support for the GNU glibc
    extension gethostbyname2(), thanks to Thomas Graf.

------------------------------------------------------------------------
r1683 | sam | 2002-04-18 07:11:30 +0200 (Thu, 18 Apr 2002) | 5 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/debian/changelog
   M /trunk/ipkg/control
   M /trunk/vlc.spec


  * ./configure.in: switched version to 0.3.1.
  * ./vlc.spec: imported Mandrakesoft's latest enhancements.
  * ./ChangeLog: updated ChangeLog.

------------------------------------------------------------------------
r1684 | sam | 2002-04-18 14:51:59 +0200 (Thu, 18 Apr 2002) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/include/threads.h
   M /trunk/plugins/spudec/spu_decoder.c


  * ./include/threads.h: fixed a segfault under Solaris, thanks to Meuuh.
  * ./plugins/spudec/spu_decoder.c: RGB 24bpp and 32bpp support.

------------------------------------------------------------------------
r1685 | sam | 2002-04-18 21:38:57 +0200 (Thu, 18 Apr 2002) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/vlc.spec


  * ./vlc.spec: fixed build dependencies.
  * ./configure.in: when -lintl is available, we now also link plugins with it.

------------------------------------------------------------------------
r1686 | massiot | 2002-04-18 23:32:23 +0200 (Thu, 18 Apr 2002) | 2 lines
Changed paths:
   M /trunk/plugins/macosx/vout_macosx.c

Fixed typos.

------------------------------------------------------------------------
r1687 | sam | 2002-04-19 15:56:12 +0200 (Fri, 19 Apr 2002) | 6 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/include/common.h
   M /trunk/include/configuration.h
   M /trunk/include/modules.h
   M /trunk/include/modules_inner.h
   M /trunk/plugins/a52/a52.c
   M /trunk/plugins/aa/aa.c
   M /trunk/plugins/ac3_adec/ac3_adec.c
   M /trunk/plugins/ac3_spdif/ac3_spdif.c
   M /trunk/plugins/access/file.c
   M /trunk/plugins/access/http.c
   M /trunk/plugins/access/udp.c
   M /trunk/plugins/alsa/alsa.c
   M /trunk/plugins/arts/arts.c
   M /trunk/plugins/beos/beos.cpp
   M /trunk/plugins/chroma/i420_rgb.c
   M /trunk/plugins/chroma/i420_ymga.c
   M /trunk/plugins/chroma/i420_yuy2.c
   M /trunk/plugins/chroma/i422_yuy2.c
   M /trunk/plugins/directx/directx.c
   M /trunk/plugins/downmix/downmix.c
   M /trunk/plugins/downmix/downmix3dn.c
   M /trunk/plugins/downmix/downmixsse.c
   M /trunk/plugins/dsp/dsp.c
   M /trunk/plugins/dummy/dummy.c
   M /trunk/plugins/dummy/null.c
   M /trunk/plugins/dvd/dvd.c
   M /trunk/plugins/dvdread/dvdread.c
   M /trunk/plugins/esd/esd.c
   M /trunk/plugins/fb/fb.c
   M /trunk/plugins/filter/deinterlace.c
   M /trunk/plugins/filter/distort.c
   M /trunk/plugins/filter/invert.c
   M /trunk/plugins/filter/transform.c
   M /trunk/plugins/filter/wall.c
   M /trunk/plugins/fx/scope.c
   M /trunk/plugins/ggi/ggi.c
   M /trunk/plugins/glide/glide.c
   M /trunk/plugins/gtk/gnome.c
   M /trunk/plugins/gtk/gtk.c
   M /trunk/plugins/gtk/gtk_menu.c
   M /trunk/plugins/gtk/gtk_preferences.c
   M /trunk/plugins/idct/idct.c
   M /trunk/plugins/idct/idctaltivec.c
   M /trunk/plugins/idct/idctclassic.c
   M /trunk/plugins/idct/idctmmx.c
   M /trunk/plugins/idct/idctmmxext.c
   M /trunk/plugins/imdct/imdct.c
   M /trunk/plugins/imdct/imdct3dn.c
   M /trunk/plugins/imdct/imdctsse.c
   M /trunk/plugins/kde/kde.cpp
   M /trunk/plugins/lirc/lirc.c
   M /trunk/plugins/lpcm_adec/lpcm_adec.c
   M /trunk/plugins/macosx/macosx.c
   M /trunk/plugins/mad/mad_adec.c
   M /trunk/plugins/memcpy/memcpy.c
   M /trunk/plugins/memcpy/memcpyaltivec.c
   M /trunk/plugins/mga/mga.c
   M /trunk/plugins/mga/xmga.c
   M /trunk/plugins/motion/motion.c
   M /trunk/plugins/motion/motion3dnow.c
   M /trunk/plugins/motion/motionaltivec.c
   M /trunk/plugins/motion/motionmmx.c
   M /trunk/plugins/motion/motionmmxext.c
   M /trunk/plugins/mpeg_adec/mpeg_adec.c
   M /trunk/plugins/mpeg_system/mpeg_es.c
   M /trunk/plugins/mpeg_system/mpeg_ps.c
   M /trunk/plugins/mpeg_system/mpeg_ts.c
   M /trunk/plugins/mpeg_vdec/video_parser.c
   M /trunk/plugins/network/ipv4.c
   M /trunk/plugins/network/ipv6.c
   M /trunk/plugins/qnx/qnx.c
   M /trunk/plugins/qt/qt.cpp
   M /trunk/plugins/satellite/satellite.c
   M /trunk/plugins/sdl/sdl.c
   M /trunk/plugins/text/logger.c
   M /trunk/plugins/text/ncurses.c
   M /trunk/plugins/text/rc.c
   M /trunk/plugins/vcd/vcd.c
   M /trunk/plugins/win32/waveout.c
   M /trunk/plugins/win32/win32.cpp
   M /trunk/plugins/x11/x11.c
   M /trunk/plugins/x11/xvideo.c
   M /trunk/po/POTFILES.in
   M /trunk/po/de.po
   M /trunk/po/fr.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/ru.po
   M /trunk/po/vlc.pot
   M /trunk/src/interface/main.c
   M /trunk/src/misc/configuration.c


  * ALL: internationalized all configuration strings.
  * ./src/interface/main.c: we now set LC_CTYPE to get the right charset.
  * ./src/misc/configuration.c: lots of simplifications in the code.
  * ./po/vlc/pot: updated translations.

------------------------------------------------------------------------
r1688 | lool | 2002-04-20 12:19:50 +0200 (Sat, 20 Apr 2002) | 2 lines
Changed paths:
   M /trunk/po/fr.po

  * po/fr.po : completed french translations

------------------------------------------------------------------------
r1689 | jpsaman | 2002-04-20 17:12:11 +0200 (Sat, 20 Apr 2002) | 2 lines
Changed paths:
   M /trunk/po/nl.po

Updated Netherlands translation of interface.

------------------------------------------------------------------------
r1690 | gbazin | 2002-04-20 17:40:21 +0200 (Sat, 20 Apr 2002) | 4 lines
Changed paths:
   M /trunk/plugins/gtk/gtk_preferences.c



* the last category from the config options wasn't displayed.

------------------------------------------------------------------------
r1691 | tooney | 2002-04-20 19:52:47 +0200 (Sat, 20 Apr 2002) | 3 lines
Changed paths:
   M /trunk/doc/vlc-howto.sgml


  . Url & mailing-lists corrections

------------------------------------------------------------------------
r1692 | sam | 2002-04-20 22:42:48 +0200 (Sat, 20 Apr 2002) | 3 lines
Changed paths:
   M /trunk/po/de.po


  * ./po/de.po: updated german translation. Many thanks to Thomas Graf.

------------------------------------------------------------------------
r1693 | sam | 2002-04-21 12:32:21 +0200 (Sun, 21 Apr 2002) | 5 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/plugins/ac3_adec/ac3_adec.c
   M /trunk/plugins/alsa/alsa.c
   M /trunk/plugins/gtk/gnome.glade
   M /trunk/plugins/gtk/gnome_interface.c
   M /trunk/plugins/gtk/gtk.glade
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_preferences.c
   M /trunk/plugins/motion/motion3dnow.c
   M /trunk/plugins/mpeg_vdec/video_parser.c
   M /trunk/po/de.po
   M /trunk/po/fr.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/ru.po
   M /trunk/po/vlc.pot
   M /trunk/src/interface/main.c

  * ./po/*: re-ran make update-po, fixed a few translations.
  * ./po/fr.po: completed the french translation.
  * ./plugins/gtk/gtk.glade, ./plugins/gtk/gnome.glade: synchronized a few
    strings between the Gtk+ and GNOME modules to avoid duplicate translations.

------------------------------------------------------------------------
r1694 | gbazin | 2002-04-21 13:23:03 +0200 (Sun, 21 Apr 2002) | 9 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/configuration.h
   M /trunk/plugins/gtk/gtk_preferences.c
   M /trunk/plugins/idct/idct.c
   M /trunk/plugins/idct/idct_sparse.h
   M /trunk/plugins/idct/idctclassic.c
   M /trunk/plugins/idct/idctmmx.c
   M /trunk/plugins/idct/idctmmxext.c
   M /trunk/plugins/text/logger.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/configuration.c
   M /trunk/src/video_output/video_output.c



* added config_GetFloatVariable() and config_PutFloatVariable() to the config
  module.
* added a --zoom <float> config option.
* added a call to RestoreCPUState() in InitIDCT() in idct_sparse.h so that the
  FPU is still available after a call to InitIDCT().
* deactivate stream buffering when logging to a file.

------------------------------------------------------------------------
r1695 | sam | 2002-04-21 20:32:12 +0200 (Sun, 21 Apr 2002) | 4 lines
Changed paths:
   M /trunk/include/configuration.h
   M /trunk/po/de.po
   M /trunk/po/fr.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/ru.po
   M /trunk/po/vlc.pot
   M /trunk/src/interface/main.c
   M /trunk/src/misc/configuration.c


  * ./src/misc/configuration.c: support for short options. -V, -A, -I
    are back, and we also have -4 and -6 for IPv4/IPv6.

------------------------------------------------------------------------
r1696 | gbazin | 2002-04-21 23:29:20 +0200 (Sun, 21 Apr 2002) | 6 lines
Changed paths:
   M /trunk/src/interface/main.c
   M /trunk/src/misc/configuration.c



* Fixed the warning_level handling: "-v" and "--warning" are now working as
  they should and they also are cumulative (using -vv --warning=3 you end up
  with i_warning_level=5)

------------------------------------------------------------------------
r1697 | sam | 2002-04-22 10:20:26 +0200 (Mon, 22 Apr 2002) | 4 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/po/de.po
   A /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/ru.po
   M /trunk/po/vlc.pot
   M /trunk/src/interface/main.c

  * ./src/interface/main.c: i_warning_level is set to 0 to avoid unwanted
    verbose messages.
  * ./po/en_GB.po: British translation.

------------------------------------------------------------------------
r1698 | jlj | 2002-04-23 05:21:21 +0200 (Tue, 23 Apr 2002) | 3 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/plugins/macosx/Makefile
   M /trunk/plugins/macosx/intf_controller.c
   M /trunk/plugins/macosx/intf_controller.h
   A /trunk/plugins/macosx/intf_open.c
   A /trunk/plugins/macosx/intf_open.h
   M /trunk/plugins/macosx/intf_vlc_wrapper.c
   M /trunk/plugins/macosx/intf_vlc_wrapper.h

  * Added Open disc and network panels.
  * Some changes to the control layout.

------------------------------------------------------------------------
r1699 | sam | 2002-04-23 15:47:30 +0200 (Tue, 23 Apr 2002) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/plugins/chroma/i420_yuy2.c
   M /trunk/plugins/chroma/i420_yuy2.h

  * ./plugins/chroma/i420_yuy2.h: optimized the 420 planar-to-packed chroma
    transformations. They're now PIC-friendly as well.

------------------------------------------------------------------------
r1700 | sam | 2002-04-23 16:16:21 +0200 (Tue, 23 Apr 2002) | 9 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/configuration.h
   M /trunk/include/defs.h.in
   M /trunk/include/input_ext-intf.h
   M /trunk/include/modules_inner.h
   M /trunk/plugins/ac3_adec/ac3_adec.c
   M /trunk/plugins/ac3_spdif/ac3_spdif.c
   M /trunk/plugins/dsp/aout_dsp.c
   M /trunk/plugins/dsp/dsp.c
   M /trunk/plugins/dvd/dvd_access.c
   M /trunk/plugins/dvd/dvd_es.c
   M /trunk/plugins/dvdread/input_dvdread.c
   M /trunk/plugins/fb/fb.c
   M /trunk/plugins/gtk/fixfiles.sh
   M /trunk/plugins/gtk/gnome.c
   M /trunk/plugins/gtk/gnome.glade
   M /trunk/plugins/gtk/gnome_interface.c
   M /trunk/plugins/gtk/gtk.c
   M /trunk/plugins/gtk/gtk.glade
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_display.c
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_open.c
   M /trunk/plugins/gtk/gtk_preferences.c
   M /trunk/plugins/mpeg_system/mpeg_ps.c
   M /trunk/plugins/mpeg_vdec/video_parser.c
   M /trunk/plugins/mpeg_vdec/vpar_synchro.c
   M /trunk/plugins/network/ipv4.c
   M /trunk/plugins/network/ipv6.c
   A /trunk/plugins/satellite/.cvsignore
   M /trunk/plugins/satellite/input_satellite.c
   M /trunk/plugins/satellite/satellite.c
   M /trunk/plugins/vcd/input_vcd.c
   M /trunk/plugins/win32/disc.cpp
   M /trunk/plugins/win32/mainframe.cpp
   M /trunk/plugins/win32/network.cpp
   M /trunk/plugins/win32/preferences.cpp
   M /trunk/plugins/x11/x11.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/plugins/x11/xvideo.c
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/ru.po
   M /trunk/po/vlc.pot
   M /trunk/src/audio_output/audio_output.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/interface/interface.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/configuration.c
   M /trunk/src/misc/netutils.c

  * ./src/interface/main.c: tidied the help output code.
  * ALL: removed underscores from option names and made a few options more
    self-explanatory, for instance --input_channel becomes --audio-channel;
    run vlc -H to see what has changed.
  * ALL: replaced many occurences of "plugin" with the word "module".
  * ./src/interface/main.c: moved all satellite-specific configuration options
    to the satellite plugin.
  * ./po/*: updated translations.

------------------------------------------------------------------------
r1701 | sam | 2002-04-23 22:58:24 +0200 (Tue, 23 Apr 2002) | 4 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/plugins/dvd/dvd_es.c
   M /trunk/plugins/spudec/spu_decoder.c

  * ./plugins/spudec/spu_decoder.c, ./plugins/dvd/dvd_es.c: temporary fix
    to avoid retrieving the spu palette from a network stream as if it was
    a DVD.

------------------------------------------------------------------------
r1702 | gbazin | 2002-04-24 00:07:05 +0200 (Wed, 24 Apr 2002) | 16 lines
Changed paths:
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/directx/vout_directx.h
   M /trunk/plugins/directx/vout_events.c
   M /trunk/plugins/spudec/spu_decoder.c



* DirectX video output plugin now uses triple buffering for YUV overlay. This
  improves the video quality a lot (no tearing) without affecting performance.
  (I knew double buffering sucked but I just discovered why triple buffering
   is better: you don't have to wait for the vsync to flip the buffers).

* Fixed the DirectX video output for non-overlay modes. It was only working
  in RGB16 before.

* Fixed the mouse autohidding feature in the DirectX plugin
 (at least partially).

* Fixed the spu decoder to take the pitch of the destination picture into
  account when rendering the subtitles (Implemented only for the YUV modes).

------------------------------------------------------------------------
r1703 | sam | 2002-04-24 01:06:05 +0200 (Wed, 24 Apr 2002) | 3 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   A /trunk/plugins/avi
   A /trunk/plugins/avi/.cvsignore
   A /trunk/plugins/avi/Makefile
   A /trunk/plugins/ffmpeg
   A /trunk/plugins/ffmpeg/.cvsignore
   A /trunk/plugins/ffmpeg/Makefile

  * ./plugins/avi, ./plugins/ffmpeg: created empty directories for fenrir's
    upcoming work.

------------------------------------------------------------------------
r1704 | ipkiss | 2002-04-24 01:37:48 +0200 (Wed, 24 Apr 2002) | 3 lines
Changed paths:
   M /trunk/plugins/win32/preferences.cpp


 * plugins/win32/preferences.cpp: fixed a compilation bug

------------------------------------------------------------------------
r1705 | fenrir | 2002-04-24 01:44:36 +0200 (Wed, 24 Apr 2002) | 4 lines
Changed paths:
   M /trunk/include/input_ext-dec.h
   M /trunk/plugins/ac3_adec/ac3_adec.c
   M /trunk/plugins/ac3_adec/ac3_decoder.c
   M /trunk/plugins/ac3_adec/ac3_decoder.h
   M /trunk/plugins/ac3_adec/ac3_imdct.c
   M /trunk/plugins/ac3_adec/ac3_internal.h
   M /trunk/plugins/avi/Makefile
   A /trunk/plugins/avi/avi.c
   A /trunk/plugins/avi/avi.h
   A /trunk/plugins/avi/fourcc.h
   A /trunk/plugins/avi/libLE.c
   A /trunk/plugins/avi/libioRIFF.c
   M /trunk/plugins/ffmpeg/Makefile
   A /trunk/plugins/ffmpeg/ffmpeg.c
   A /trunk/plugins/ffmpeg/ffmpeg.h
   M /trunk/plugins/mad/mad_adec.c
   M /trunk/plugins/mpeg_adec/mpeg_adec.c
   M /trunk/src/input/input_programs.c

* ./plugins/ac3_adec/* use _M to avoid conflict with libavcodec.a
* ./plugins/avi a light  avi demux
* ./plugins/ffmpeg a video decoder for divx v3 and opendivx

------------------------------------------------------------------------
r1706 | sam | 2002-04-24 02:36:24 +0200 (Wed, 24 Apr 2002) | 5 lines
Changed paths:
   M /trunk/INSTALL.win32
   M /trunk/Makefile.opts.in
   M /trunk/include/audio_output.h
   M /trunk/include/common.h
   M /trunk/include/configuration.h
   M /trunk/include/input_ext-dec.h
   M /trunk/include/input_ext-intf.h
   M /trunk/include/input_ext-plugins.h
   M /trunk/include/interface.h
   M /trunk/include/intf_eject.h
   M /trunk/include/intf_msg.h
   M /trunk/include/intf_playlist.h
   M /trunk/include/iso_lang.h
   M /trunk/include/main.h
   M /trunk/include/modules.h
   M /trunk/include/modules_inner.h
   M /trunk/include/mtime.h
   M /trunk/include/netutils.h
   M /trunk/include/os_specific.h
   M /trunk/include/video_output.h
   M /trunk/include/videolan/vlc.h
   M /trunk/plugins/win32/Makefile
   M /trunk/src/input/input_ext-plugins.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/main.c

  * ./src/interface/main.c: we no longer segfault if argc == 0.
  * ALL: renamed PLUGINS to __PLUGINS__ to avoid conflicts with libraries
    defining it. Grmbl.
  * ./src/input/input_ext-plugins.c: cosmetic change.

------------------------------------------------------------------------
r1707 | jlj | 2002-04-25 00:56:43 +0200 (Thu, 25 Apr 2002) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

  * Fixed MacOS X module linking problem.

------------------------------------------------------------------------
r1708 | gbazin | 2002-04-25 01:08:08 +0200 (Thu, 25 Apr 2002) | 6 lines
Changed paths:
   M /trunk/src/misc/configuration.c



* on Win32 the config file is now stored under the "Application Data" folder
  belonging to the user. (this works if at least IE4 is installed, otherwise
  the old method is used to get the config directory)

------------------------------------------------------------------------
r1709 | gbazin | 2002-04-25 01:49:32 +0200 (Thu, 25 Apr 2002) | 5 lines
Changed paths:
   M /trunk/plugins/directx/vout_events.c



* fixed typo. You have to double click on the video window to switch to
  fullscreen.

------------------------------------------------------------------------
r1710 | jobi | 2002-04-25 04:10:33 +0200 (Thu, 25 Apr 2002) | 4 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/Makefile
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/common.h
   M /trunk/include/input_ext-intf.h
   M /trunk/include/input_ext-plugins.h
   M /trunk/plugins/mpeg_system/Makefile
   M /trunk/plugins/mpeg_system/mpeg_ts.c
   M /trunk/src/input/mpeg_system.c
   M /trunk/src/misc/modules_plugin.h

* Moved Program Specific Information decoder to the ts demux module
* Added a mpeg_ts_dvbpsi module tha uses libdvbpsi to decode PSIs. It is
  used by default if the lib is found. It shares much code with mpeg_ts

------------------------------------------------------------------------
r1711 | fenrir | 2002-04-25 05:01:03 +0200 (Thu, 25 Apr 2002) | 4 lines
Changed paths:
   M /trunk/plugins/avi/avi.c
   M /trunk/plugins/ffmpeg/ffmpeg.c

    * plugins/ffmpeg/ffmpeg.c : with empty frame(data_packet) it won't segfault
    * plugins/avi/avi.c : use KeyFrame to seek, so video will not be bad as
        before

------------------------------------------------------------------------
r1712 | fenrir | 2002-04-25 13:41:38 +0200 (Thu, 25 Apr 2002) | 2 lines
Changed paths:
   M /trunk/plugins/avi/avi.c

    * plugins/avi/avi.c: will not segfault when no audio is found/supported.

------------------------------------------------------------------------
r1713 | sam | 2002-04-25 23:35:31 +0200 (Thu, 25 Apr 2002) | 3 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

  * ./configure.in: dropped usage of $withval and $enableval in favor of the
    safer variants $with_foo and $enable_foo.

------------------------------------------------------------------------
r1714 | sam | 2002-04-25 23:52:42 +0200 (Thu, 25 Apr 2002) | 12 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/Makefile.opts.in
   M /trunk/extras/Win32_msvc/vlc.dsp
   M /trunk/include/common.h
   D /trunk/include/debug.h
   M /trunk/include/input_ext-plugins.h
   M /trunk/include/os_specific.h
   M /trunk/include/video.h
   M /trunk/include/video_output.h
   M /trunk/include/videolan/vlc.h
   M /trunk/plugins/a52/a52.c
   M /trunk/plugins/ac3_adec/ac3_adec.c
   M /trunk/plugins/avi/avi.c
   M /trunk/plugins/avi/avi.h
   D /trunk/plugins/avi/fourcc.h
   M /trunk/plugins/dummy/vout_dummy.c
   M /trunk/plugins/dvd/dvd_access.c
   M /trunk/plugins/dvd/dvd_demux.c
   M /trunk/plugins/dvd/dvd_es.c
   M /trunk/plugins/dvd/dvd_seek.c
   M /trunk/plugins/dvd/dvd_summary.c
   M /trunk/plugins/dvdread/input_dvdread.c
   M /trunk/plugins/macosx/vout_macosx.c
   M /trunk/plugins/mad/mad_adec.c
   M /trunk/plugins/mad/mad_libmad.c
   M /trunk/plugins/mpeg_vdec/vpar_pool.c
   M /trunk/plugins/satellite/input_satellite.c
   M /trunk/plugins/vcd/input_vcd.c
   M /trunk/src/input/input_programs.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/modules_plugin.h
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_pictures.c
   M /trunk/src/video_output/vout_subpictures.c

  * ./src/misc/modules_plugin.h: exported input_ClockManageRef for fenrir.
  * ./include/video.h: moved vout_CopyPicture out of the way, an inline
    function did not make sense here.
  * ./include/video.h: moved vout_ChromaCmp out of the way.
  * ./plugins/avi/fourcc.h, ./include/video.h: merged these two files into
    video.h.
  * ./include/os_specific.h: this file is now always included.
  * ./include/debug.h: removed this file which was almost useless, and moved
    ASSERT to common.h.
  * ./include/common.h: fixed vlc_memalign and changed its prototype to
    follow posix_memalign's.

------------------------------------------------------------------------
r1715 | massiot | 2002-04-26 01:07:23 +0200 (Fri, 26 Apr 2002) | 6 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/plugins/macosx/aout_macosx.c
   M /trunk/plugins/macosx/macosx.h
   M /trunk/plugins/macosx/vout_macosx.c
   M /trunk/plugins/macosx/vout_qdview.c

* MacOS X port :
- New creator ID : VLC#
- Borders in fullscreen mode are now black and the movie is centered
  (jlj P0\/\/3r)
- A/V sync should be much more precise

------------------------------------------------------------------------
r1716 | jlj | 2002-04-26 01:52:03 +0200 (Fri, 26 Apr 2002) | 2 lines
Changed paths:
   M /trunk/plugins/macosx/vout_macosx.c

  * Cleaned up QTScaleMatrix().

------------------------------------------------------------------------
r1717 | jlj | 2002-04-26 02:20:00 +0200 (Fri, 26 Apr 2002) | 2 lines
Changed paths:
   M /trunk/src/misc/darwin_specific.c

  * ./src/misc/darwin_specific.c: added system_Configure().

------------------------------------------------------------------------
r1718 | fenrir | 2002-04-26 03:45:36 +0200 (Fri, 26 Apr 2002) | 2 lines
Changed paths:
   M /trunk/src/input/input_programs.c

    * src/input/input_programs.c : an video divx ES will no longer be considered as an audio ES ( thanks sam ).

------------------------------------------------------------------------
r1719 | sam | 2002-04-26 07:43:37 +0200 (Fri, 26 Apr 2002) | 2 lines
Changed paths:
   M /trunk/src/misc/beos_specific.cpp

  * ./src/misc/beos_specific.c: added system_Configure(). Sorry O:-)

------------------------------------------------------------------------
r1720 | fenrir | 2002-04-26 16:29:26 +0200 (Fri, 26 Apr 2002) | 3 lines
Changed paths:
   M /trunk/plugins/avi/avi.c


    * plugins/avi/avi.c : now it can play broken file with seek enable but it's very slow (will be fixed soon ).

------------------------------------------------------------------------
r1721 | jlj | 2002-04-26 19:07:14 +0200 (Fri, 26 Apr 2002) | 2 lines
Changed paths:
   M /trunk/include/common.h

  * ./include/common.h: Fixed vlc_memalign.

------------------------------------------------------------------------
r1722 | jlj | 2002-04-26 20:12:28 +0200 (Fri, 26 Apr 2002) | 2 lines
Changed paths:
   M /trunk/include/common.h

  * Fixed my fix for the fix for vlc_memalign. Sorry O:-)

------------------------------------------------------------------------
r1723 | jobi | 2002-04-26 22:18:26 +0200 (Fri, 26 Apr 2002) | 2 lines
Changed paths:
   M /trunk/plugins/mpeg_system/mpeg_ts.c

    * plugins/mpeg_system/mpeg_ts.c : fixed --program option

------------------------------------------------------------------------
r1724 | gbazin | 2002-04-26 22:49:26 +0200 (Fri, 26 Apr 2002) | 4 lines
Changed paths:
   M /trunk/INSTALL.win32



* updated win32 compilation instructions.

------------------------------------------------------------------------
r1725 | jobi | 2002-04-27 01:32:23 +0200 (Sat, 27 Apr 2002) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/vcd/cdrom_tools.c

*    plugins/vcd/cdrom_tools : FreeBSD 4.5 port of the vcd input.

------------------------------------------------------------------------
r1726 | massiot | 2002-04-27 01:52:04 +0200 (Sat, 27 Apr 2002) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

Fixed a typo in libdvbpsi handling.

------------------------------------------------------------------------
r1727 | jobi | 2002-04-27 04:20:32 +0200 (Sat, 27 Apr 2002) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/defs.h.in
   M /trunk/plugins/vcd/cdrom_tools.c

    * ALL : better FreeBSD detection for VCD input

------------------------------------------------------------------------
r1728 | fenrir | 2002-04-27 18:13:23 +0200 (Sat, 27 Apr 2002) | 2 lines
Changed paths:
   M /trunk/plugins/avi/avi.c
   M /trunk/plugins/ffmpeg/ffmpeg.c

    * plugins/avi/avi.c : seek is faster

------------------------------------------------------------------------
r1729 | gbazin | 2002-04-28 00:11:22 +0200 (Sun, 28 Apr 2002) | 7 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/common.h
   M /trunk/include/main.h
   M /trunk/include/os_specific.h
   M /trunk/include/threads.h
   A /trunk/include/threads_funcs.h
   M /trunk/include/videolan/vlc.h
   M /trunk/src/interface/main.c
   M /trunk/src/misc/modules_plugin.h
   M /trunk/src/misc/win32_specific.c



* moved the function definitions from threads.h into threads_funcs.h. This
   allows us to move p_main_sys into p_main (p_main->p_sys).
* fixed the --with-gtk-config-path and --with-sdl-config-path options in
   configure.in

------------------------------------------------------------------------
r1730 | fenrir | 2002-04-28 00:54:00 +0200 (Sun, 28 Apr 2002) | 3 lines
Changed paths:
   M /trunk/plugins/avi/avi.c

    * plugins/avi/avi.c : with some broken avi file, will not freeze, and
try to detect end of file.

------------------------------------------------------------------------
r1731 | sam | 2002-04-28 03:26:15 +0200 (Sun, 28 Apr 2002) | 2 lines
Changed paths:
   M /trunk/include/videolan/vlc.h

  * Removed the main() declaration because SDL defines it as a macro.

------------------------------------------------------------------------
r1732 | sam | 2002-04-28 04:27:39 +0200 (Sun, 28 Apr 2002) | 2 lines
Changed paths:
   M /trunk/include/os_specific.h

  * ./include/os_specific.h: fixed a C++ compilation issue.

------------------------------------------------------------------------
r1733 | sam | 2002-04-28 04:46:31 +0200 (Sun, 28 Apr 2002) | 2 lines
Changed paths:
   M /trunk/include/os_specific.h

  * ./include/os_specific.h: fixed my fix. sorry for the trouble.

------------------------------------------------------------------------
r1734 | sam | 2002-04-28 11:05:37 +0200 (Sun, 28 Apr 2002) | 2 lines
Changed paths:
   M /trunk/include/os_specific.h

  * ./include/os_specific.h: got it wrong once again... alcohol is bad, kids.

------------------------------------------------------------------------
r1735 | sam | 2002-04-28 13:56:13 +0200 (Sun, 28 Apr 2002) | 4 lines
Changed paths:
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/xcommon.c

  * ./plugins/sdl/vout_sdl.c, ./plugins/x11/xcommon.c: when in fullscreen
    mode, the Esc key does not quit immediately, but first escapes from
    fullscreen mode. User-requested feature.

------------------------------------------------------------------------
r1736 | sam | 2002-04-28 19:52:37 +0200 (Sun, 28 Apr 2002) | 3 lines
Changed paths:
   M /trunk/include/modules_inner.h

  * ./include/modules_inner.h: the module name is now a default shortcut, for
    it, no need to manually add it.

------------------------------------------------------------------------
r1737 | jpsaman | 2002-04-28 21:09:50 +0200 (Sun, 28 Apr 2002) | 2 lines
Changed paths:
   M /trunk/ipkg/control

Added more information in ipkg control file.

------------------------------------------------------------------------
r1738 | ipkiss | 2002-04-29 21:38:44 +0200 (Mon, 29 Apr 2002) | 3 lines
Changed paths:
   M /trunk/plugins/win32/Makefile


Compilation fix.

------------------------------------------------------------------------
r1739 | gbazin | 2002-04-29 23:22:35 +0200 (Mon, 29 Apr 2002) | 7 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/src/video_output/vout_pictures.c



* Restored vout_CopyPicture(). It is needed by the directx plugin damnit ;-)
* Restored AOUT_BUFFER_DURATION to its old value. It should solve quite a few
    underrun problems.
* A little bit of DirectX plugin clean-up.

------------------------------------------------------------------------
r1740 | massiot | 2002-04-30 01:57:38 +0200 (Tue, 30 Apr 2002) | 2 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/threads_funcs.h

Cosmetic fixes.

------------------------------------------------------------------------
r1741 | jobi | 2002-04-30 02:38:23 +0200 (Tue, 30 Apr 2002) | 4 lines
Changed paths:
   M /trunk/plugins/satellite/input_satellite.c
   M /trunk/plugins/satellite/satellite.c

    * ALL: fixed a compilation issue in satellite input. It now uses common
           or libdvbpsi ts demux. Untested cause I can't get our Nova Card
           work again.

------------------------------------------------------------------------
r1742 | fenrir | 2002-04-30 14:35:24 +0200 (Tue, 30 Apr 2002) | 4 lines
Changed paths:
   M /trunk/plugins/avi/avi.c
   M /trunk/plugins/avi/avi.h
   M /trunk/plugins/avi/libioRIFF.c

    * plugins/avi/avi.c : changed in order to read more avi file, Meuuh
you can now read your file ;) (but audio is awfull,perhaps because of mad
plugin ? ). Fix a bug for audio with some avi file.

------------------------------------------------------------------------
r1743 | gbazin | 2002-04-30 14:56:11 +0200 (Tue, 30 Apr 2002) | 7 lines
Changed paths:
   M /trunk/src/audio_output/aout_pcm.c
   M /trunk/src/misc/modules_plugin.h



* added config_Get/PutFloatVariable to p_sysmbols. Thanks to Sigmund Augdal
for pointing this bug out.
* on Win32 the aout_pcm thread is given a high priority. This helps avoiding
lots of audio underruns, especially when moving around the video window.

------------------------------------------------------------------------
r1744 | fenrir | 2002-04-30 18:42:14 +0200 (Tue, 30 Apr 2002) | 2 lines
Changed paths:
   M /trunk/plugins/avi/avi.c

    * plugins/avi/avi.c : corrected a bug with broken avi file.

------------------------------------------------------------------------
r1745 | sam | 2002-04-30 22:19:31 +0200 (Tue, 30 Apr 2002) | 5 lines
Changed paths:
   M /trunk/plugins/chroma/i420_yuy2.h

  * ./plugins/chroma/i420_yuy2.h: workaround for yet another annoying gcc
    behaviour with inline assembly (seems to be BeOS-specific). If anyone has
    a better idea than the huge "memory" constraint, please have a look at
    the MMX_CALL() macro!

------------------------------------------------------------------------
r1746 | sam | 2002-04-30 22:21:25 +0200 (Tue, 30 Apr 2002) | 2 lines
Changed paths:
   M /trunk/plugins/chroma/i420_yuy2.h

  * Humpfff. A typo in my previous commit.

------------------------------------------------------------------------
r1747 | sam | 2002-05-01 21:05:48 +0200 (Wed, 01 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/kde/Makefile
   A /trunk/plugins/kde/QConfigItem.cpp
   A /trunk/plugins/kde/QConfigItem.h
   M /trunk/plugins/kde/kde_interface.cpp
   M /trunk/plugins/kde/kde_interface.h
   A /trunk/plugins/kde/kde_pluginsbox.cpp
   A /trunk/plugins/kde/kde_pluginsbox.h
   A /trunk/plugins/kde/kde_preferences.cpp
   A /trunk/plugins/kde/kde_preferences.h

  * ./plugins/kde/*: configuration dialog for the KDE interface, courtesy
    of Sigmund Augdal <sigmunau@stud.ntnu.no>.

------------------------------------------------------------------------
r1748 | sam | 2002-05-01 21:18:09 +0200 (Wed, 01 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/spudec/spu_decoder.c

  * ./plugins/spudec/spu_decoder.c: FOURCC_YUY2 subtitles support (for NVidia
    overlay) courtesy of Rudolf Cornelissen <rag.cornelissen@inter.nl.net>.

------------------------------------------------------------------------
r1749 | gbazin | 2002-05-01 21:59:42 +0200 (Wed, 01 May 2002) | 4 lines
Changed paths:
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/a52/a52.c



* added a --with-a52-tree option to the configure script.

------------------------------------------------------------------------
r1750 | gbazin | 2002-05-01 23:31:53 +0200 (Wed, 01 May 2002) | 6 lines
Changed paths:
   M /trunk/plugins/text/logger.c
   M /trunk/src/misc/configuration.c



* The configuration file and the log file are opened in text mode. This mode
should only have a meaning on Win32 and isn't supposed to break any other
platform. If does give you any trouble then shout.

------------------------------------------------------------------------
r1751 | massiot | 2002-05-02 00:32:27 +0200 (Thu, 02 May 2002) | 3 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/macosx/aout_macosx.c

* Misc sound fixes [Mac OS X port]
* Fixed VCD double detection

------------------------------------------------------------------------
r1752 | fenrir | 2002-05-02 12:54:34 +0200 (Thu, 02 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/avi/avi.c
   M /trunk/plugins/avi/avi.h
   M /trunk/plugins/avi/libioRIFF.c

    * plugins/avi/avi.c : you can now use slow and fast reading.
                          After seeking, audio and video synchro is better.

------------------------------------------------------------------------
r1753 | sam | 2002-05-03 00:37:41 +0200 (Fri, 03 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/qnx/vout_qnx.c

  * ./plugins/qnx/vout_qnx.c: port of the QNX vout plugin to the vout4 API,
    courtesy of Pascal Levesque <Pascal.Levesque@mindready.com>.

------------------------------------------------------------------------
r1754 | massiot | 2002-05-03 01:02:43 +0200 (Fri, 03 May 2002) | 2 lines
Changed paths:
   M /trunk/AUTHORS

Added quite a few missing names.

------------------------------------------------------------------------
r1755 | massiot | 2002-05-03 01:06:27 +0200 (Fri, 03 May 2002) | 3 lines
Changed paths:
   M /trunk/FAQ

Small FAQ update. Please note that everyone can update this FAQ if they
want, it is not my property :-).

------------------------------------------------------------------------
r1756 | lool | 2002-05-03 19:37:09 +0200 (Fri, 03 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/gtk/gnome.c

  * ./plugins/gtk/gnome.c: new option lets you hide the text of the
    GNOME interface toolbar

------------------------------------------------------------------------
r1757 | sam | 2002-05-03 20:40:21 +0200 (Fri, 03 May 2002) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/defs.h.in

  * ./configure.in: we check support for variadic macros (screw Borland!).

------------------------------------------------------------------------
r1758 | sam | 2002-05-03 22:49:30 +0200 (Fri, 03 May 2002) | 9 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/configuration.h
   M /trunk/include/modules_inner.h
   M /trunk/src/misc/configuration.c
   M /trunk/src/misc/modules_plugin.h

  * ./include/modules_inner.h, ./src/misc/configuration.c: support for config
    options callbacks.

    They don't take any argument for the moment, but this will change when
    I'm finished with my other vlc changes. There is a little problem: the
    Gtk+ interface keeps calling Put***Variable each time we click on "Apply"
    or "Save". I think it should only call it once. Is there a way to fix
    this? Gildas? lool? :-)

------------------------------------------------------------------------
r1759 | jpsaman | 2002-05-04 00:30:33 +0200 (Sat, 04 May 2002) | 4 lines
Changed paths:
   M /trunk/plugins/mad/mad_adec.c
   M /trunk/plugins/mad/mad_adec.h
   M /trunk/plugins/mad/mad_libmad.c

Aout fifo adapts it size according to the length of the first frame.
The change is needed for MPEG1/2 layer III, because the size of output pcm from mad_decoder is different.
Sadly, the buffer underruns are back ;-(.

------------------------------------------------------------------------
r1760 | lool | 2002-05-04 04:05:03 +0200 (Sat, 04 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/gtk/gnome.c
   M /trunk/plugins/gtk/gtk.c
   M /trunk/plugins/gtk/gtk_display.c
   M /trunk/plugins/gtk/gtk_display.h

  * ./plugins/gtk/gnome.c, ./plugins/gtk/gtk.c, ./plugins/gtk/gtk_display.*:
    callbacks for the hide tooltips and toolbar text options

------------------------------------------------------------------------
r1761 | lool | 2002-05-04 05:32:28 +0200 (Sat, 04 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/gtk/gnome.glade
   M /trunk/plugins/gtk/gnome_interface.c
   M /trunk/plugins/gtk/gtk.glade
   M /trunk/plugins/gtk/gtk_interface.c

  * ./plugins/gtk/*.glade, ./plugins/gtk/*_interface.*: fix for interface
    autoshrink when toolbar text isn't displayed

------------------------------------------------------------------------
r1762 | lool | 2002-05-04 05:36:19 +0200 (Sat, 04 May 2002) | 4 lines
Changed paths:
   M /trunk/BUGS

  * ./BUGS :
    - no text in the status bar with gtk intf
    - no window title in gtk intf on some machines, correct title on another

------------------------------------------------------------------------
r1763 | massiot | 2002-05-04 15:48:31 +0200 (Sat, 04 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/macosx/aout_macosx.c

More stable audio output [Mac OS X port] with more output buffering.

------------------------------------------------------------------------
r1764 | sam | 2002-05-04 17:49:56 +0200 (Sat, 04 May 2002) | 3 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/network/ipv4.c

  * ./plugins/network/ipv4.c: fixed ipv4.so compilation under QNX.
  * ./configure.in: deactivated ipv6.so under QNX for now.

------------------------------------------------------------------------
r1765 | gbazin | 2002-05-04 18:17:08 +0200 (Sat, 04 May 2002) | 6 lines
Changed paths:
   M /trunk/plugins/gtk/gtk_preferences.c



* The Apply button in the preferences menu is grayed out unless there's a
  change to apply.
* GtkConfigApply() now clears the list of config changes before returning.

------------------------------------------------------------------------
r1766 | fenrir | 2002-05-04 18:51:05 +0200 (Sat, 04 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/avi/avi.c
   M /trunk/plugins/avi/libioRIFF.c

*** empty log message ***

------------------------------------------------------------------------
r1767 | gbazin | 2002-05-05 10:25:15 +0200 (Sun, 05 May 2002) | 6 lines
Changed paths:
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/video_output/video_output.c



* fixed the resizing and scaling of the X11 video output.
* clicking on the video doesn't pause it anymore (use spacebar for this), but
  double-clicking will now switch between fullscreen and window mode.

------------------------------------------------------------------------
r1768 | fenrir | 2002-05-05 19:20:49 +0200 (Sun, 05 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/avi/avi.c
   M /trunk/plugins/avi/libioRIFF.c
   M /trunk/plugins/ffmpeg/ffmpeg.c

    * plugins/avi/avi.c try to not freeze when reach end file

------------------------------------------------------------------------
r1769 | gbazin | 2002-05-06 23:05:26 +0200 (Mon, 06 May 2002) | 11 lines
Changed paths:
   M /trunk/plugins/mga/xmga.c
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/video_output/video_output.c



* video plugins that don't handle rescaling themselves have to let the
  video_output thread know about resizing events (with VOUT_SIZE_CHANGE event).
  (this part needs some clean-up but it is basically working for the X11 and
   SDL plugins).

* fixed fullscreen for the SDL plugin.

* xmga and sdl now switch to fullscreen on double-click.

------------------------------------------------------------------------
r1770 | fenrir | 2002-05-07 00:02:32 +0200 (Tue, 07 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/avi/avi.c
   M /trunk/plugins/ffmpeg/ffmpeg.c

    *ALL : ameliorations ( i hope ;)

------------------------------------------------------------------------
r1771 | jpsaman | 2002-05-07 00:09:58 +0200 (Tue, 07 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/mad/mad_adec.c
   M /trunk/plugins/mad/mad_adec.h
   M /trunk/plugins/mad/mad_libmad.c

Added mad plugin downscale config option for selecting downscaling routine. Choices are: fast, mpg321. Default the fast version is used. The downscale option mpg321 uses an algorithm that adapts to dither errors. This routine is borrowed from MPG321 code.
Mono audio streams get now duplicated on the right channel instead of silencing the right channel (untested).

------------------------------------------------------------------------
r1772 | massiot | 2002-05-07 00:59:46 +0200 (Tue, 07 May 2002) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/include/config.h
   M /trunk/plugins/macosx/intf_controller.c
   M /trunk/plugins/macosx/intf_controller.h
   M /trunk/plugins/macosx/intf_macosx.c
   M /trunk/plugins/macosx/intf_open.h
   M /trunk/plugins/macosx/intf_vlc_wrapper.c
   M /trunk/plugins/macosx/intf_vlc_wrapper.h
   M /trunk/plugins/macosx/macosx.h
   M /trunk/src/interface/intf_eject.c

Improvements of the OS X GUI.

------------------------------------------------------------------------
r1773 | jlj | 2002-05-07 01:18:26 +0200 (Tue, 07 May 2002) | 2 lines
Changed paths:
   M /trunk/src/interface/intf_eject.c

  * ./src/interface/intf_eject.c: s/Johanson/Johansen :-)

------------------------------------------------------------------------
r1774 | fenrir | 2002-05-07 15:53:55 +0200 (Tue, 07 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/avi/avi.c

    * plugins/avi/avi.c : can now use --novideo

------------------------------------------------------------------------
r1775 | fenrir | 2002-05-07 15:55:36 +0200 (Tue, 07 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/ffmpeg/ffmpeg.c

    * corrected some bad lock/unlock

------------------------------------------------------------------------
r1776 | massiot | 2002-05-07 22:17:07 +0200 (Tue, 07 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/macosx/intf_vlc_wrapper.c
   M /trunk/plugins/macosx/vout_qdview.c
   M /trunk/plugins/macosx/vout_vlc_wrapper.c
   M /trunk/plugins/macosx/vout_vlc_wrapper.h

Fixed Mac OS X VOUT_SIZE_CHANGE signal.

------------------------------------------------------------------------
r1777 | jobi | 2002-05-09 16:52:49 +0200 (Thu, 09 May 2002) | 2 lines
Changed paths:
   M /trunk/doc/vlc-howto.sgml

    * doc/vlc-howto.sgml : URL fix for libdvdcss

------------------------------------------------------------------------
r1778 | jlj | 2002-05-09 18:15:15 +0200 (Thu, 09 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/macosx/intf_vlc_wrapper.c

  * ./plugins/macosx/intf_vlc_wrapper.c: menu code fixes.

------------------------------------------------------------------------
r1779 | sam | 2002-05-09 23:24:22 +0200 (Thu, 09 May 2002) | 4 lines
Changed paths:
   M /trunk/src/interface/main.c

  * ./src/interface/main.c: if Ctrl-C doesn't kill vlc cleanly for any
    reason, user just needs to hit Ctrl-C again 1 second later and we'll
    exit disgustingly instead of freezing.

------------------------------------------------------------------------
r1780 | fenrir | 2002-05-10 04:04:17 +0200 (Fri, 10 May 2002) | 4 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/common.h
   M /trunk/include/input_ext-plugins.h
   M /trunk/plugins/avi/avi.c
   M /trunk/plugins/ffmpeg/ffmpeg.c
   M /trunk/plugins/mad/mad_libmad.c
   M /trunk/plugins/mpeg_system/Makefile
   A /trunk/plugins/mpeg_system/mpeg_audio.c
   M /trunk/src/misc/modules_plugin.h

    * include/common.h and input_ext-plugins.h, src/misc/modules_plugin.h : export input_ClockGetTS for plugins.
    * plugins/mpeg_system/mpeg_audio.c : a demux for mpeg audio stream (file, web radio ...)
    * Makefile configure.in : to compile it

------------------------------------------------------------------------
r1781 | fenrir | 2002-05-10 06:06:10 +0200 (Fri, 10 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/avi/avi.c
   M /trunk/plugins/avi/avi.h

    * All: use input_ClockManageRef to do synchro.

------------------------------------------------------------------------
r1782 | massiot | 2002-05-12 03:39:36 +0200 (Sun, 12 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/gtk/gtk_menu.c
   M /trunk/plugins/macosx/intf_macosx.c
   M /trunk/plugins/macosx/intf_vlc_wrapper.c
   M /trunk/plugins/macosx/intf_vlc_wrapper.h
   M /trunk/plugins/macosx/macosx.h
   M /trunk/src/input/input_dec.c

* Mac OS X port : menus for Program/Title/Chapter/Languages.

------------------------------------------------------------------------
r1783 | fenrir | 2002-05-12 08:51:08 +0200 (Sun, 12 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/ffmpeg/ffmpeg.c
   M /trunk/plugins/ffmpeg/ffmpeg.h

    * All: simplifications.

------------------------------------------------------------------------
r1784 | massiot | 2002-05-12 22:56:34 +0200 (Sun, 12 May 2002) | 6 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/Makefile.dep
   M /trunk/Makefile.modules
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/info.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/plugins/macosx/Makefile
   D /trunk/plugins/macosx/aout_macosx.c
   A /trunk/plugins/macosx/aout_macosx.m
   D /trunk/plugins/macosx/intf_controller.c
   A /trunk/plugins/macosx/intf_controller.m
   D /trunk/plugins/macosx/intf_macosx.c
   A /trunk/plugins/macosx/intf_macosx.m
   D /trunk/plugins/macosx/intf_open.c
   A /trunk/plugins/macosx/intf_open.m
   D /trunk/plugins/macosx/intf_vlc_wrapper.c
   A /trunk/plugins/macosx/intf_vlc_wrapper.m
   D /trunk/plugins/macosx/macosx.c
   A /trunk/plugins/macosx/macosx.m
   D /trunk/plugins/macosx/vout_macosx.c
   A /trunk/plugins/macosx/vout_macosx.m
   D /trunk/plugins/macosx/vout_qdview.c
   A /trunk/plugins/macosx/vout_qdview.m
   D /trunk/plugins/macosx/vout_vlc_wrapper.c
   M /trunk/plugins/macosx/vout_vlc_wrapper.h
   A /trunk/plugins/macosx/vout_vlc_wrapper.m
   D /trunk/plugins/macosx/vout_window.c
   A /trunk/plugins/macosx/vout_window.m
   M /trunk/plugins/spudec/spu_decoder.c

* Fixed menus [Mac OS X port]
* Objective-C files are now .m
* Fixed a major bug in the spu decoder
* Disabled auto-hiding of mouse cursor since it doesn't work when browsing
  menus ; instead, click in the video window

------------------------------------------------------------------------
r1785 | fenrir | 2002-05-13 18:28:44 +0200 (Mon, 13 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/mpeg_system/mpeg_audio.c

    * mpeg_audio.c : don't use any more U32_AT. Thanks Meuuh.

------------------------------------------------------------------------
r1786 | sam | 2002-05-13 19:57:46 +0200 (Mon, 13 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/text/ncurses.c

  * ./plugins/text/ncurses.c: ncurses interface improvements by Thomas Graf.

------------------------------------------------------------------------
r1787 | sam | 2002-05-13 19:58:08 +0200 (Mon, 13 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/x11/xcommon.c
   M /trunk/plugins/x11/xvideo.c

  * ./plugins/x11/xcommon.c, ./plugins/x11/xvideo.c: --xvideo-chroma flag to
    force the XVimage format used.

------------------------------------------------------------------------
r1788 | sam | 2002-05-13 21:30:40 +0200 (Mon, 13 May 2002) | 3 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/filter/Makefile
   A /trunk/plugins/filter/clone.c

  * ./plugins/filter/clone.c: New filter, `--filter clone', duplicates
    display. To duplicate 12 times, use `--filter clone:12'.

------------------------------------------------------------------------
r1789 | fenrir | 2002-05-13 23:55:30 +0200 (Mon, 13 May 2002) | 5 lines
Changed paths:
   M /trunk/include/input_ext-dec.h
   M /trunk/include/video.h
   M /trunk/plugins/avi/avi.c
   M /trunk/plugins/avi/avi.h
   M /trunk/plugins/ffmpeg/ffmpeg.c
   M /trunk/plugins/mpeg_system/mpeg_audio.c
   M /trunk/src/input/input_programs.c

    * include/video.h : added new fourcc code for avi
    * ALL : version from ffmpeg cvs can now decode msmpeg4 v1 v2 ,
        so i have added support for this. But you can always use old ffmpeg
        library  without any problem ( i hope ;)

------------------------------------------------------------------------
r1790 | fenrir | 2002-05-14 01:12:10 +0200 (Tue, 14 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/mpeg_system/mpeg_audio.c

    * plugins/mpeg_system/mpeg_audio.c : you should again be able to
play PS stream (I hope it will be enougth). Sorry .

------------------------------------------------------------------------
r1791 | massiot | 2002-05-14 01:15:43 +0200 (Tue, 14 May 2002) | 3 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/vlc.icns
   M /trunk/plugins/mpeg_vdec/video_decoder.c

* New OS X icon, courtesy of Joeri van Dooren <joeri@van.dooren.be> ;
* Mac OS X fix.

------------------------------------------------------------------------
r1792 | jobi | 2002-05-14 03:14:39 +0200 (Tue, 14 May 2002) | 4 lines
Changed paths:
   M /trunk/doc/vlc-howto.sgml
   M /trunk/plugins/satellite/input_satellite.c
   M /trunk/plugins/satellite/satellite.c

    * doc/vlc-howto.sgml: Spelling mistakes, small updates, harmonization
                          with other documentations (thank you Alexis)
    * plugins/satellite/*: some fixes in options parsing (thank you Sam)

------------------------------------------------------------------------
r1793 | fenrir | 2002-05-14 16:10:17 +0200 (Tue, 14 May 2002) | 5 lines
Changed paths:
   M /trunk/plugins/mpeg_system/mpeg_audio.c

    * plugins/mpeg_system/mpeg_audio.c : to avoid problem with PS, test
only the first 4 bytes for mpeg header so some broken files, and all
web radio will not work. You can change this by changing value
of MPEGAUDIO_MAXTESTPOS.

------------------------------------------------------------------------
r1794 | fenrir | 2002-05-14 16:13:00 +0200 (Tue, 14 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/mpeg_system/mpeg_audio.c

    Sorry, fix a mistake.

------------------------------------------------------------------------
r1795 | jobi | 2002-05-14 18:45:33 +0200 (Tue, 14 May 2002) | 3 lines
Changed paths:
   M /trunk/src/input/mpeg_system.c

    * src/input/mpeg_system.c: fixed an old old bug in TS demux, thank you
                               Meuuh.

------------------------------------------------------------------------
r1796 | sam | 2002-05-14 19:31:40 +0200 (Tue, 14 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/sdl/vout_sdl.c

  * ./plugins/sdl/vout_sdl.c: fixed an aspect ratio issue (thanks Meuuh).

------------------------------------------------------------------------
r1797 | sam | 2002-05-14 20:11:15 +0200 (Tue, 14 May 2002) | 3 lines
Changed paths:
   M /trunk/include/mmx.h
   M /trunk/plugins/imdct/ac3_imdct_3dn.c
   M /trunk/plugins/imdct/ac3_imdct_sse.c
   M /trunk/plugins/imdct/ac3_srfft_sse.c

 * ./include/mmx.h, ./plugins/imdct/*: gcc-3.1 compilation fixes courtesy
   of Yves Duret and other Mandrakesoft guys I don't know.

------------------------------------------------------------------------
r1798 | bozo | 2002-05-14 21:33:54 +0200 (Tue, 14 May 2002) | 5 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/iso_lang.h
   M /trunk/plugins/dvd/dvd_es.c
   M /trunk/plugins/dvd/dvd_summary.c
   M /trunk/plugins/dvdread/input_dvdread.c
   M /trunk/plugins/mpeg_system/mpeg_ts.c
   A /trunk/src/misc/iso-639.def
   M /trunk/src/misc/iso_lang.c
   M /trunk/src/misc/modules_plugin.h

  * src/misc/iso-639.def, include/iso_lang.h, src/misc/iso_lang.c: iso-839-[12] tools.
  * include/common.h, src/misc/modules_plugin.h: export the 3 new functions.
  * plugins/dvd/dvd_es.c, plugins/dvd/dvd_summary.c, plugins/dvdread/input_dvdread.c: adapted DecodeLanguage calls to the new behaviour.
  * plugins/mpeg_system/mpeg_ts.c: ISO-639-2 descriptors handling.

------------------------------------------------------------------------
r1799 | sam | 2002-05-14 21:47:25 +0200 (Tue, 14 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/satellite/satellite.c
   M /trunk/src/misc/modules.c

  * ./src/misc/modules.c: if a module has a zero-scored capability, we don't
    try to use it, unless it was explicitely requested (--vout for example).

------------------------------------------------------------------------
r1800 | massiot | 2002-05-14 22:13:04 +0200 (Tue, 14 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/macosx/intf_vlc_wrapper.m

Do not eject when we're reading from the disc...

------------------------------------------------------------------------
r1801 | massiot | 2002-05-14 22:27:25 +0200 (Tue, 14 May 2002) | 2 lines
Changed paths:
   M /trunk/src/input/mpeg_system.c

It should now be possible to quit when reading a bogus file.

------------------------------------------------------------------------
r1802 | gbazin | 2002-05-14 22:39:23 +0200 (Tue, 14 May 2002) | 5 lines
Changed paths:
   M /trunk/BUGS
   M /trunk/configure
   M /trunk/configure.in



* new --with-mad-tree configure option.
* updated BUGS file.

------------------------------------------------------------------------
r1803 | jobi | 2002-05-14 22:54:52 +0200 (Tue, 14 May 2002) | 3 lines
Changed paths:
   M /trunk/src/input/mpeg_system.c

    * src/input/mpeg_system.c : We handle PCR even if they are not attached
                                to a PMT.

------------------------------------------------------------------------
r1804 | massiot | 2002-05-14 23:23:44 +0200 (Tue, 14 May 2002) | 2 lines
Changed paths:
   M /trunk/include/input_ext-plugins.h
   M /trunk/src/input/input.c
   M /trunk/src/input/input_clock.c
   M /trunk/src/input/input_dec.c

Fixed a bug (glitch/segfault) when seeking.

------------------------------------------------------------------------
r1805 | bozo | 2002-05-14 23:57:31 +0200 (Tue, 14 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/mpeg_system/mpeg_ts.c

*** empty log message ***

------------------------------------------------------------------------
r1806 | sam | 2002-05-15 02:02:27 +0200 (Wed, 15 May 2002) | 3 lines
Changed paths:
   M /trunk/include/modules.h
   M /trunk/include/modules_inner.h

  * ./include/modules_inner.h: fixed a bug in module reinitialization,
    which should fix crashes after a long pause.

------------------------------------------------------------------------
r1807 | sam | 2002-05-15 02:04:52 +0200 (Wed, 15 May 2002) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

  * ./configure.in: added libdvbpsi version check.

------------------------------------------------------------------------
r1808 | sam | 2002-05-15 02:39:46 +0200 (Wed, 15 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/satellite/input_satellite.c

  * ./plugins/satellite/input_satellite.c: fixed a compilation warning.

------------------------------------------------------------------------
r1809 | sam | 2002-05-15 02:40:26 +0200 (Wed, 15 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/spudec/spu_decoder.c

  * ./plugins/spudec/spu_decoder.c: fixed endianness issue; subtitles colors
    should be OK now.

------------------------------------------------------------------------
r1810 | sam | 2002-05-15 03:29:07 +0200 (Wed, 15 May 2002) | 3 lines
Changed paths:
   M /trunk/src/misc/configuration.c

  * ./src/misc/configuration.c: fixed an issue with long options from
    modules where option arguments and playlist entries were mixed.

------------------------------------------------------------------------
r1811 | marcari | 2002-05-15 13:06:17 +0200 (Wed, 15 May 2002) | 6 lines
Changed paths:
   M /trunk/src/misc/netutils.c

  * netutils.c: use closesocket() instead of close() at the end
  of the network_ChannelJoin() for WIN32.

  It closes the following bug : when changing channel we sometimes got
  a 'no answer from vlcs' even if the answer is sent back.

------------------------------------------------------------------------
r1812 | marcari | 2002-05-15 15:07:18 +0200 (Wed, 15 May 2002) | 10 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/input_ext-plugins.h
   M /trunk/plugins/access/http.c
   M /trunk/plugins/access/udp.c
   M /trunk/src/input/input_ext-plugins.c
   M /trunk/src/misc/modules_plugin.h

On sam's advice I added the input_FDNetworkClose() function to be called
when closing a  networking stream instead of input_FDClose().  It is due
to WIN32  because we have  to call  closesocket() instead of  close() to
close the socket. The problem was  : windows did not leave the multicast
group when closing the socket.

  * input_ext-plugins.c : where is located the function
  * *.h : function declaration
  * udp.c, http.c : these modules now call input_FDNetworkClose()

------------------------------------------------------------------------
r1813 | marcari | 2002-05-15 15:36:40 +0200 (Wed, 15 May 2002) | 2 lines
Changed paths:
   M /trunk/src/input/input_ext-plugins.c

  * removed a debug message that I forgot in my previous commit

------------------------------------------------------------------------
r1814 | ipkiss | 2002-05-15 16:43:20 +0200 (Wed, 15 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/win32/network.cpp
   M /trunk/plugins/win32/network.dfm
   M /trunk/plugins/win32/network.h


 * plugins/win32/network.*: new Network dialog box

------------------------------------------------------------------------
r1815 | asmax | 2002-05-15 17:46:34 +0200 (Wed, 15 May 2002) | 2 lines
Changed paths:
   M /trunk/src/input/input_dec.c
   M /trunk/src/input/input_programs.c

- check size to avoid realloc(0)

------------------------------------------------------------------------
r1816 | sam | 2002-05-15 21:36:04 +0200 (Wed, 15 May 2002) | 5 lines
Changed paths:
   M /trunk/plugins/ac3_adec/ac3_adec.c

  * ./plugins/ac3_adec/ac3_adec.c: probably fixed most "crash when changing
    audio track" problems by zeroing the p_ac3dec structure.
  * ./plugins/ac3_adec/ac3_adec.c: fixed a "INPUT_MAX_ALLOCATION reached"
    crash.

------------------------------------------------------------------------
r1817 | massiot | 2002-05-15 23:14:18 +0200 (Wed, 15 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/macosx/vout_qdview.m

Attempt to fix the video output with QuickTime 6.

------------------------------------------------------------------------
r1818 | jobi | 2002-05-16 00:53:10 +0200 (Thu, 16 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/mpeg_system/mpeg_ps.c
   M /trunk/plugins/vcd/input_vcd.c
   M /trunk/plugins/vcd/vcd.c

    * plugins/vcd/* : vcd access plugin now uses mpeg_ps demux instead
                     of its own one.

------------------------------------------------------------------------
r1819 | sam | 2002-05-16 01:53:45 +0200 (Thu, 16 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_summary.c

  * ./plugins/dvd/dvd_summary.c: added a sanity check.

------------------------------------------------------------------------
r1820 | tcastley | 2002-05-16 13:38:42 +0200 (Thu, 16 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/beos/InterfaceWindow.cpp
   M /trunk/plugins/beos/VideoWindow.h
   M /trunk/plugins/beos/vout_beos.cpp

Improved overlay and bitmap support, not tested on nVidia cards.
Lower CPU usage and no thread created per frame.

------------------------------------------------------------------------
r1821 | tcastley | 2002-05-16 14:47:59 +0200 (Thu, 16 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/beos/vout_beos.cpp

Fixed segfault in last checkin.

------------------------------------------------------------------------
r1822 | gbazin | 2002-05-16 15:20:22 +0200 (Thu, 16 May 2002) | 8 lines
Changed paths:
   M /trunk/src/input/input_programs.c



* src/input/input_programs.c: fixed memory corruption by setting a few
    pointers to NULL after they have been free()ed.
* src/input/input_programs.c: removed now useless ASSERTs.

This patch comes from sam, so if you want to blame someone blame him ;-)

------------------------------------------------------------------------
r1823 | gbazin | 2002-05-16 18:51:50 +0200 (Thu, 16 May 2002) | 7 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_seek.c



Another fix from Sam:

* fix random segfaults on title change.
  (cell.i_cell_nb should be tested _before_ we access the structures)

------------------------------------------------------------------------
r1824 | sam | 2002-05-17 02:58:14 +0200 (Fri, 17 May 2002) | 3 lines
Changed paths:
   M /trunk/src/input/input_programs.c
   M /trunk/src/interface/intf_msg.c
   M /trunk/src/interface/intf_playlist.c

  * ./src/interface/intf_msg.c, src/interface/intf_playlist.c: disabled
    calls to realloc(_,0) in a similar way to input_programs.c.

------------------------------------------------------------------------
r1825 | lool | 2002-05-17 16:17:05 +0200 (Fri, 17 May 2002) | 2 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/src/video_output/video_output.c

  * video output patch to improve handling of late pictures (by Meuuh)

------------------------------------------------------------------------
r1826 | lool | 2002-05-17 17:14:47 +0200 (Fri, 17 May 2002) | 2 lines
Changed paths:
   M /trunk/src/misc/mtime.c

  * removed usage of usleep (not thread safe) (by Meuuh)

------------------------------------------------------------------------
r1827 | fenrir | 2002-05-17 17:47:01 +0200 (Fri, 17 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/avi/avi.c

    * plugins/avi/avi.c : it will not segfault with broken avi with an unknown stream.

------------------------------------------------------------------------
r1828 | sam | 2002-05-17 18:38:41 +0200 (Fri, 17 May 2002) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/include/config.h
   M /trunk/include/defs.h.in
   M /trunk/src/misc/mtime.c

  * ./src/misc/mtime.c: we use nanosleep whenever possible (patch from Meuuh).

------------------------------------------------------------------------
r1829 | stef | 2002-05-17 20:01:25 +0200 (Fri, 17 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/ac3_spdif/ac3_spdif.c
   M /trunk/src/audio_output/aout_spdif.c

*check for b_die and b_error in all loops so that we don't remain stuck
waiting for data whereas the vlc has tried to quit.

------------------------------------------------------------------------
r1830 | stef | 2002-05-17 20:06:34 +0200 (Fri, 17 May 2002) | 2 lines
Changed paths:
   M /trunk/src/input/input_clock.c

*Don't keep the control lock during the pause

------------------------------------------------------------------------
r1831 | stef | 2002-05-17 20:12:59 +0200 (Fri, 17 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/mpeg_vdec/vpar_headers.c

*Update reference in case of sequence end code.

------------------------------------------------------------------------
r1832 | fenrir | 2002-05-18 01:01:02 +0200 (Sat, 18 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/mpeg_system/mpeg_audio.c

    * plugins/mpeg_system/mpeg_audio.c : you can now force this plugin( mpegaudio ).

------------------------------------------------------------------------
r1833 | ipkiss | 2002-05-18 04:12:20 +0200 (Sat, 18 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/gtk/gnome.glade
   M /trunk/plugins/gtk/gnome_callbacks.c
   M /trunk/plugins/gtk/gnome_callbacks.h
   M /trunk/plugins/gtk/gnome_interface.c
   M /trunk/plugins/gtk/gtk.glade
   M /trunk/plugins/gtk/gtk_callbacks.c
   M /trunk/plugins/gtk/gtk_callbacks.h
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_interface.h
   M /trunk/plugins/gtk/gtk_open.c
   M /trunk/plugins/gtk/gtk_support.c
   M /trunk/plugins/gtk/gtk_support.h


 * New Network dialog box for Gtk and Gnome interfaces

------------------------------------------------------------------------
r1834 | ipkiss | 2002-05-18 04:32:00 +0200 (Sat, 18 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/gtk/gtk.glade
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_interface.h
   M /trunk/plugins/gtk/gtk_support.c
   M /trunk/plugins/gtk/gtk_support.h


 * Fixed my previous commit

------------------------------------------------------------------------
r1835 | sam | 2002-05-18 09:30:03 +0200 (Sat, 18 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/text/rc.c

  * ./plugins/text/rc.c: added a safety lock.

------------------------------------------------------------------------
r1836 | stef | 2002-05-18 10:50:54 +0200 (Sat, 18 May 2002) | 2 lines
Changed paths:
   M /trunk/src/audio_output/aout_spdif.c

*A lock was not released;

------------------------------------------------------------------------
r1837 | sam | 2002-05-18 13:59:00 +0200 (Sat, 18 May 2002) | 3 lines
Changed paths:
   M /trunk/debian/control

  * ./debian/control: made the Build-Depends: entry a one-liner (Closes
    Debian bug #147103).

------------------------------------------------------------------------
r1838 | gbazin | 2002-05-18 15:30:28 +0200 (Sat, 18 May 2002) | 21 lines
Changed paths:
   M /trunk/plugins/directx/directx.c
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/directx/vout_directx.h
   M /trunk/plugins/directx/vout_events.c
   M /trunk/plugins/gtk/gtk_preferences.c
   M /trunk/src/misc/configuration.c



* modified the directx video plugin to try to create an YUV surface before
   falling back to an RGB surface when it's not possible to use overlays.
   Some graphic cards can do the YUV->RGB conversion in hardware during the
   blitting stage.
* in the directx video plugin, we now request that the RGB surface be created
   in video memory. The reasoning behind this is that usually surfaces in
   video memory benefit from more hardware acceleration (like for instance
   hw rescaling, hw blitting, etc...)
* added two options to the directx video plugin to disable the above features.
   (mainly because my video driver is buggy and doesn't handle them well).

* small cosmetic changes to the generation of the config file.

* fix for config_GetHomeDir() on win32. SHGetFolderPath() is located in
   shfolder.dll not shell32.dll.
* fix for the gtk preferences dialog box. To be sure that an int or float value
   is actually changed we call gtk_spin_button_update() in the
   GtkInt/FloatChanged() event handler.

------------------------------------------------------------------------
r1839 | massiot | 2002-05-18 15:33:44 +0200 (Sat, 18 May 2002) | 3 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/classes.nib
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib
   M /trunk/extras/MacOSX/vlc.pbproj/project.pbxproj
   M /trunk/include/defs.h.in
   M /trunk/plugins/macosx/intf_controller.h
   M /trunk/plugins/macosx/intf_controller.m
   M /trunk/plugins/macosx/intf_vlc_wrapper.h
   M /trunk/plugins/macosx/intf_vlc_wrapper.m
   M /trunk/src/misc/mtime.c

* Menu item to maximize the volume in Mac OS X ;
* Dropped dependancy on autoconf 2.52.

------------------------------------------------------------------------
r1840 | gbazin | 2002-05-18 16:03:13 +0200 (Sat, 18 May 2002) | 5 lines
Changed paths:
   M /trunk/extras/Win32_msvc/defs.h
   A /trunk/extras/Win32_msvc/dirent.c
   A /trunk/extras/Win32_msvc/dirent.h
   M /trunk/extras/Win32_msvc/vlc.dsp
   M /trunk/plugins/dvd/dvd_es.c
   M /trunk/plugins/spudec/spu_decoder.c
   M /trunk/src/misc/modules.c


* updated the MSVC++ project files and added support for dirent (vlc compiled
   with msvc can now load plugins - even compiled with mingw).
* small portability fixes.

------------------------------------------------------------------------
r1841 | gbazin | 2002-05-18 17:34:04 +0200 (Sat, 18 May 2002) | 5 lines
Changed paths:
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/directx/vout_events.c


* fixed a bug in the directx window creation function. We register a window
   class once per process so we must be careful not to free the associated
   resources.

------------------------------------------------------------------------
r1842 | gbazin | 2002-05-18 17:51:37 +0200 (Sat, 18 May 2002) | 4 lines
Changed paths:
   M /trunk/src/audio_output/aout_ext-dec.c
   M /trunk/src/audio_output/aout_pcm.c



* fixed deadlock in NextFrame() in aout_pcm.c

------------------------------------------------------------------------
r1843 | sam | 2002-05-18 19:47:47 +0200 (Sat, 18 May 2002) | 3 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/input_ext-dec.h
   M /trunk/include/input_ext-plugins.h
   M /trunk/include/input_iovec.h
   M /trunk/include/modules.h
   M /trunk/include/threads_funcs.h
   M /trunk/plugins/a52/a52.c
   M /trunk/plugins/ac3_adec/ac3_bit_allocate.c
   M /trunk/plugins/ac3_adec/ac3_exponent.h
   M /trunk/plugins/ac3_adec/ac3_mantissa.h
   M /trunk/plugins/ac3_adec/ac3_rematrix.c
   M /trunk/plugins/avi/avi.c
   M /trunk/plugins/ffmpeg/ffmpeg.c
   M /trunk/plugins/gtk/gtk_common.h
   M /trunk/plugins/idct/block_c.h
   M /trunk/plugins/idct/block_mmx.h
   M /trunk/plugins/idct/idct.c
   M /trunk/plugins/idct/idct_sparse.h
   M /trunk/plugins/idct/idctclassic.c
   M /trunk/plugins/idct/idctmmx.c
   M /trunk/plugins/idct/idctmmxext.c
   M /trunk/plugins/mad/mad_libmad.c
   M /trunk/plugins/mga/xmga.c
   M /trunk/plugins/motion/motion3dnow.c
   M /trunk/plugins/motion/motionmmx.c
   M /trunk/plugins/motion/motionmmxext.c
   M /trunk/plugins/mpeg_system/mpeg_audio.c
   M /trunk/plugins/mpeg_vdec/video_decoder.c
   M /trunk/plugins/mpeg_vdec/video_parser.h
   M /trunk/plugins/mpeg_vdec/vpar_blocks.c
   M /trunk/plugins/mpeg_vdec/vpar_headers.c
   M /trunk/plugins/mpeg_vdec/vpar_pool.h
   M /trunk/plugins/sdl/vout_sdl.c
   M /trunk/plugins/spudec/spu_decoder.h
   M /trunk/plugins/x11/xcommon.c
   M /trunk/src/audio_output/aout_pcm.c
   M /trunk/src/input/input_ext-dec.c
   M /trunk/src/input/input_ext-plugins.c
   M /trunk/src/input/mpeg_system.c

  * ALL: changed __inline__ with inline (autoconf does the job for us anyway,
    and mipspro doesn't know about __inline__).

------------------------------------------------------------------------
r1844 | massiot | 2002-05-18 19:53:11 +0200 (Sat, 18 May 2002) | 3 lines
Changed paths:
   M /trunk/src/misc/configuration.c

* Warning levels are no longer additive, patch courtesy of Arnaud de
  Bossoreille de Ribou <bozo@via.ecp.fr>

------------------------------------------------------------------------
r1845 | massiot | 2002-05-18 20:48:24 +0200 (Sat, 18 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/macosx/vout_macosx.m
   M /trunk/plugins/macosx/vout_qdview.m
   M /trunk/plugins/macosx/vout_vlc_wrapper.h
   M /trunk/plugins/macosx/vout_vlc_wrapper.m

* Fixed Mac OS X resizing.

------------------------------------------------------------------------
r1846 | gbazin | 2002-05-19 00:41:43 +0200 (Sun, 19 May 2002) | 5 lines
Changed paths:
   M /trunk/INSTALL.win32
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/directx/vout_events.c



* updated INSTALL.win32
* a little bit of clean-up in the directx video output plugin

------------------------------------------------------------------------
r1847 | massiot | 2002-05-19 02:34:54 +0200 (Sun, 19 May 2002) | 3 lines
Changed paths:
   M /trunk/Makefile
   D /trunk/README - Mac OS X.rtf
   A /trunk/README.MacOSX.rtf
   M /trunk/doc/vlc-howto.sgml
   M /trunk/doc/vlc.1
   M /trunk/include/config.h
   M /trunk/plugins/macosx/aout_macosx.m
   M /trunk/src/audio_output/aout_pcm.c

* Desperate attempt to improve audio output ;
* Updated documentation.

------------------------------------------------------------------------
r1848 | massiot | 2002-05-19 02:43:42 +0200 (Sun, 19 May 2002) | 2 lines
Changed paths:
   M /trunk/README.MacOSX.rtf

* Another addition.

------------------------------------------------------------------------
r1849 | stef | 2002-05-19 03:07:13 +0200 (Sun, 19 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/spudec/spu_decoder.c

*Mark subpictures destroyed when we end spudec thread.

------------------------------------------------------------------------
r1850 | gbazin | 2002-05-19 11:37:02 +0200 (Sun, 19 May 2002) | 13 lines
Changed paths:
   M /trunk/include/config.h
   M /trunk/plugins/mpeg_vdec/video_parser.c
   M /trunk/src/interface/main.c



* moved the mpeg-motion and mpeg-idct options to the mpeg_vdec plugin
* added a few *_LONGTEXT descriptions to main.c
* on win32 DVD/VCD_DEVICE defaults to to D:

Could anyone finish the *_LONGTEXT descriptions in main.c. There aren't
that many left right now, just the ones I didn't really know what to do
with.
If someone also wants to review and change the already existing
*_LONGTEXT descriptions, he is welcome as well because there are not
really high quality descriptions :(

------------------------------------------------------------------------
r1851 | gbazin | 2002-05-19 12:06:37 +0200 (Sun, 19 May 2002) | 6 lines
Changed paths:
   M /trunk/plugins/dummy/intf_dummy.c



* on win32 the dummy interface plugin will open a dos command box. With
this fix, vlc should never fail silently and leave a ghost process
running in the background when there isn't any working GUI plugin.

------------------------------------------------------------------------
r1852 | massiot | 2002-05-19 13:02:46 +0200 (Sun, 19 May 2002) | 2 lines
Changed paths:
   M /trunk/src/interface/main.c

Updated long descriptions.

------------------------------------------------------------------------
r1853 | massiot | 2002-05-19 13:29:51 +0200 (Sun, 19 May 2002) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

* New --with-ffmpeg option for standard installations.

------------------------------------------------------------------------
r1854 | massiot | 2002-05-19 14:09:38 +0200 (Sun, 19 May 2002) | 2 lines
Changed paths:
   M /trunk/vlc.spec

* New vlc.spec, courtesy of Yves Duret <yves.duret@mandrakesoft.com>.

------------------------------------------------------------------------
r1855 | massiot | 2002-05-19 14:12:06 +0200 (Sun, 19 May 2002) | 2 lines
Changed paths:
   M /trunk/AUTHORS

* A few updates.

------------------------------------------------------------------------
r1856 | gbazin | 2002-05-19 14:57:32 +0200 (Sun, 19 May 2002) | 5 lines
Changed paths:
   M /trunk/AUTHORS
   M /trunk/extras/Win32_msvc/defs.h
   M /trunk/extras/Win32_msvc/modules_builtin_msvc.h
   M /trunk/extras/Win32_msvc/vlc.dsp
   M /trunk/plugins/filter/clone.c
   M /trunk/plugins/filter/deinterlace.c
   M /trunk/plugins/filter/distort.c
   M /trunk/plugins/filter/invert.c
   M /trunk/plugins/filter/transform.c
   M /trunk/plugins/filter/wall.c
   M /trunk/plugins/mpeg_vdec/video_parser.c
   M /trunk/src/interface/main.c


* filters were using memalign but freeing p_data instead of p_data_orig.
* updated MSVC++ project.
* small corrections to the LONGTEXT descriptions in main.c.

------------------------------------------------------------------------
r1857 | gbazin | 2002-05-19 17:23:35 +0200 (Sun, 19 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/dummy/intf_dummy.c
   M /trunk/plugins/text/rc.c


* on win32 the rc plugin opens a new console.

------------------------------------------------------------------------
r1858 | stef | 2002-05-19 17:50:02 +0200 (Sun, 19 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/spudec/spu_decoder.c

*Initialize p_spudec->p_vout to NULL to prevent segfault if InitThread does
not complete.

------------------------------------------------------------------------
r1859 | massiot | 2002-05-19 18:01:26 +0200 (Sun, 19 May 2002) | 2 lines
Changed paths:
   M /trunk/BUGS

Removed fixed entries.

------------------------------------------------------------------------
r1860 | jobi | 2002-05-19 18:45:17 +0200 (Sun, 19 May 2002) | 4 lines
Changed paths:
   M /trunk/plugins/gtk/fixfiles.sh
   M /trunk/plugins/gtk/gnome_interface.c
   M /trunk/plugins/gtk/gtk_interface.c
   M /trunk/plugins/gtk/gtk_support.c
   M /trunk/plugins/satellite/input_satellite.c

    * plugins/satellite/input_satellite.c: cosmetic changes in error messages
    * plugins/gtk/*: gtk and gnome interfaces now uses frequency and
                     symbol rates default values

------------------------------------------------------------------------
r1861 | massiot | 2002-05-19 19:27:39 +0200 (Sun, 19 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/macosx/intf_vlc_wrapper.m

* Fixed a segfault in the Mac OS X interface.

------------------------------------------------------------------------
r1862 | jlj | 2002-05-19 21:16:40 +0200 (Sun, 19 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/macosx/intf_vlc_wrapper.m

  * ./plugins/macosx/intf_vlc_wrapper.m: don't try to eject unless there is
    a disc to eject.

------------------------------------------------------------------------
r1863 | gbazin | 2002-05-19 22:26:11 +0200 (Sun, 19 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/gtk/gtk_preferences.c


* fixed a segfault I introduced lately in gtk_preferences.

------------------------------------------------------------------------
r1864 | massiot | 2002-05-19 22:55:00 +0200 (Sun, 19 May 2002) | 2 lines
Changed paths:
   M /trunk/extras/MacOSX/Resources/English.lproj/MainMenu.nib/objects.nib

* OS X intf is now more consistent with Apple guidelines.

------------------------------------------------------------------------
r1865 | massiot | 2002-05-20 00:46:53 +0200 (Mon, 20 May 2002) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

* Fixes for ffmpeg and mad.

------------------------------------------------------------------------
r1866 | massiot | 2002-05-20 01:51:37 +0200 (Mon, 20 May 2002) | 7 lines
Changed paths:
   M /trunk/include/threads_funcs.h
   M /trunk/plugins/macosx/aout_macosx.m
   M /trunk/plugins/macosx/intf_controller.m
   M /trunk/plugins/macosx/intf_vlc_wrapper.m
   M /trunk/plugins/macosx/vout_macosx.m
   M /trunk/src/misc/darwin_specific.c
   M /trunk/src/video_output/video_output.c

Mac OS X-specific :
* We now use real-time threads ;
* Worked around a bug when seeking ;
All :
* Removed my patch to the video output since it causes problems for some
  people.

------------------------------------------------------------------------
r1867 | jlj | 2002-05-20 07:20:12 +0200 (Mon, 20 May 2002) | 5 lines
Changed paths:
   M /trunk/plugins/macosx/intf_controller.h
   M /trunk/plugins/macosx/intf_controller.m

  * ./plugins/macosx/intf_controller.[mh]: you can now drag & drop files onto
    the vlc dock icon. CFBundleDocumentTypes in Info.plist doesn't seem to have
    any effect, so you'll have to hold down command-option when dropping until
    this is resolved.

------------------------------------------------------------------------
r1868 | massiot | 2002-05-20 12:44:18 +0200 (Mon, 20 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/macosx/aout_macosx.m
   M /trunk/plugins/macosx/vout_macosx.m

Removed unused headers.

------------------------------------------------------------------------
r1869 | tcastley | 2002-05-20 13:21:01 +0200 (Mon, 20 May 2002) | 4 lines
Changed paths:
   M /trunk/plugins/beos/VideoWindow.h
   M /trunk/plugins/beos/vout_beos.cpp

Improved Overlay and Bitmap output modes.
Due to existing bug in some Chroma's the Overlay does not work for nVidia
cards.  Sorry.

------------------------------------------------------------------------
r1870 | sam | 2002-05-20 16:12:15 +0200 (Mon, 20 May 2002) | 4 lines
Changed paths:
   M /trunk/Makefile
   A /trunk/Makefile.config.in
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in

  * ./Makefile.opts.in: removed configuration stuff which does not need to
    rebuild anything to Makefile.config, so that editing it will not cause
    a complete rebuild.

------------------------------------------------------------------------
r1871 | sam | 2002-05-20 16:22:52 +0200 (Mon, 20 May 2002) | 2 lines
Changed paths:
   M /trunk/ChangeLog

  * ./ChangeLog: updated changelog.

------------------------------------------------------------------------
r1872 | gbazin | 2002-05-20 17:03:33 +0200 (Mon, 20 May 2002) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/plugins/a52/a52.c
   M /trunk/plugins/a52/a52.h


* Added an option to disable the dynamic range compression.

------------------------------------------------------------------------
r1873 | sam | 2002-05-20 20:43:02 +0200 (Mon, 20 May 2002) | 2 lines
Changed paths:
   M /trunk/Makefile

  * ./Makefile: forgot to remove Makefile.config in the distclean rule.

------------------------------------------------------------------------
r1874 | massiot | 2002-05-20 20:51:57 +0200 (Mon, 20 May 2002) | 2 lines
Changed paths:
   M /trunk/.cvsignore

Added Makefile.config.

------------------------------------------------------------------------
r1875 | sam | 2002-05-20 21:02:22 +0200 (Mon, 20 May 2002) | 5 lines
Changed paths:
   M /trunk/plugins/dummy/dummy.c
   M /trunk/plugins/dummy/vout_dummy.c
   M /trunk/src/video_output/vout_pictures.c

  * ./plugins/dummy/dummy.c: added --dummy-chroma option.
  * ./plugins/dummy/vout_dummy.c: the dummy vout plugin now uses vlc's
    vout_AllocatePicture instead of its own.
  * ./src/video_output/vout_pictures.c: added YUY2 in vout_AllocatePicture.

------------------------------------------------------------------------
r1876 | sam | 2002-05-20 21:12:16 +0200 (Mon, 20 May 2002) | 2 lines
Changed paths:
   M /trunk/Makefile

  * ./Makefile: we check for Makefile.config before including it.

------------------------------------------------------------------------
r1877 | sam | 2002-05-20 21:34:58 +0200 (Mon, 20 May 2002) | 2 lines
Changed paths:
   M /trunk/src/video_output/vout_pictures.c

  * ./src/video_output/vout_pictures.c: workaround for a bug in the dummy vout.

------------------------------------------------------------------------
r1878 | gbazin | 2002-05-20 21:49:18 +0200 (Mon, 20 May 2002) | 12 lines
Changed paths:
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/network/ipv6.c



* First try for IPv6 support on Win32. This hasn't been tested so it
  might not work! To compile this stuff you need a mingw compiler with
  w32api-1.3.

The win32 code uses the getaddrinfo function because inet_pton is
supposed to be deprecated and not supported by Microsoft. gethostbyname2
isn't supported as well. Maybe we could try to unify the ipv6 plugin and
have all the ports use getaddrinfo ? (I didn't dare to do it because I
don't want to break anything before a release ;-)

------------------------------------------------------------------------
r1879 | massiot | 2002-05-20 22:58:58 +0200 (Mon, 20 May 2002) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/ipkg/control
   M /trunk/vlc.spec

* Bumped up version number to 0.4.0 ;
* Updated changelog.

------------------------------------------------------------------------
r1880 | sam | 2002-05-21 00:26:01 +0200 (Tue, 21 May 2002) | 2 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in

  * ./configure.in: tried to fix the -lavcodec detection.

------------------------------------------------------------------------
r1881 | sam | 2002-05-21 00:30:19 +0200 (Tue, 21 May 2002) | 3 lines
Changed paths:
   M /trunk/BUGS
   M /trunk/ChangeLog
   M /trunk/plugins/x11/xcommon.c

  * ./plugins/x11/xcommon.c: fixed x11 and xvideo alternate fullscreen (gibalou
    on t'aiiiiiiiiimeuh).

------------------------------------------------------------------------
r1882 | sam | 2002-05-21 00:34:56 +0200 (Tue, 21 May 2002) | 2 lines
Changed paths:
   M /trunk/po/POTFILES.in
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/ru.po
   M /trunk/po/vlc.pot

  * ./po/*: updated language files.

------------------------------------------------------------------------
r1883 | sam | 2002-05-21 00:36:42 +0200 (Tue, 21 May 2002) | 3 lines
Changed paths:
   M /trunk/include/common.h
   M /trunk/include/iso_lang.h
   M /trunk/src/misc/iso_lang.c

  * ./src/misc/iso_lang.c: code simplifications.
  * ./src/misc/iso_lang.c: the language prototypes now use the const keyword.

------------------------------------------------------------------------
r1884 | sam | 2002-05-21 00:39:36 +0200 (Tue, 21 May 2002) | 6 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_demux.c
   M /trunk/plugins/gtk/gtk.c
   M /trunk/src/input/input.c
   M /trunk/src/input/input_dec.c
   M /trunk/src/interface/main.c

  * ./src/interface/main.c: fixed a little memleak.
  * ./src/input/input_dec.c: removed useless code.
  * ./src/input/input.c, ./plugins/gtk/gtk.c: fixed access to uninitialized
    variables.
  * ./plugins/dvd/dvd_demux.c: fixed the pf_demux return value.

------------------------------------------------------------------------
r1885 | sam | 2002-05-21 00:45:03 +0200 (Tue, 21 May 2002) | 4 lines
Changed paths:
   M /trunk/plugins/dvd/dvd.h
   M /trunk/plugins/dvd/dvd_access.c
   M /trunk/plugins/dvd/dvd_ifo.c
   M /trunk/plugins/dvd/dvd_ifo.h
   M /trunk/plugins/dvd/dvd_seek.c
   M /trunk/plugins/dvd/dvd_seek.h

  * ./plugins/dvd/*: fixed a few inconsistences.
  * ./plugins/dvd/*: renamed i_start/i_end couples when they actually
    meant i_first/i_last.

------------------------------------------------------------------------
r1886 | sam | 2002-05-21 02:23:37 +0200 (Tue, 21 May 2002) | 3 lines
Changed paths:
   M /trunk/src/input/input_ext-intf.c
   M /trunk/src/input/input_ext-plugins.c

  * src/input/input_ext-plugins.c, src/input/input_ext-intf.c: boundary checks
    on seek.

------------------------------------------------------------------------
r1887 | sam | 2002-05-21 02:34:41 +0200 (Tue, 21 May 2002) | 3 lines
Changed paths:
   M /trunk/include/defs.h.in
   M /trunk/plugins/dvd/dvd_access.c
   M /trunk/plugins/dvd/dvd_seek.c

  * ./plugins/dvd/dvd_access.c, plugins/dvd/dvd_seek.c: very minor cosmetic
    fixes.

------------------------------------------------------------------------
r1888 | sam | 2002-05-21 03:27:26 +0200 (Tue, 21 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/mpeg_system/mpeg_ts.c

  * ./plugins/mpeg_system/mpeg_ts.c: fixed a warning.

------------------------------------------------------------------------
r1889 | ipkiss | 2002-05-21 03:29:38 +0200 (Tue, 21 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/win32/network.cpp
   M /trunk/plugins/win32/network.dfm
   M /trunk/plugins/win32/network.h


 * Fixed a stupid bug in the Network dialog.

------------------------------------------------------------------------
r1890 | sam | 2002-05-21 03:40:17 +0200 (Tue, 21 May 2002) | 3 lines
Changed paths:
   M /trunk/src/input/input.c

  * ./src/input/input.c: fixed a bug with the input remaining stuck when no
    network data was present.

------------------------------------------------------------------------
r1891 | sam | 2002-05-21 04:46:39 +0200 (Tue, 21 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/chroma/i420_yuy2.h

  * ./plugins/chroma/i420_yuy2.h: fixed the BeOS crash. Margin handling isn't
    done yet, though.

------------------------------------------------------------------------
r1892 | sam | 2002-05-21 05:37:17 +0200 (Tue, 21 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/chroma/i420_yuy2.c

  * ./plugins/chroma/i420_yuy2.c: margin support for the 420 planar to 422
    packed chroma transformations.

------------------------------------------------------------------------
r1893 | gbazin | 2002-05-21 08:55:48 +0200 (Tue, 21 May 2002) | 4 lines
Changed paths:
   M /trunk/plugins/network/ipv6.c



* ./plugins/network/ipv6.c: fixed a stupid bug.

------------------------------------------------------------------------
r1894 | gbazin | 2002-05-21 09:48:50 +0200 (Tue, 21 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/directx/aout_directx.c


* ./plugins/directx/aout_directx.c: fixed compile warnings.

------------------------------------------------------------------------
r1895 | lool | 2002-05-21 15:27:32 +0200 (Tue, 21 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_access.c

  * fixed a side-effect bug causing crashes on DVD title change

------------------------------------------------------------------------
r1896 | gbazin | 2002-05-21 15:34:31 +0200 (Tue, 21 May 2002) | 5 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_access.c



* On Win32 the DVD access plugin has to be explicitly requested. This
  avoids crashes when the input thread tries to open files as dvds.

------------------------------------------------------------------------
r1897 | massiot | 2002-05-22 00:09:45 +0200 (Wed, 22 May 2002) | 2 lines
Changed paths:
   M /trunk/vlc.spec

* Updated spec for ffmpeg.

------------------------------------------------------------------------
r1898 | lool | 2002-05-22 13:23:56 +0200 (Wed, 22 May 2002) | 3 lines
Changed paths:
   M /trunk/include/modules_inner.h

  * ./include/modules_inner.h: fixed a crash when reopening a hidden
    module (by sam)

------------------------------------------------------------------------
r1899 | tcastley | 2002-05-22 14:23:41 +0200 (Wed, 22 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/beos/vout_beos.cpp

Changes to reduce segfaults on exit, and also allow only one Playlist window.

------------------------------------------------------------------------
r1900 | jobi | 2002-05-22 14:50:21 +0200 (Wed, 22 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/vcd/vcd.c

    * plugins/vcd/vcd.c: added svcd shortcut to the vcd input

------------------------------------------------------------------------
r1901 | gbazin | 2002-05-22 16:20:41 +0200 (Wed, 22 May 2002) | 6 lines
Changed paths:
   M /trunk/plugins/gtk/gnome.c
   M /trunk/plugins/gtk/gtk_playlist.c
   M /trunk/plugins/text/logger.c


* ./plugins/text/logger.c: on win32 the logger interface shows up a dos
  command box.
* ./plugins/gtk/gnome.c: fixed uninitialized variable. (from Sam)
* ./plugins/gtk/gtk_playlist.c: simplified GtkRebuildCList(). (from Sam)

------------------------------------------------------------------------
r1902 | ipkiss | 2002-05-22 19:12:45 +0200 (Wed, 22 May 2002) | 8 lines
Changed paths:
   M /trunk/plugins/win32/disc.cpp
   M /trunk/plugins/win32/disc.dfm
   M /trunk/plugins/win32/disc.h
   M /trunk/plugins/win32/mainframe.cpp
   M /trunk/plugins/win32/mainframe.dfm
   M /trunk/plugins/win32/mainframe.h
   M /trunk/plugins/win32/network.cpp
   M /trunk/plugins/win32/network.dfm
   M /trunk/plugins/win32/network.h
   M /trunk/plugins/win32/preferences.cpp
   M /trunk/plugins/win32/preferences.h


 * ALL: replaced TUpDown components by TCSpinEdit ones, which allow
   values greater than 32767. It fixes the audio bug ocurring when a
   configuration file is saved under the win32 interface

 * ./plugins/win32/mainframe.cpp: Added some extra space between
   statusbar and toolbar when nothing is displayed. I find it nicer :)

------------------------------------------------------------------------
r1903 | sam | 2002-05-22 19:17:45 +0200 (Wed, 22 May 2002) | 4 lines
Changed paths:
   M /trunk/Makefile
   M /trunk/include/modules_inner.h
   M /trunk/plugins/access/file.c
   M /trunk/plugins/dvd/dvd_seek.c

  * ./plugins/access/file.c, plugins/dvd/dvd_seek.c: readability changes.
  * ./Makefile: the vlc rule depends on modules_builtin.h.
  * ./include/modules_inner.h: removed useless code.

------------------------------------------------------------------------
r1904 | sam | 2002-05-22 19:19:46 +0200 (Wed, 22 May 2002) | 3 lines
Changed paths:
   M /trunk/src/misc/modules.c

  * ./src/misc/modules.c: disabled module autohide until we find out why a
    reloaded module sometimes does not work properly.

------------------------------------------------------------------------
r1905 | gbazin | 2002-05-22 21:31:33 +0200 (Wed, 22 May 2002) | 9 lines
Changed paths:
   M /trunk/plugins/directx/directx.c
   M /trunk/src/misc/modules.c


* ./src/misc/modules.c: restored plugins hiding as the problem is fixed.
* ./plugins/directx/directx.c: UnregisterClass() in MODULE_DEACTIVATE. If
   we don't do this, trying to use the class when the plugin is reloaded will
   cause a segfault.

PS: on Win32 the sdl plugin is still affected by this. It looks like SDL keeps
    an internal state which isn't updated when we reload the plugin.

------------------------------------------------------------------------
r1906 | sam | 2002-05-22 23:05:18 +0200 (Wed, 22 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/chroma/i420_yuy2.h

  * ./plugins/chroma/i420_yuy2.h: bugfix for the I420 to YUY2 MMX chroma
    transformations, with the help of Pascal Levesque.

------------------------------------------------------------------------
r1907 | sam | 2002-05-22 23:08:42 +0200 (Wed, 22 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/macosx/intf_open.m
   M /trunk/plugins/win32/network.dfm

  * ./plugins/win32/network.dfm, plugins/macosx/intf_open.m: updated channel
    server default hostname.

------------------------------------------------------------------------
r1908 | sam | 2002-05-22 23:15:04 +0200 (Wed, 22 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/mad/mad_adec.c
   M /trunk/plugins/mad/mad_libmad.c

  * ./plugins/mad/mad_adec.c, ./plugins/mad/mad_libmad.c: use intf_WarnMsg for
    debug messages instead of intf_ErrMsg.

------------------------------------------------------------------------
r1909 | sam | 2002-05-22 23:30:08 +0200 (Wed, 22 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/gtk/gnome.glade
   M /trunk/plugins/gtk/gnome_interface.c

  * ./plugins/gtk/gnome.glade: removed bevel from title and chapter buttons.

------------------------------------------------------------------------
r1910 | sam | 2002-05-22 23:42:47 +0200 (Wed, 22 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/dvd/dvd_seek.c

  * ./plugins/dvd/dvd_seek.c: reverted a previous change in DVD input which
    caused input to get stuck in interleaved cells.

------------------------------------------------------------------------
r1911 | massiot | 2002-05-23 01:11:00 +0200 (Thu, 23 May 2002) | 2 lines
Changed paths:
   M /trunk/Makefile.opts.in
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/plugins/access/http.c

Fixed HTTP input under Win32 (thanks ipkiss).

------------------------------------------------------------------------
r1912 | massiot | 2002-05-23 01:40:50 +0200 (Thu, 23 May 2002) | 3 lines
Changed paths:
   M /trunk/ChangeLog
   M /trunk/debian/changelog
   M /trunk/vlc.spec

 * Updated ChangeLog
 * Updated release date

------------------------------------------------------------------------
r1913 | massiot | 2002-05-23 23:42:43 +0200 (Thu, 23 May 2002) | 2 lines
Changed paths:
   M /trunk/README.MacOSX.rtf

Updated Mac OS X readme, courtesy of The DJ <d.hartman@student.utwente.nl>.

------------------------------------------------------------------------
r1914 | jlj | 2002-05-24 00:18:55 +0200 (Fri, 24 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/macosx/intf_open.m

  * ./plugins/macosx/intf_open.m: Remember last open file panel location,
    thanks to <ssudre2@wanadoo.fr>

------------------------------------------------------------------------
r1915 | sam | 2002-05-24 00:21:14 +0200 (Fri, 24 May 2002) | 3 lines
Changed paths:
   M /trunk/src/video_output/video_output.c

  * ./src/video_output/video_output.c: the video output thread was never
    joined! A pretty old bug...

------------------------------------------------------------------------
r1916 | massiot | 2002-05-24 00:33:44 +0200 (Fri, 24 May 2002) | 2 lines
Changed paths:
   M /trunk/doc/release-howto.txt

update release-howto

------------------------------------------------------------------------
r1917 | gbazin | 2002-05-24 14:42:14 +0200 (Fri, 24 May 2002) | 8 lines
Changed paths:
   M /trunk/include/input_ext-dec.h
   M /trunk/plugins/a52/a52.c
   M /trunk/plugins/ac3_spdif/ac3_spdif.c
   M /trunk/plugins/lpcm_adec/lpcm_adec.c
   M /trunk/plugins/spudec/spu_decoder.c


* ./include/inpu_ext-dec.h added a check to fifo->b_die after the call
to BitstreamNextDataPacket() in GetChunk().
Code using GetChunk() also needs to check fifo->b_die before using the
obtained data.
This fixes frequent crashes you get on win32 with the a52 plugin when you
close a stream.

------------------------------------------------------------------------
r1918 | fenrir | 2002-05-25 18:23:07 +0200 (Sat, 25 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/avi/avi.c
   M /trunk/plugins/avi/libioRIFF.c

    * all: avi file is a piece of sh*t, make more test.

------------------------------------------------------------------------
r1919 | marcari | 2002-05-25 21:15:50 +0200 (Sat, 25 May 2002) | 3 lines
Changed paths:
   M /trunk/src/misc/netutils.c

  * src/misc/netutils.c: tests if message from vlcs begins with 'E:' or 'I:'
  instead of testing 'E: ' and 'I: ' (to simplify miniVLCS)

------------------------------------------------------------------------
r1920 | massiot | 2002-05-25 23:42:36 +0200 (Sat, 25 May 2002) | 2 lines
Changed paths:
   M /trunk/ipkg/control

Changed download URL.

------------------------------------------------------------------------
r1921 | alexis | 2002-05-27 03:49:41 +0200 (Mon, 27 May 2002) | 5 lines
Changed paths:
   M /trunk/doc/vlc-howto.sgml



Link to the GPL licence
GFDL licence know used for the licence

------------------------------------------------------------------------
r1922 | fenrir | 2002-05-27 18:01:42 +0200 (Mon, 27 May 2002) | 4 lines
Changed paths:
   M /trunk/plugins/a52/a52.c
   M /trunk/plugins/ac3_adec/ac3_adec.c
   M /trunk/plugins/ac3_spdif/ac3_spdif.c
   M /trunk/src/input/mpeg_system.c

    ALL : In order to make ac3 working in avi file, I've deplaced some code
from ac3 decoder to mpeg_system.c. ( skip 3 bytes is now done in
mpeg_system.c and no longer in ac3 audio decoder ).

------------------------------------------------------------------------
r1923 | sam | 2002-05-27 20:26:31 +0200 (Mon, 27 May 2002) | 7 lines
Changed paths:
   M /trunk/plugins/aa/aa.c

  * ./plugins/aa/aa.c: removed all palette code as it was unused.
  * ./plugins/aa/aa.c: moved the aa_fastrender call from vout_Display to
    vout_Render.
  * ./plugins/aa/aa.c: added support for resizing and right-click menu.

   (patch courtesy of Sigmund Augdal <sigmunau@stud.ntnu.no>)

------------------------------------------------------------------------
r1924 | sam | 2002-05-27 20:33:35 +0200 (Mon, 27 May 2002) | 2 lines
Changed paths:
   M /trunk/debian/control

  * ./debian/control: updated Debian package descriptions.

------------------------------------------------------------------------
r1925 | sam | 2002-05-27 20:34:33 +0200 (Mon, 27 May 2002) | 4 lines
Changed paths:
   M /trunk/configure
   M /trunk/configure.in
   M /trunk/po/de.po
   M /trunk/po/en_GB.po
   M /trunk/po/fr.po
   M /trunk/po/ja.po
   M /trunk/po/nl.po
   M /trunk/po/no.po
   M /trunk/po/ru.po
   M /trunk/po/vlc.pot

  * ./po/vlc.pot: updated potfile.
  * ./po/pl.po: polish translation, courtesy of Arkadiusz Lipiec
    <A.Lipiec@elka.pw.edu.pl>.

------------------------------------------------------------------------
r1926 | sam | 2002-05-27 20:35:53 +0200 (Mon, 27 May 2002) | 2 lines
Changed paths:
   A /trunk/po/pl.po

  * ./po/pl.po: uh uh uh, forgot to cvs add this file...

------------------------------------------------------------------------
r1927 | sam | 2002-05-27 21:35:41 +0200 (Mon, 27 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/filter/clone.c
   M /trunk/plugins/filter/deinterlace.c
   M /trunk/plugins/filter/distort.c
   M /trunk/plugins/filter/transform.c
   M /trunk/plugins/filter/wall.c

  * ./plugins/filter/*: filters are now configurable through the configuration
    system. Patch from Sigmund Augdal <sigmunau@stud.ntnu.no>.

------------------------------------------------------------------------
r1928 | stef | 2002-05-28 20:34:42 +0200 (Tue, 28 May 2002) | 3 lines
Changed paths:
   M /trunk/include/video.h
   M /trunk/plugins/mpeg_vdec/vpar_headers.c
   M /trunk/src/video_output/video_output.c
   M /trunk/src/video_output/vout_pictures.c

*Added a b_force flag to picture_t so that we can force the display
of an image even if it is late.

------------------------------------------------------------------------
r1929 | ipkiss | 2002-05-28 23:44:46 +0200 (Tue, 28 May 2002) | 4 lines
Changed paths:
   M /trunk/plugins/win32/about.dfm
   M /trunk/plugins/win32/about.h
   M /trunk/plugins/win32/disc.cpp
   M /trunk/plugins/win32/intfwin.bpr
   M /trunk/plugins/win32/mainframe.cpp
   M /trunk/plugins/win32/mainframe.dfm
   M /trunk/plugins/win32/mainframe.h
   M /trunk/plugins/win32/network.cpp

 * New icons for the toolbar buttons
 * URL can now start with "http://" in the Network dialog box
 * Updated the About dialog box

------------------------------------------------------------------------
r1930 | sam | 2002-05-29 00:49:25 +0200 (Wed, 29 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/filter/clone.c
   M /trunk/plugins/filter/deinterlace.c
   M /trunk/plugins/filter/distort.c
   M /trunk/plugins/filter/transform.c
   M /trunk/plugins/filter/wall.c

  * ./plugins/filters/*: fixed inconsistencies.

------------------------------------------------------------------------
r1931 | gbazin | 2002-05-29 12:08:03 +0200 (Wed, 29 May 2002) | 5 lines
Changed paths:
   M /trunk/plugins/dummy/dummy.c
   M /trunk/plugins/x11/xcommon.c


* ./plugins/dummy/dummy.c: added a CATEGORY_HINT to the config.
* ./plugins/x11/xcommon.c: small change to the ToggleFullscreen routine
to avoid a flickering during the switch.

------------------------------------------------------------------------
r1932 | sam | 2002-05-29 20:39:14 +0200 (Wed, 29 May 2002) | 5 lines
Changed paths:
   M /trunk/src/video_output/video_output.c

  * ./src/video_output/video_output.c: when the video output hasn't received
    a new picture for a while, it redisplays the last displayed one. This will
    be useful for DVD menus, but also solves the "picture becomes black when
    vlc is paused" issue.

------------------------------------------------------------------------
r1933 | gbazin | 2002-05-30 10:17:04 +0200 (Thu, 30 May 2002) | 8 lines
Changed paths:
   M /trunk/include/configuration.h
   M /trunk/include/modules.h
   M /trunk/include/modules_inner.h
   M /trunk/plugins/a52/a52.c
   M /trunk/plugins/beos/vout_beos.cpp
   M /trunk/plugins/directx/directx.c
   M /trunk/plugins/directx/vout_directx.c
   M /trunk/plugins/filter/wall.c
   M /trunk/plugins/gtk/gnome.c
   M /trunk/plugins/gtk/gtk.c
   M /trunk/plugins/gtk/gtk_display.c
   M /trunk/plugins/mga/xmga.c
   M /trunk/plugins/qnx/vout_qnx.c
   M /trunk/plugins/satellite/satellite.c
   M /trunk/plugins/x11/x11.c
   M /trunk/plugins/x11/xvideo.c
   M /trunk/src/interface/main.c
   M /trunk/src/misc/configuration.c


* changed ADD_BOOL and ADD_BOOL_WITH_SHORT config macros to accept a
default value as an argument.
* modified the command line parsing to accept --foo and --no-foo when a
"foo" boolean config option is defined.
* modified the help menu to indicate if the option is enabled or
disabled by default.

------------------------------------------------------------------------
r1934 | xav | 2002-05-30 10:59:42 +0200 (Thu, 30 May 2002) | 7 lines
Changed paths:
   M /trunk/plugins/win32/mainframe.cpp
   M /trunk/plugins/win32/mainframe.dfm
   M /trunk/src/interface/intf_eject.c
   M /trunk/src/misc/netutils.c


 * intf_eject.c : added ejection code for Win32. Please test it under
                  Win95/98/Me, I just can't install a winme
                  in my work office :).
 * plugins/win32/* : enabled the "Eject" button (thanks Ipkiss)
 * src/misc/netutils.c : just changed my mail :P

------------------------------------------------------------------------
r1935 | asmax | 2002-05-30 15:22:43 +0200 (Thu, 30 May 2002) | 3 lines
Changed paths:
   M /trunk/src/misc/netutils.c

- removed the obsolete artificial delay when switching channels.
  Now it is ultra-fast !

------------------------------------------------------------------------
r1936 | asmax | 2002-05-30 15:39:43 +0200 (Thu, 30 May 2002) | 4 lines
Changed paths:
   M /trunk/plugins/gtk/gnome.c

- gnome.c didn't compile
  (Gildas you forgot the default value for gnome-toolbartext, I assume
   it was 1 ;)

------------------------------------------------------------------------
r1937 | gbazin | 2002-05-30 15:58:17 +0200 (Thu, 30 May 2002) | 4 lines
Changed paths:
   M /trunk/plugins/mpeg_vdec/vpar_headers.c


* ./plugins/mpeg_vdec/vpar_headers.c: don't try to deference a null
pointer (fix from sam).

------------------------------------------------------------------------
r1938 | ipkiss | 2002-05-31 03:09:51 +0200 (Fri, 31 May 2002) | 8 lines
Changed paths:
   M /trunk/plugins/win32/mainframe.cpp
   M /trunk/plugins/win32/mainframe.dfm
   M /trunk/plugins/win32/messages.cpp
   M /trunk/plugins/win32/messages.dfm
   M /trunk/plugins/win32/messages.h
   M /trunk/plugins/win32/win32.cpp


Win32 interface:
 * The "Eject" button is enabled only after we played a dvd or vcd.
 * The toolbar is now flat and less cubist.
 * Got rid of the ugly slider with some winXP skins.
 * Added a config option to limit the number of messages in the log
   window (default is set to 500).

------------------------------------------------------------------------
r1940 | massiot | 2002-05-31 23:37:42 +0200 (Fri, 31 May 2002) | 3 lines
Changed paths:
   M /trunk/plugins/sdl/aout_sdl.c

* plugins/sdl/aout_sdl.c : Fixed an endianness issue created by a
  brain-dead developer :p

------------------------------------------------------------------------
r1941 | massiot | 2002-05-31 23:56:01 +0200 (Fri, 31 May 2002) | 2 lines
Changed paths:
   M /trunk/plugins/a52/a52.c
   M /trunk/plugins/satellite/satellite_tools.c

* Compilation fixes for Solaris ;

------------------------------------------------------------------------
r1943 | tcastley | 2002-06-01 10:54:08 +0200 (Sat, 01 Jun 2002) | 3 lines
Changed paths:
   M /trunk/plugins/beos/PlayListWindow.cpp
   M /trunk/plugins/beos/VideoWindow.h

* Fixes for Playlist window.  Now only creates one and destroys correctly.
* Fixed the height of the output video, was one to big.

------------------------------------------------------------------------
r1944 | tcastley | 2002-06-01 10:54:48 +0200 (Sat, 01 Jun 2002) | 2 lines
Changed paths:
   M /trunk/plugins/beos/PlayListWindow.h

Fixes for Playlist window

------------------------------------------------------------------------
r1945 | tcastley | 2002-06-01 11:20:16 +0200 (Sat, 01 Jun 2002) | 2 lines
Changed paths:
   M /trunk/plugins/beos/InterfaceWindow.h

Fix to prevent multiple Playlist windows

------------------------------------------------------------------------
r1946 | tcastley | 2002-06-01 11:21:59 +0200 (Sat, 01 Jun 2002) | 3 lines
Changed paths:
   M /trunk/plugins/beos/InterfaceWindow.cpp
   M /trunk/plugins/beos/vout_beos.cpp

Fixes for preventing multiple playlist windows
and improvements and corrections in videoout.

------------------------------------------------------------------------
r1950 | sam | 2002-06-01 12:47:07 +0200 (Sat, 01 Jun 2002) | 3 lines
Changed paths:
   M /trunk/plugins/chroma/i420_rgb16.c

